2002-12-20 15:40  mortene

	* BUGS.txt:
	
	New item.

2002-12-20 15:40  mortene

	* src/nodes/SoQuadMesh.cpp:
	
	Bugfix: precise lighting envvar setup.

2002-12-19 17:27  pederb

	* src/nodes/SoQuadMesh.cpp:
	
	Check HAVE_ILOGB and HAVE__ILOG

2002-12-19 17:17  pederb

	* configure.ac:
	
	Test for _logb() and ilogb().

2002-12-19 16:34  pederb

	* include/Inventor/C/tidbits.h, src/tidbits.c:
	
	coin_ilogb was not such a good idea.

2002-12-19 16:19  pederb

	* include/Inventor/C/tidbits.h, src/tidbits.c:
	
	Adds coin_ilogb().

2002-12-19 15:03  pederb

	* src/nodes/SoQuadMesh.cpp:
	
	Compile fix.

2002-12-19 13:46  larsa

	* configure.ac:
	
	uninitialized not supported without -O configure-script break

2002-12-19 12:44  larsa

	* configure.ac:
	
	stricter treatment of compiler warnings (gcc-only)

2002-12-19 12:23  mortene

	* BUGS.txt:
	
	Item on 3ds import.

2002-12-19 11:59  mortene

	* src/: misc/SoGLqmeshpreciselightingTemplate.icc,
	nodes/SoQuadMesh.cpp:
	
	Jan Peciva's implementation of improved shading for SoQuadMesh.

2002-12-19 11:40  mortene

	* src/: Make-Common.tpl, 3ds/Makefile.am, actions/Makefile.am,
	base/Makefile.am, bundles/Makefile.am, caches/Makefile.am,
	details/Makefile.am, draggers/Makefile.am, elements/Makefile.am,
	engines/Makefile.am, errors/Makefile.am, events/Makefile.am,
	fields/Makefile.am, glue/Makefile.am, lists/Makefile.am,
	manips/Makefile.am, misc/Makefile.am, nodekits/Makefile.am,
	nodes/Makefile.am, projectors/Makefile.am, sensors/Makefile.am,
	threads/Makefile.am, upgraders/Makefile.am, vrml97/Makefile.am:
	
	If no object code are compiled, make sure there will still be an
	empty .lst file available.

2002-12-18 20:53  mortene

	* include/Inventor/SbString.h, src/base/SbString.cpp:
	
	Fix function signature: hash() should be const.

2002-12-18 20:42  mortene

	* src/3ds/3dsLoader.cpp:
	
	Misc FIXMEs about portability issues.

2002-12-18 20:41  mortene

	* configure.ac, src/Makefile.am, src/3ds/Makefile.am,
	src/misc/SoDB.cpp:
	
	Build setup for the 3DS import capabilities.

2002-12-18 15:21  mortene

	* src/3ds/SoStream.cpp:
	
	Compilation fixes for gcc. Use our byte order check from tidbits.c.

2002-12-18 15:01  mortene

	* src/misc/simage_wrapper.h:
	
	Add in a couple of code comments for clarity.

2002-12-18 14:44  kyrah

	* src/misc/: simage_wrapper.c, simage_wrapper.h:
	
	Make sure you don't redefine functions from simage.h (if that
	header has been included). Fix for Mac OS X build problem (not sure
	if it was a problem on other platforms as well).

2002-12-18 14:26  rolvs

	* BUGS.txt:
	
	Update on misfitting BBox bug.	Removed SoJackManip bug.

2002-12-18 13:42  mortene

	* src/tidbits.c:
	
	Cache endianness check.

2002-12-18 13:40  pederb

	* src/threads/worker.c:
	
	Temporary IRIX 6.5.18 workaround.

2002-12-18 13:35  mortene

	* src/3ds/3dsLoader.cpp:
	
	Updates to latest revision from Peciva.

2002-12-18 13:29  mortene

	* src/3ds/: 3dsLoader.cpp, 3dsLoader.h, SoStream.cpp, SoStream.h:
	
	Adds a fairly complete loader for 3DS-files. Written and kindly
	donated by John Peciva.

2002-12-18 12:42  mortene

	* docs/todo.txt:
	
	Complete item #026.

2002-12-18 12:29  mortene

	* docs/: foreign-language-bindings.txt, todo.txt:
	
	Minor doc updates.

2002-12-18 11:03  kyrah

	* src/vrml97/Sound.cpp:
	
	Mac OS X compile fixes.

2002-12-18 10:57  mortene

	* docs/todo.txt:
	
	Merge items on hotlist from SIM Coin summit.

2002-12-18 10:25  mortene

	* README.WIN32, docs/todo.txt:
	
	Misc updates.

2002-12-18 10:24  mortene

	* src/misc/SoType.cpp:
	
	Minor API doc fix.

2002-12-18 10:21  mortene

	* BUGS.txt:
	
	2 new items.

2002-12-18 09:50  mortene

	* src/: elements/SoGLTextureImageElement.cpp, nodes/SoTexture2.cpp:
	
	Removes a couple of obsoleted FIXMEs.

2002-12-17 18:30  mortene

	* src/misc/simage_wrapper.c:
	
	Never include simage.h, as all necessary types, identifiers,
	function signatures, etc is defined in simage_wrapper.h.

2002-12-17 16:57  kyrah

	* src/glue/: gl_glx.c, gl_wgl.c:
	
	Mac OS 10.2 compile fixes.

2002-12-17 11:40  mortene

	* BUGS.txt:
	
	Bug was obsoleted before entered.

2002-12-17 11:00  mortene

	* data/draggerDefaults/rotateDiscDragger.iv:
	
	More sensible interaction with the flat parts of the dragger inside
	the band. Bugfix on material use. By Philippe Debanne'.

2002-12-17 10:49  mortene

	* BUGS.txt:
	
	New item.

2002-12-17 10:41  mortene

	* BUGS.txt:
	
	New item.

2002-12-16 17:00  pederb

	* src/draggers/SoDragger.cpp:
	
	Truncate cached path when child dragger finishes dragging.

2002-12-16 14:03  mortene

	* THANKS:
	
	Adds Klas Kalass for SoQt bugfix.

2002-12-15 22:28  mortene

	* src/glue/gl.c:
	
	Add URL to list of resources.

2002-12-12 10:45  pederb

	* include/Inventor/nodekits/SoBaseKit.h:
	
	Improve Open Inventor compatibility by including SoChildList header
	file.

2002-12-12 09:58  pederb

	* src/elements/Makefile.am:
	
	Install SoGLDrawStyleElement.h.

2002-12-10 14:35  pederb

	* src/threads/worker.c:
	
	Bugfix.

2002-12-10 14:02  pederb

	* include/Inventor/VRMLnodes/SoVRMLLOD.h,
	include/Inventor/VRMLnodes/SoVRMLSwitch.h,
	include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoTransformSeparator.h, src/nodes/SoLOD.cpp,
	src/nodes/SoLevelOfDetail.cpp, src/nodes/SoPathSwitch.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoTransformSeparator.cpp,
	src/vrml97/LOD.cpp, src/vrml97/Switch.cpp:
	
	More missing audioRender() methods.

2002-12-10 13:15  pederb

	* include/Inventor/VRMLnodes/SoVRMLGroup.h,
	include/Inventor/VRMLnodes/SoVRMLTransform.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoSeparator.h, src/nodes/SoArray.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoSeparator.cpp,
	src/vrml97/Group.cpp, src/vrml97/Transform.cpp:
	
	Implements some missing audioRender() methods.

2002-12-10 13:13  pederb

	* src/nodes/SoCamera.cpp:
	
	Optimize audioRender(). Only do SbMatrix::getTransform() if matrix
	!= identity.

2002-12-10 12:36  pederb

	* src/misc/SoGLImage.cpp:
	
	Make sure 3D textures are not used when zsize == 0
	(coin_geq_power_of_two(0) = 1).

2002-12-10 11:21  pederb

	* src/threads/sched.c:
	
	Fix potential thread safe problems.

2002-12-10 10:55  mortene

	* configure.ac, src/misc/SoInput.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoTexture2.cpp:
	
	FIXME notes.

2002-12-10 10:54  mortene

	* src/base/hash.c:
	
	FIXME note about an assert that should be investigated.

2002-12-10 10:54  larsa

	* src/tidbits.c:
	
	fix unsigned/signed comparison

2002-12-10 10:54  mortene

	* src/misc/SoGLBigImage.cpp:
	
	Replace power-of-two calculation with more elegant solution from
	tidbits.c.

2002-12-10 10:53  mortene

	* src/misc/SoGLImage.cpp:
	
	Bugfix: power-of-two calculation failed when value was equal to
	zero.

2002-12-10 10:52  mortene

	* include/Inventor/C/tidbits.h, src/tidbits.c:
	
	For convenience, add a method that returns either next power of two
	or the given number (if already a number of two).

2002-12-09 17:19  larsa

	* configure.ac:
	
	more compiler warnings

2002-12-09 13:44  rolvs

	* BUGS.txt:
	
	Two updates.  Added BUG#045

2002-12-09 11:17  mortene

	* BUGS.txt:
	
	Update on how to resolve one (non-)bug.

2002-12-09 10:36  rolvs

	* BUGS.txt:
	
	Removed 027 (fixed), two updates.

2002-12-06 13:55  mortene

	* src/misc/SoGLImage.cpp:
	
	Gets rid of the nearest_power_of_two() function, as a more elegant
	solution is now available from tidbits.c. Also cleans up some ugly
	type handling.

2002-12-06 13:53  mortene

	* include/Inventor/C/tidbits.h, src/tidbits.c:
	
	New function: coin_next_power_of_two(). Updates on the snprintf()
	situation.

2002-12-03 15:09  mortene

	* docs/misc-resources.txt:
	
	No need to duplicate these here.

2002-12-03 14:34  mortene

	* src/glue/gl.c:
	
	Compilation fix, problem reported by thammer.

2002-12-03 13:28  thammer

	* src/vrml97/Sound.cpp:
	
	Bugfix, and an assert (to prevent similar bugs from popping up
	again).

2002-12-03 13:22  thammer

	* src/nodes/SoListener.cpp:
	
	Changed default value for position field.

2002-12-03 13:20  thammer

	* src/misc/SoAudioDevice.cpp:
	
	Removed unused (private) variable and fixed a bug with invalid
	listener orientations that resulted in incorrect rendering for some
	OpenAL drivers

2002-12-03 12:22  mortene

	* BUGS.txt:
	
	Confirmed by pederb to work as expected.

2002-12-03 11:20  mortene

	* BUGS.txt:
	
	New item.

2002-12-02 13:44  larsa

	* configure.ac:
	
	for gcc during debug builds, add option -fno-builtin to detect
	missing #include string.h

2002-12-02 12:45  mortene

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	include/Inventor/system/gl.h.in, src/glue/gl.c:
	
	Adds support for the OpenGL 1.2 imaging functionality of
	glBlendEquation().

2002-12-02 12:25  larsa

	* src/threads/condvar_pthread.ic:
	
	correct include-path

2002-12-02 11:44  larsa

	* src/threads/condvar_pthread.ic:
	
	use Coin's cc_time abstraction, and adjust for system-dependent
	timespec definition

2002-12-02 11:25  pederb

	* src/nodes/SoSurroundScale.cpp:
	
	SoAudioRenderAction traversal bugfix.

2002-12-02 10:01  mortene

	* src/glue/gl.c:
	
	Adds pointer to relevant Apple API doc.

2002-12-01 20:18  mortene

	* src/glue/gl.c:
	
	List additional resources.

2002-11-29 14:36  pederb

	* src/threads/barrier.c:
	
	Unlock mutex after waking the threads.

2002-11-29 12:40  pederb

	* src/: tidbits.c, base/base.c, errors/debugerror.c,
	errors/error.c, misc/GLUWrapper.c, misc/simage_wrapper.c:
	
	More #if HAVE_CONFIG_H fixes.

2002-11-29 12:35  pederb

	* include/coindefs.h, src/misc/GLUWrapper.h,
	src/misc/simage_wrapper.h:
	
	Use #ifdef HAVE_CONFIG_H, not #if HAVE_CONFIG_H.

2002-11-29 12:14  pederb

	* src/: actions/SoAudioRenderAction.cpp,
	bundles/SoMaterialBundle.cpp, caches/SoGLCacheList.cpp,
	elements/SoGLClipPlaneElement.cpp,
	elements/SoGLColorIndexElement.cpp,
	elements/SoGLCoordinateElement.cpp,
	elements/SoGLDrawStyleElement.cpp,
	elements/SoGLEmissiveColorElement.cpp,
	elements/SoGLEnvironmentElement.cpp, elements/SoGLLazyElement.cpp,
	elements/SoGLLightIdElement.cpp,
	elements/SoGLLinePatternElement.cpp,
	elements/SoGLLineWidthElement.cpp,
	elements/SoGLModelMatrixElement.cpp,
	elements/SoGLNormalElement.cpp, elements/SoGLPointSizeElement.cpp,
	elements/SoGLProjectionMatrixElement.cpp,
	elements/SoGLShapeHintsElement.cpp,
	elements/SoGLTexture3EnabledElement.cpp,
	elements/SoGLTextureCoordinateElement.cpp,
	elements/SoGLTextureEnabledElement.cpp,
	elements/SoGLTextureImageElement.cpp,
	elements/SoGLTextureMatrixElement.cpp,
	elements/SoGLViewingMatrixElement.cpp,
	elements/SoGLViewportRegionElement.cpp, errors/SoError.cpp,
	lists/SoActionMethodList.cpp, lists/SoEnabledElementsList.cpp,
	misc/SoAudioDevice.cpp, misc/SoBase.cpp, misc/SoGL.cpp,
	misc/SoInput.cpp, misc/SoOutput.cpp, misc/SoSceneManager.cpp,
	misc/SoState.cpp, nodes/SoAnnotation.cpp, nodes/SoAsciiText.cpp,
	nodes/SoDirectionalLight.cpp, nodes/SoGroup.cpp, nodes/SoImage.cpp,
	nodes/SoIndexedFaceSet.cpp, nodes/SoIndexedLineSet.cpp,
	nodes/SoIndexedNurbsCurve.cpp, nodes/SoIndexedNurbsSurface.cpp,
	nodes/SoIndexedTriangleStripSet.cpp, nodes/SoLineSet.cpp,
	nodes/SoListener.cpp, nodes/SoNode.cpp, nodes/SoNurbsCurve.cpp,
	nodes/SoNurbsProfile.cpp, nodes/SoNurbsSurface.cpp,
	nodes/SoPointLight.cpp, nodes/SoPointSet.cpp, nodes/SoQuadMesh.cpp,
	nodes/SoSpotLight.cpp, nodes/SoText2.cpp, nodes/SoText3.cpp,
	nodes/SoTextureCoordinateEnvironment.cpp,
	nodes/SoTextureCoordinatePlane.cpp, nodes/SoTriangleStripSet.cpp,
	vrml97/AudioClip.cpp, vrml97/Billboard.cpp,
	vrml97/DirectionalLight.cpp, vrml97/Extrusion.cpp,
	vrml97/Group.cpp, vrml97/IndexedLineSet.cpp, vrml97/LOD.cpp,
	vrml97/PointLight.cpp, vrml97/PointSet.cpp, vrml97/Sound.cpp,
	vrml97/SpotLight.cpp:
	
	Use #ifdef HAVE_CONFIG_H, not #if HAVE_CONFIG_H. This fixes some
	thread safe bugs.

2002-11-27 16:11  handegar

	* src/misc/: SoOffscreenGLXData.icc, SoOffscreenRenderer.cpp:
	
	Added antialiasing/multipass support when rendering to large
	offscreens.

2002-11-27 15:33  pederb

	* src/tidbits.c:
	
	Robustify.

2002-11-27 15:30  pederb

	* src/nodes/SoCamera.cpp:
	
	Use coin_viewvolume_jitter() in SoCamera::jitter().

2002-11-27 15:23  pederb

	* include/Inventor/C/tidbits.h, src/tidbits.c:
	
	Add view volume jitter function.

2002-11-27 15:01  mortene

	* src/nodes/SoCamera.cpp:
	
	Bugfix for Doxygen doc, was inadvertently disabling SoCamera
	documentation.

2002-11-27 12:55  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Fixed a bug when rendering to multiple subscreens.

2002-11-27 11:30  pederb

	* include/Inventor/nodes/SoGroup.h, src/nodes/SoGroup.cpp:
	
	Adds (unused) pimpl.

2002-11-27 10:44  pederb

	* include/Inventor/nodes/SoFile.h,
	include/Inventor/nodes/SoGroup.h,
	include/Inventor/nodes/SoWWWInline.h, src/nodes/SoFile.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoWWWInline.cpp:
	
	Add audioRender() method for some nodes.

2002-11-27 09:56  pederb

	* src/elements/SoGLLazyElement.cpp:
	
	Compile fix.

2002-11-27 09:23  mortene

	* src/elements/: SoGLLazyElement.cpp, SoLazyElement.cpp:
	
	Fixes function signature mismatches between declaration and
	definition. Reported and fixed by Guy Barrand.

2002-11-26 17:32  pederb

	* src/elements/SoGLLazyElement.cpp:
	
	Bugfix. Only update glimageid if texture is actually sent to
	OpenGL. Bug reported by Kristofer Tingdahl.

2002-11-26 14:18  pederb

	* include/Inventor/engines/SoCalculator.h,
	src/engines/SoCalculator.cpp:
	
	Pimpl

2002-11-26 11:44  mortene

	* include/Inventor/SbString.h, include/Inventor/C/base/string.h,
	include/Inventor/VRMLnodes/SoVRMLElevationGrid.h,
	src/base/SbDPMatrix.cpp, src/base/SbDict.cpp,
	src/base/SbMatrix.cpp, src/errors/SoError.cpp, src/misc/SoBase.cpp,
	src/nodes/SoExtSelection.cpp:
	
	Compilation fixes, by Guy Barrand.

2002-11-25 10:21  mortene

	* src/: Makefile.am, dummy.cpp:
	
	Trick Automake into linking libCoin with CXXLD, not CCLD.

2002-11-24 12:28  mortene

	* src/: tidbits.c, base/SbName.cpp, base/SbTime.cpp, base/string.c,
	caches/SoGLCacheList.cpp, elements/SoCacheElement.cpp,
	elements/SoCoordinateElement.cpp, elements/SoElement.cpp,
	elements/SoFontNameElement.cpp,
	elements/SoGLCacheContextElement.cpp, elements/SoGLDisplayList.cpp,
	elements/SoGLPolygonOffsetElement.cpp, elements/SoLazyElement.cpp,
	elements/SoLightAttenuationElement.cpp,
	elements/SoOverrideElement.cpp,
	elements/SoProfileCoordinateElement.cpp, errors/SoDebugError.cpp,
	errors/SoError.cpp, events/SoKeyboardEvent.cpp, fields/SoField.cpp,
	fields/SoGlobalField.cpp, fields/SoMField.cpp, glue/dl.c,
	glue/gl.c, lists/SoPathList.cpp, misc/AudioTools.cpp,
	misc/GLUWrapper.c, misc/SoBase.cpp, misc/SoDB.cpp, misc/SoGL.cpp,
	misc/SoGLImage.cpp, misc/SoGlyph.cpp, misc/SoInput.cpp,
	misc/SoOutput.cpp, misc/SoPickedPoint.cpp,
	misc/SoProtoInstance.cpp, misc/SoType.cpp, nodekits/SoBaseKit.cpp,
	nodekits/SoInteractionKit.cpp, nodekits/SoNodeKitPath.cpp,
	nodes/SoExtSelection.cpp, nodes/SoLevelOfDetail.cpp,
	nodes/SoLinearProfile.cpp, nodes/SoMarkerSet.cpp,
	nodes/SoMaterial.cpp, nodes/SoNode.cpp, nodes/SoNurbsProfile.cpp,
	nodes/SoSeparator.cpp, nodes/SoShape.cpp,
	nodes/SoTextureCoordinateEnvironment.cpp, nodes/SoWWWInline.cpp,
	nodes/soshape_bigtexture.cpp, nodes/soshape_trianglesort.cpp,
	threads/mutex.c, threads/sync.c, vrml97/ImageTexture.cpp,
	vrml97/Inline.cpp:
	
	Compilation fixes after moving tidbits.h.

2002-11-24 12:04  mortene

	* include/Inventor/C/Makefile.am, include/Inventor/C/tidbits.h,
	src/tidbits.h:
	
	Make tidbits functions public.

2002-11-24 11:43  mortene

	* docs/: c-porting.txt, misc-resources.txt:
	
	Adds info snippet.

2002-11-24 10:49  mortene

	* include/Inventor/SbBox2s.h, include/Inventor/SbXfBox3f.h,
	src/base/SbBox2s.cpp, src/base/SbXfBox3f.cpp:
	
	Don't intrude on the compiler's namespace. Codestyle fixes.

2002-11-22 14:41  pederb

	* include/Inventor/misc/SoState.h:
	
	Assert that element is enabled when accessed.

2002-11-22 13:01  mortene

	* src/: tidbits.h, tidbits.c:
	
	Adds utility function to check if an integer equals a power of 2.

2002-11-22 12:13  rolvs

	* BUGS.txt:
	
	Fix-update on 027

2002-11-22 12:01  rolvs

	* src/sensors/SoTimerSensor.cpp:
	
	Fixed BUG#027

2002-11-22 11:04  larsa

	* BUGS.txt:
	
	rebuttal

2002-11-22 10:54  rolvs

	* BUGS.txt:
	
	Update on BUG#027

2002-11-21 11:54  mortene

	* src/: tidbits.c, tidbits.h:
	
	Provide functions for swapping floats written as binary arrays of 4
	bytes to and from network format.

2002-11-21 11:02  larsa

	* BUGS.txt:
	
	ehm, what I meant was...

2002-11-21 10:59  larsa

	* BUGS.txt:
	
	updates

2002-11-21 08:18  mortene

	* src/glue/dl.c:
	
	Portability fix.

2002-11-20 16:47  pederb

	* src/nodekits/SoNodekitCatalog.cpp:
	
	Fixes incorrect assert. Spotted by Arne Sletteng.

2002-11-19 14:43  pederb

	* src/misc/SoBase.cpp:
	
	Fixed incorrect field converter existence test.

2002-11-19 09:24  thammer

	* docs/coin.doxygen.in:
	
	Added .cpp-files for sound-related classes

2002-11-18 15:27  pederb

	* RELNOTES, src/misc/SoGLImage.cpp:
	
	Switch to using GL_CLAMP_TO_EDGE instead of GL_CLAMP for the
	SoTexture2 and SoTexture3 CLAMP wrap mode.

2002-11-18 12:57  thammer

	* src/: nodes/SoListener.cpp, vrml97/Sound.cpp:
	
	Modified code to use new SoListener* elements.	SoVRMLSound now
	uses one mutex per instance instead of one global mutex.  Added
	some comments about deadlock bugs.

2002-11-18 11:50  thammer

	* src/vrml97/AudioClip.cpp:
	
	Changed fprintf to postInfo

2002-11-18 11:49  mortene

	* include/Inventor/elements/SoTextureImageElement.h:
	
	Match enum values of SGI Inventor for interface compatibility
	reasons.

2002-11-18 11:45  thammer

	* src/nodes/SoCamera.cpp:
	
	Now without fprintfs

2002-11-18 11:40  thammer

	* src/misc/SoAudioDevice.cpp:
	
	Added #ifdef's to make it compile without sound support. Bug
	reported by larsa.

2002-11-18 11:36  thammer

	* src/vrml97/AudioClip.cpp:
	
	Fixed a nasty deadlock bug.

2002-11-18 11:29  thammer

	* src/nodes/SoNode.cpp:
	
	Make sure SoCamera::audioRender is called when an
	SoAudioRenderAction is apply'd

2002-11-18 11:27  mortene

	* THANKS, data/draggerDefaults/dragPointDragger.iv:
	
	Make drag-plane feedback geometry visible from both sides. Problem
	reported by Kristofer Tingdahl.

2002-11-18 11:24  thammer

	* include/Inventor/nodes/SoCamera.h, src/nodes/SoCamera.cpp:
	
	Added audioRender() method

2002-11-18 11:20  mortene

	* docs/misc-resources.txt:
	
	Additional resources on improved font support.

2002-11-18 11:20  mortene

	* docs/foreign-language-bindings.txt:
	
	Info on C#/.Net.

2002-11-18 11:19  thammer

	* docs/coin.doxygen.in:
	
	Documentation for SoListener* elements

2002-11-18 11:18  thammer

	* include/Inventor/elements/SoElements.h:
	
	Include the new SoListener* elements

2002-11-18 11:18  larsa

	* BUGS.txt:
	
	update

2002-11-18 11:15  thammer

	* src/elements/SoElement.cpp:
	
	Initialize the new SoListener* elements

2002-11-18 11:14  thammer

	* src/elements/all.cpp:
	
	Added the new SoListener* elements.

2002-11-18 11:14  thammer

	* src/elements/SoListenerPositionElement.cpp:
	
	Minor doc. update

2002-11-18 11:09  thammer

	* include/Inventor/misc/SoAudioDevice.h,
	src/misc/SoAudioDevice.cpp:
	
	Added support for muting and setting global gain. Set listener
	position and distance attenuation model when the audio device is
	initialized.

2002-11-18 11:08  mortene

	* BUGS.txt:
	
	Cygwin/MSVC++ configure bugs.

2002-11-18 10:53  mortene

	* src/actions/SoGetMatrixAction.cpp:
	
	Extensive usage example.

2002-11-18 10:43  thammer

	* src/misc/SoSceneManager.cpp:
	
	Only apply SoAudioRenderAction if SoAudioDevice has been
	initialized successfully, and the user has not disabled sound.

2002-11-16 15:39  kintel

	* src/nodes/SoTexture3.cpp:
	
	Fixed doc bug

2002-11-15 12:04  larsa

	* docs/api-wish-list.txt:
	
	suggestion from Michael Wimmer <wimmer@cg.tuwien.ac.at>

2002-11-12 14:09  mortene

	* src/: tidbits.c, tidbits.h:
	
	Expose coin_get_host_endianness().

2002-11-12 11:36  pederb

	* src/nodes/SoSelection.cpp:
	
	SGI Inventor conformance fix. Call pick filter callback even if the
	event was handled by a child node.

2002-11-12 11:07  pederb

	* src/nodes/SoSelection.cpp:
	
	SoSelection bugfix. Call pick filter callback also for mouse down
	events.

2002-11-12 10:57  thammer

	* include/Inventor/misc/SoAudioDevice.h,
	src/misc/SoAudioDevice.cpp:
	
	Updated documentation. Added a method for determining if the audio
	device is enabled.

2002-11-12 10:55  larsa

	* include/Inventor/SbBasic.h.in:
	
	report error on non-C++ compilation with Inventor C++ headers

2002-11-12 10:06  thammer

	* src/elements/: SoListenerGainElement.cpp,
	SoListenerOrientationElement.cpp, SoListenerPositionElement.cpp,
	SoListenerVelocityElement.cpp:
	
	Updated documentation.

2002-11-12 10:04  thammer

	* src/elements/Makefile.am:
	
	Makefile for building the new SoListener*Element classes

2002-11-12 09:52  thammer

	* include/Inventor/elements/SoListenerGainElement.h,
	include/Inventor/elements/SoListenerOrientationElement.h,
	include/Inventor/elements/SoListenerPositionElement.h,
	include/Inventor/elements/SoListenerVelocityElement.h,
	src/elements/SoListenerGainElement.cpp,
	src/elements/SoListenerOrientationElement.cpp,
	src/elements/SoListenerPositionElement.cpp,
	src/elements/SoListenerVelocityElement.cpp:
	
	Added new elements to be used for rendering audio.

2002-11-11 15:34  rolvs

	* BUGS.txt:
	
	Removed a bug Update on 035

2002-11-11 14:43  pederb

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	Use correct function signature for glGetComptessedTexImageARB.

2002-11-11 14:37  pederb

	* src/glue/gl.c:
	
	Remove unused variable.

2002-11-11 14:30  pederb

	* src/engines/SoConcatenate.cpp:
	
	For-scoping fix.

2002-11-11 11:41  pederb

	* src/nodes/SoShape.cpp:
	
	Only create bbox cache if calculating it takes longer than
	calculating a bbox for 100 random vertices. Enable culling for
	shapes with a bbox cache.

2002-11-10 22:27  mortene

	* src/engines/SoConcatenate.cpp:
	
	Greatly simplified code that takes care of transfering values from
	inputs to output(s).

2002-11-10 21:58  mortene

	* src/fields/SoField.cpp:
	
	Be robust in disconnect() when field is not attached to a
	container.

2002-11-10 21:21  mortene

	* THANKS, src/engines/SoConcatenate.cpp:
	
	Bugfix, SoConcatenate did not cat together the correct output for
	most field types. Thanks to Beifang Yi for the problem report.

2002-11-09 11:56  mortene

	* src/glue/gl.c:
	
	Fixes a case of unnecessary pollution of global namespace.

2002-11-09 11:55  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Fixes minor typo in debug output.

2002-11-09 11:54  mortene

	* src/vrml97/Sound.cpp:
	
	Compilation fix for when OpenAL is not present.

2002-11-09 11:32  mortene

	* docs/misc-resources.txt:
	
	VolRend resource.

2002-11-08 17:12  thammer

	* src/vrml97/AudioClip.cpp:
	
	Replaced #ifdef COIN_DEBUG with #if COIN_DEBUG.

2002-11-08 13:09  pederb

	* src/: actions/SoGLRenderAction.cpp,
	actions/SoIntersectionDetectionAction.cpp,
	bundles/SoTextureCoordinateBundle.cpp, nodes/SoExtSelection.cpp:
	
	Optimize by testing the shape's bbox cache before using
	computeBBox().

2002-11-08 13:08  pederb

	* src/nodes/SoTextureCoordinate2.cpp:
	
	Enable SoTextureCoordinateElement for SoPickAction since we access
	the element in this node's pick()-method.

2002-11-08 11:14  mortene

	* README.VRML97:
	
	Tag properly.

2002-11-08 11:05  pederb

	* README.VRML97:
	
	Some info (mostly internal) regarding the VRML97 support.

2002-11-08 10:59  thammer

	* include/Inventor/SoSceneManager.h,
	include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	include/Inventor/misc/SoAudioDevice.h,
	src/actions/SoAudioRenderAction.cpp, src/misc/AudioTools.cpp,
	src/misc/AudioTools.h, src/misc/SoAudioDevice.cpp,
	src/misc/SoDB.cpp, src/misc/SoSceneManager.cpp,
	src/nodes/SoNode.cpp, src/vrml97/AudioClip.cpp,
	src/vrml97/Sound.cpp:
	
	SoSceneManager::render(...) now applies a SoAudioRenderAction to
	the scene.  SoDB::init() initialized the audio device.
	SoVRMLAudioClip and SoVRMLSound have been improved wrt figuring out
	when to stop playing after a soundfile has been played to it's end.
	Looping has been improved.  SoVRMLAudioClip supports the pitch
	field. Support for disabling distance attenuation has been added.
	Plus misc bugfixes.

2002-11-08 10:25  pederb

	* src/vrml97/Appearance.cpp:
	
	Bugfix.

2002-11-08 09:54  mortene

	* include/Inventor/errors/SoError.h:
	
	Fix a compiler warning for MSVC.NET, reported by Rufus J.W.
	Buschart.

2002-11-07 19:15  mortene

	* src/: elements/SoGLLazyElement.cpp, misc/SoGLFaceSetTemplate.icc:
	
	Compilation fix.

2002-11-07 16:26  pederb

	* src/nodes/SoShape.cpp:
	
	Bugfix for very recently introduced bug.

2002-11-07 16:23  mortene

	* include/Inventor/nodes/SoIndexedNurbsSurface.h,
	src/nodes/SoIndexedNurbsSurface.cpp:
	
	Pimplified.

2002-11-07 16:20  mortene

	* include/Inventor/nodes/SoNurbsSurface.h,
	src/nodes/SoNurbsSurface.cpp:
	
	Pimplified.

2002-11-07 16:16  mortene

	* include/Inventor/nodes/SoIndexedNurbsCurve.h,
	src/nodes/SoIndexedNurbsCurve.cpp:
	
	Pimplified.

2002-11-07 16:12  mortene

	* include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoNurbsProfile.cpp,
	src/nodes/SoNurbsSurface.cpp:
	
	Make GLU NURBS tessellator callback functions match the correct
	Win32 calling convention.

2002-11-07 16:11  mortene

	* include/Inventor/nodes/SoNurbsCurve.h,
	src/nodes/SoNurbsCurve.cpp:
	
	Make GLU NURBS tessellator callback functions match the correct
	Win32 calling convention. Pimplify.

2002-11-07 16:06  pederb

	* include/Inventor/nodes/SoShape.h, src/nodes/SoShape.cpp:
	
	Adds SoShape::getBoundingBoxCache().

2002-11-07 16:05  pederb

	* include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoGLBigImage.h, src/misc/SoDB.cpp,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLImage.cpp:
	
	Added initClass() methods for SoGLImage and SoGLBigImage.

2002-11-07 15:24  mortene

	* src/misc/GLUWrapper.h:
	
	Corrects Win32 calling convention for GLU NURBS tessellation
	callbacks.

2002-11-07 15:22  mortene

	* src/misc/SoGL.cpp:
	
	Assert where we shouldn't try to be robust.

2002-11-07 15:19  mortene

	* docs/misc-resources.txt:
	
	Additional vol-rendering link.

2002-11-07 15:18  mortene

	* src/actions/SoAction.cpp:
	
	Miniscule code re-org for better readability and easier
	step-debugging.

2002-11-07 15:01  mortene

	* src/glue/dl.c:
	
	Minor FIXME update.

2002-11-07 15:00  mortene

	* src/glue/gl_wgl.c:
	
	Removes invalid FIXME comment.

2002-11-07 13:32  mortene

	* src/misc/SoGL.cpp:
	
	Don't call OpenGL-methods when there is no current GL-context.

2002-11-07 12:33  pederb

	* src/draggers/SoDragger.cpp:
	
	Fixed recently introduced bug.

2002-11-07 11:55  pederb

	* src/misc/simage_wrapper.c:
	
	Reverse search order for simage DLLs so that newer versions of the
	library is preferred.

2002-11-07 11:30  pederb

	* src/errors/SoError.cpp:
	
	Adds missing cc_error_init(). Fixes incorrect default error handler
	test.

2002-11-07 11:14  pederb

	* src/errors/error.c:
	
	Thread safe fix.

2002-11-06 17:30  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Reprogrammed several parts. The gain is better quality when
	rendering to huge offscreens. The class is also more robust to
	unusual offscreen sizes.

2002-11-06 15:54  pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Proper detection for when 2D or 3D texture coordinates should be
	generated.

2002-11-06 15:47  pederb

	* include/Inventor/nodes/SoTexture2.h, src/nodes/SoTexture2.cpp,
	include/Inventor/VRMLnodes/SoVRMLImageTexture.h,
	include/Inventor/VRMLnodes/SoVRMLPixelTexture.h,
	src/vrml97/ImageTexture.cpp, src/vrml97/PixelTexture.cpp:
	
	Update SoTextureEnableElement also for callback and rayPick
	actions. Update SoImageDataElement for SoRayPickAction.

2002-11-06 15:45  pederb

	* src/actions/SoRayPickAction.cpp:
	
	Enable SoTextureOverrideElement.

2002-11-06 11:19  larsa

	* AUTHORS:
	
	added Øystein Handegard

2002-11-05 10:23  larsa

	* src/VRMLnodes/.cvsignore:
	
	purge directory

2002-11-04 20:23  mortene

	* BUGS.txt:
	
	Reply to last update comment.

2002-11-04 16:02  pederb

	* include/Inventor/fields/SoSFBox3s.h:
	
	Adds COIN_DLL_API.

2002-11-04 14:39  rolvs

	* BUGS.txt:
	
	update on 002

2002-11-01 10:54  thammer

	* src/glue/dl.c:
	
	Fixed problem with crashes when calling LoadLibrary(NULL) on
	Windows2000.

2002-10-31 14:10  mortene

	* BUGS.txt:
	
	Some additional info on #002.

2002-10-31 13:46  rolvs

	* BUGS.txt:
	
	Update on #002

2002-10-30 18:47  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Use portable 'SbBool' type instead of 'bool'.

2002-10-30 17:19  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Fixed skew bug for screensizes exceeding maximum texturesize.

2002-10-30 17:15  kintel

	* src/actions/SbTri3f.icc:
	
	Compile fix

2002-10-30 17:13  larsa

	* src/actions/SbTri3f.icc:
	
	mention false-negatives bug in coplanar instersection detection
	test

2002-10-30 17:03  thammer

	* src/actions/SbTri3f.icc:
	
	Compile-fix (MSVC++)

2002-10-30 16:22  pederb

	* include/Inventor/threads/SbMutex.h:
	
	Compile fix.

2002-10-30 16:21  pederb

	* src/threads/Makefile.am:
	
	Compile/install fix.

2002-10-30 16:12  pederb

	* src/draggers/SoDragger.cpp:
	
	Bugfix to make draggers support transformations before the camera.

2002-10-30 15:45  rolvs

	* src/nodekits/SoNodekitCatalog.cpp:
	
	Fixed SECOND 'reserved by C/C++' error...

2002-10-30 14:43  mortene

	* HACKING:
	
	More on compiler implementation's reserved namespaces.

2002-10-30 14:01  rolvs

	* src/nodekits/SoNodekitCatalog.cpp:
	
	
	Renamed variable _pthis to pthis, as _names is reserved.

2002-10-30 13:53  mortene

	* src/: nodes/SoCamera.cpp, nodes/SoImage.cpp,
	sensors/SoTimerQueueSensor.cpp, misc/SoFullPath.cpp:
	
	Improvements to API doc.

2002-10-30 13:49  mortene

	* src/misc/SoDB.cpp:
	
	Adds a doc group for sound-related classes.

2002-10-30 13:46  mortene

	* models/oiv_compliance/image.iv:
	
	Minor fix to better show scaling.

2002-10-30 13:45  mortene

	* README.IRIX:
	
	Section on o32/n32/n64 issues.

2002-10-30 13:43  mortene

	* INSTALL:
	
	Minor update: --without-loadlibrary is now called
	--disable-loadlibrary.

2002-10-30 13:40  mortene

	* HACKING:
	
	Debugging hint: use Valgrind.

2002-10-30 12:51  kintel

	* src/actions/SbTri3f.icc:
	
	Removed old commented code

2002-10-30 12:47  kintel

	* src/actions/SoIntersectionDetectionAction.cpp:
	
	Implemented support for specifying an epsilon value (extremely
	inefficient though)

2002-10-30 12:43  kintel

	* src/actions/: SbTri3f.icc, SbTri3f.ih:
	
	Added getDistance() methods

2002-10-30 12:11  rolvs

	* BUGS.txt:
	
	Update on #042

2002-10-30 12:04  pederb

	* include/Inventor/system/gl.h.in:
	
	GL defines for color table and palette texture extensions.

2002-10-30 11:59  rolvs

	* src/nodekits/SoNodekitCatalog.cpp:
	
	Fixes the 'assert on copy' bug.
	
	Some refactorings for easier reading.
	
	Behvaioural changes:
	
	- The isNullByDefault flag is propagated from children to it's
	parent, if it is set to FALSE.

2002-10-30 11:20  thammer

	* src/misc/SoAudioDevice.cpp:
	
	Compile-fix for compiling without OpenAL.

2002-10-30 10:56  kyrah

	* README.MAC:
	
	No Mac OS X support in Coin/ at the moment...

2002-10-30 10:45  mortene

	* README.MAC:
	
	Sync up with Coin-1.

2002-10-30 10:43  mortene

	* src/misc/SoAudioDevice.cpp:
	
	Compile fix for OpenAL-less systems.

2002-10-29 22:26  thammer

	* src/vrml97/: AudioClip.cpp, Sound.cpp:
	
	Check for existence of threads support in Coin and use a timer
	callback instead of a thread to stream audio if threads are not
	present.

2002-10-29 22:24  thammer

	* src/base/SbXfBox3f.cpp:
	
	Win32 compile fix. Was probably a bug on other platforms as well.

2002-10-29 21:32  thammer

	* include/Inventor/threads/: SbMutex.h, SbThreadAutoLock.h:
	
	Renamed the SbMutexAutoLock class to SbThreadAutoLock to match TGS
	OIV.  Moved the class from SbMutex.h into it's own file.

2002-10-29 19:59  mortene

	* src/misc/SoAudioDevice.cpp:
	
	Important FIXME.

2002-10-29 19:56  mortene

	* src/misc/SoAudioDevice.cpp:
	
	Handle changes that was made to the API, and make the code compile
	even under OpenAL v0.0.6.

2002-10-29 19:40  mortene

	* src/misc/SoAudioDevice.cpp:
	
	If requested, spit out debugging information about the OpenAL
	library implementation.

2002-10-29 17:28  rolvs

	* BUGS.txt:
	
	Update on BUG:042. Fix around the corner.

2002-10-29 17:24  pederb

	* include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoSFBox3s.h, src/fields/Makefile.am,
	src/fields/SoField.cpp, src/fields/SoSFBox3s.cpp:
	
	Adds SoSFBox3s. By torbjorv.

2002-10-29 16:53  pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl.c:
	
	Added support for compressed and palette textures.

2002-10-29 16:49  pederb

	* src/nodekits/SoNodekitCatalog.cpp:
	
	Fixed invalid assert.

2002-10-29 14:01  pederb

	* include/Inventor/elements/SoGLTexture3EnabledElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoTexture3EnabledElement.h,
	include/Inventor/elements/SoTextureEnabledElement.h,
	src/elements/Makefile.am, src/elements/SoElement.cpp,
	src/elements/SoGLTexture3EnabledElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoTexture3EnabledElement.cpp,
	src/elements/SoTextureEnabledElement.cpp:
	
	New elements needed to track texture enable/disable state for other
	actions than SoGLRenderAction.

2002-10-29 14:00  mortene

	* BUGS.txt:
	
	About writing invalid VRML97 files.

2002-10-29 12:26  mortene

	* docs/todo.txt:
	
	Small update on the SoWriteAction fix-up.

2002-10-29 12:14  mortene

	* src/glue/gl.c:
	
	Warn about potential problems with Radeon OpenGL driver.

2002-10-29 12:12  mortene

	* README.WIN32:
	
	Info on a Cygwin build-problem. Run-time problems with Radeon
	OpenGL driver.

2002-10-29 12:00  rolvs

	* src/nodekits/SoNodekitCatalog.cpp:
	
	
	Major deobfuscation effort:
	
	- Replaced debug-errors that should be asserts, with asserts.  -
	Removed duplications in get* code.  - Simplified where possible.
	
	Wrote several tests (check Flip) on contents, to support safe
	refactoring.

2002-10-28 16:04  rolvs

	* BUGS.txt:
	
	Update on bug 042

2002-10-28 15:50  rolvs

	* src/nodekits/SoNodekitCatalog.cpp:
	
	FIXME-notes on weird stuff

2002-10-28 15:14  mortene

	* src/draggers/SoDragger.cpp:
	
	Bugfix: make setDefaultOnNonWritingFields() behave. Remove
	workaround for old Doxygen bug. Some minor fixes.

2002-10-28 11:11  larsa

	* BUGS.txt:
	
	minor note on offscreen+alpha channel

2002-10-28 08:43  pederb

	* src/nodes/SoShape.cpp:
	
	Also sort bigtexture on cache context.

2002-10-27 11:18  pederb

	* src/base/SbXfBox3f.cpp:
	
	Release compile fix.

2002-10-26 23:09  pederb

	* src/misc/SoBase.cpp:
	
	Thread safe fixes.

2002-10-25 15:33  rolvs

	* BUGS.txt:
	
	Update on dragger-copy bug.

2002-10-24 20:51  mortene

	* docs/misc-resources.txt:
	
	Minor updates.

2002-10-24 16:01  mortene

	* src/base/SbXfBox3f.cpp:
	
	Consider floating point inaccuracies when checking if a vector can
	be normalized. Warn if attempts are made to check intersections
	against an empty / uninitialized box.

2002-10-24 13:43  kintel

	* include/Inventor/actions/SoToVRML2Action.h,
	src/actions/SoToVRML2Action.cpp:
	
	Changed getVRML2SceneGraph() return type to SoVRMLNode *

2002-10-23 22:51  thammer

	* docs/coin.doxygen.in, src/actions/SoAudioRenderAction.cpp,
	src/actions/all.cpp, src/misc/all-cpp.cpp, src/nodes/SoNode.cpp,
	src/nodes/all.cpp:
	
	SoAudioRenderAction now visits cameras, which fixes a bug
	discovered in Geo2000 where audio render traversals would crash in
	SoLOD::doAction().  Added references to the new files to
	coin.doxygen.in, allthough little actual documentation has been
	written yet.  Added new source-files to the all[-cpp].cpp files.

2002-10-23 19:39  mortene

	* src/misc/SoOffscreenGLXData.icc:
	
	Remove assert(0) presumably left in by mistake.

2002-10-23 17:45  pederb

	* src/threads/barrier.c:
	
	Barrier bugfix.

2002-10-23 17:28  thammer

	* src/glue/dl.c:
	
	Added #include <assert.h> to fix Win32 compile error reported by
	preng.

2002-10-23 17:28  pederb

	* src/lists/: SoActionMethodList.cpp, SoEnabledElementsList.cpp:
	
	Thread safe fixes.

2002-10-23 16:58  handegar

	* src/misc/: SoOffscreenGLXData.icc, SoOffscreenRenderer.cpp:
	
	Fixed pixelnoise bug when rendering to large screens using NVIDIA
	drivers.

2002-10-23 13:26  pederb

	* src/threads/thread_win32.ic:
	
	Bugfix. Test if retvalptr != NULL in the thread_join function. Bug
	reported by preng.

2002-10-23 13:19  larsa

	* src/actions/SoIntersectionDetectionAction.cpp:
	
	support shape-internal testing, some more class doc

2002-10-23 13:18  larsa

	* src/actions/SbTri3f.icc:
	
	support planar intersection - disable debug stuff with separate
	define

2002-10-23 10:38  mortene

	* src/glue/dl.c:
	
	Minor code improvements: less possible point-of-failures, don't
	bother to be robust on a shouldn't-happen condition under debugging
	mode.

2002-10-22 22:59  mortene

	* BUGS.txt:
	
	Minor fix, add reference to reporter.

2002-10-22 15:46  mortene

	* docs/coin.doxygen.in, src/misc/SoDB.cpp:
	
	Document collision detection action.

2002-10-22 15:30  larsa

	* src/actions/Makefile.am:
	
	header install fix

2002-10-22 15:18  larsa

	* src/Makefile.am:
	
	make uninstall fix

2002-10-22 15:18  larsa

	* src/actions/SoIntersectionDetectionAction.cpp:
	
	doxygen fix

2002-10-22 15:12  larsa

	* src/actions/all.cpp:
	
	fix for SoIDA and --enable-compact

2002-10-22 15:10  larsa

	* include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoIntersectionDetectionAction.h,
	include/Inventor/collision/SoIntersectionDetectionAction.h,
	src/actions/Makefile.am,
	src/actions/SoIntersectionDetectionAction.cpp:
	
	location move

2002-10-22 12:03  larsa

	* coin.cfg.in:
	
	needed later for Mac framework support

2002-10-22 12:02  larsa

	* NEWS:
	
	updates

2002-10-22 11:59  larsa

	* src/actions/Makefile.am:
	
	include SbTri3f source files in dist tarballs

2002-10-22 11:58  larsa

	* src/actions/SoIntersectionDetectionAction.cpp:
	
	primitive triangle intersection detection, doxygen doc blocks

2002-10-22 11:56  larsa

	* include/Inventor/actions/SoIntersectionDetectionAction.h:
	
	export API in dll, add methods for enabling shape-internal testing

2002-10-22 11:55  larsa

	* src/actions/: SbTri3f.icc, SbTri3f.ih:
	
	a triangle polygon base class, kept internal for now

2002-10-22 07:28  thammer

	* include/Inventor/misc/SoAudioDevice.h,
	src/misc/SoAudioDevice.cpp:
	
	Added cleanup() function for proper cleanup of OpenAL stuff

2002-10-22 07:18  thammer

	* src/: nodes/SoListener.cpp, vrml97/Sound.cpp:
	
	Disabled audio rendering if the SoAudioDevice hasn't been
	initialized successfully. This should fix problems reported by
	pederb with Coin crashing on systems with no soundcards.

2002-10-22 07:08  thammer

	* include/Inventor/misc/SoAudioDevice.h,
	src/misc/SoAudioDevice.cpp, src/vrml97/AudioClip.cpp,
	src/vrml97/Sound.cpp, include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	include/Inventor/VRMLnodes/SoVRMLSound.h:
	
	SoAudioDevice is now a singleton. Debugging messages has been
	improved.  Conformance with the Coin coding standards has been
	improved.

2002-10-22 06:59  thammer

	* src/glue/dl.c:
	
	When debugging, the filename of the library opened will be posted. 
	On Win32, the full path will be posted.

2002-10-21 15:41  mortene

	* bin/coin-config:
	
	FIXMEs about SGI IRIX incompability.

2002-10-21 15:22  larsa

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	don't access SoGLTexture3EnabledElement if it's not enabled

2002-10-21 13:42  mortene

	* THANKS, src/fields/MFNodeEnginePath.tpl,
	src/fields/SFNodeEnginePath.tpl, src/fields/SoMFEngine.cpp,
	src/fields/SoMFNode.cpp, src/fields/SoMFPath.cpp,
	src/fields/SoSFEngine.cpp, src/fields/SoSFNode.cpp,
	src/fields/SoSFPath.cpp:
	
	Bugfix for potential crash bug: inspect head of SoPath before
	unref()-ing path, to make sure SoPath is not destructed
	prematurely. Found and reported by Laurent Ach.

2002-10-21 11:54  pederb

	* include/Inventor/SoSceneManager.h, src/misc/SoSceneManager.cpp:
	
	Support for multiple rendering threads.

2002-10-21 10:48  larsa

	* README.SUN:
	
	common problems under the sun :)

2002-10-21 10:48  mortene

	* configure.ac:
	
	SIM_AC_HAVE_GLXGETPROCADDRESSARB_IFELSE no longer necessary (we're
	linking to it dynamically).

2002-10-20 22:15  mortene

	* src/vrml97/Sound.cpp:
	
	Minor improvements to error output, to aid debugging.

2002-10-19 17:21  pederb

	* src/: nodekits/SoBaseKit.cpp, nodes/SoNode.cpp:
	
	Move SoBaseKit audio render action addMethod() call to
	SoBaseKit::initClass().

2002-10-19 12:48  mortene

	* src/vrml97/AudioClip.cpp:
	
	Bugfix: didn't actually print out name of soundfile that was not
	found.

2002-10-19 12:32  mortene

	* src/lists/SoActionMethodList.cpp:
	
	Robustness improvement: catch flawed invocations of
	SoActionMethodList::addMethod().

2002-10-19 12:25  mortene

	* src/misc/SoType.cpp:
	
	Assert on attempts to invoke SoType::getAllDerivedFrom() on
	SoType::badType(), as that's a good indication that something is
	seriously wrong somewhere else in the code.

2002-10-19 12:20  mortene

	* src/misc/AudioTools.cpp:
	
	Compile fix for systems missing the OpenAL dev-kit.

2002-10-19 12:19  mortene

	* src/: misc/AudioTools.cpp, misc/AudioTools.h,
	nodes/SoListener.cpp, vrml97/Sound.cpp:
	
	Clean up the AudioTools code.

2002-10-19 12:16  mortene

	* HACKING:
	
	Mention the prefered way of accessing the pimpl instance.

2002-10-19 11:55  mortene

	* src/vrml97/AudioClip.cpp:
	
	Remove DOXYGEN_SKIP_THIS block exclusion -- that's a work-around
	for a Doxygen bug that is no longer present.

2002-10-19 11:46  mortene

	* src/vrml97/Sound.cpp:
	
	Avoid unnecessary pollution of global namespace. Remove
	DOXYGEN_SKIP_THIS block exclusion -- that's a work-around for a
	Doxygen bug that is no longer present.

2002-10-19 11:39  mortene

	* HACKING:
	
	Write a subsection on global namespace pollution.

2002-10-19 11:26  mortene

	* include/Inventor/: VRMLnodes/SoVRMLAudioClip.h,
	VRMLnodes/SoVRMLSound.h, misc/SoAudioDevice.h:
	
	Pimpl-classes should _really_ be private.

2002-10-18 15:52  larsa

	* src/actions/SoIntersectionDetectionAction.cpp:
	
	fix include path

2002-10-18 15:44  larsa

	* src/actions/Makefile.am:
	
	compile/install SoIntersectionDetectionAction

2002-10-18 15:43  larsa

	* src/actions/SoAction.cpp:
	
	initialize SoIntersectionDetectionAction

2002-10-18 15:42  pederb

	* src/base/SbXfBox3f.cpp:
	
	Fix to handle flat (2D or 1D) bounding boxes in the bbox
	intersection code.

2002-10-18 15:42  larsa

	* include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoIntersectionDetectionAction.h,
	src/actions/SoIntersectionDetectionAction.cpp:
	
	partial SoIntersectionDetectionAction implementation

2002-10-18 14:19  pederb

	* src/misc/GLUWrapper.c:
	
	IRIX CC compile fix.

2002-10-18 14:03  thammer

	* src/misc/SoAudioDevice.cpp:
	
	Compile-fix for non Win32 platforms. Bug reported by pederb.

2002-10-18 12:11  thammer

	* src/: misc/simage_wrapper.h, vrml97/AudioClip.cpp:
	
	Fixed compile bug reported by larsa.

2002-10-18 11:28  thammer

	* configure.ac, src/actions/Makefile.am, src/misc/Makefile.am,
	src/nodes/Makefile.am:
	
	Bootstrap for sound support

2002-10-18 11:23  thammer

	* include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	include/Inventor/VRMLnodes/SoVRMLSound.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoAudioRenderAction.h,
	include/Inventor/misc/SoAudioDevice.h,
	include/Inventor/nodes/SoListener.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	src/actions/SoAction.cpp, src/actions/SoAudioRenderAction.cpp,
	src/nodes/SoListener.cpp, src/nodes/SoNode.cpp,
	src/vrml97/AudioClip.cpp, src/vrml97/Inline.cpp,
	src/vrml97/Sound.cpp:
	
	Support for sound.

2002-10-18 11:12  larsa

	* src/misc/simage_wrapper.c:
	
	compile fix

2002-10-18 11:02  larsa

	* include/Inventor/SbXfBox3f.h, src/base/SbXfBox3f.cpp:
	
	intersection test function between two transformed boxes

2002-10-18 10:59  mortene

	* BUGS.txt:
	
	Nasty dragger-copy bug.

2002-10-18 10:50  thammer

	* src/misc/: AudioTools.cpp, AudioTools.h, SoAudioDevice.cpp,
	simage_wrapper.c:
	
	Sound support. Some helper functions and a class that does
	initialization and clean-up of the OpenAL library.

2002-10-18 10:24  thammer

	* src/misc/: simage_wrapper.c, simage_wrapper.h:
	
	Added support for some functions needed by the upcoming sound
	support (like parameter access and stream input).

2002-10-17 17:09  pederb

	* include/Inventor/C/threads/Makefile.am,
	include/Inventor/C/threads/barrier.h,
	include/Inventor/C/threads/barrierp.h,
	include/Inventor/C/threads/common.h, src/threads/Makefile.am,
	src/threads/barrier.c:
	
	cc_barrier/SbBarrier implementation.

2002-10-17 11:29  pederb

	* src/sensors/SoSensorManager.cpp:
	
	Thread safe fix.

2002-10-17 10:08  pederb

	* src/nodes/SoRotor.cpp:
	
	Fix negative speed rotation bug reported by kintel.

2002-10-17 10:07  pederb

	* include/Inventor/nodes/SoRotor.h, src/nodes/SoRotor.cpp:
	
	pimpl

2002-10-16 16:30  pederb

	* include/Inventor/misc/SoGLBigImage.h, src/misc/SoGLBigImage.cpp,
	src/nodes/SoShape.cpp, src/nodes/soshape_bigtexture.cpp,
	src/nodes/soshape_bigtexture.h:
	
	Remove unused argument in SoGLBigImage::initSubImages().

2002-10-16 16:00  mortene

	* include/Inventor/nodes/SoSubNodeP.h:
	
	Explain the purpose of the convenience defines for file format
	compatibility.

2002-10-16 13:41  mortene

	* src/errors/SoError.cpp:
	
	Assert if we detect that an error class is attempted used before
	it's initialization.

2002-10-16 13:40  mortene

	* src/misc/SoDB.cpp:
	
	Avoid using SoDebugError before class has been initialized.

2002-10-16 13:36  mortene

	* BUGS.txt:
	
	Circular field connections can sometimes fail.

2002-10-16 12:56  larsa

	* src/misc/SoDB.cpp:
	
	remove redundant cache of globaltimersensor interval value

2002-10-16 12:55  larsa

	* BUGS.txt:
	
	SoDB::globaltimersensor bug

2002-10-16 12:48  mortene

	* Makefile.am:
	
	Run cvs update in quite mode and with compression.

2002-10-16 12:43  larsa

	* Makefile.am:
	
	cvs-update make rule

2002-10-16 12:41  larsa

	* src/Makefile.am:
	
	fix for recently introduced win32-dependent stuff

2002-10-16 12:03  mortene

	* src/glue/dl.c:
	
	Adds debug output and proper error handling to the Win32 calls.

2002-10-16 12:00  larsa

	* src/misc/SoDB.cpp:
	
	FIXME note on investigating if the globaltimersensor setup is
	correct

2002-10-16 11:23  mortene

	* src/threads/: mutex.c, mutex_win32cs.ic:
	
	Rename function pointer variable for readability.

2002-10-16 11:19  mortene

	* src/threads/mutex.c:
	
	Don't bother to be robust if we can't get a handle to kernel32.dll
	-- something would be seriously wrong.

2002-10-16 10:44  mortene

	* include/Inventor/C/errors/: debugerror.h, error.h:
	
	Export public API for MSWin DLLs.

2002-10-15 21:54  mortene

	* src/misc/GLUWrapper.c:
	
	Converts all use of printf()-style invocations to our cc_debugerror
	message abstraction.

2002-10-15 21:39  mortene

	* src/misc/GLUWrapper.c:
	
	Transition to cc_dl interface, which means major clean-ups.

2002-10-15 21:32  mortene

	* src/misc/simage_wrapper.c:
	
	Transition to cc_dl interface, which means major clean-ups.

2002-10-15 21:31  mortene

	* src/glue/gl_wgl.c:
	
	FIXME note, switch to cc_dl interface.

2002-10-15 21:30  mortene

	* src/glue/dl.c:
	
	Store library name for opened libraries. Adds a couple of FIXME
	about how to improve the flexibility of the Win32 code.

2002-10-15 21:15  mortene

	* src/glue/dl.c:
	
	Improves error handling. Adds code that lets us do (remote)
	debugging by setting an environment variable.

2002-10-15 20:13  thammer

	* src/glue/dl.c:
	
	Added Win32 support.

2002-10-15 15:05  mortene

	* BUGS.txt:
	
	Found a VRML97 file which crashes Coin.

2002-10-15 14:49  mortene

	* BUGS.txt:
	
	Found a file with SoIndexedNurbsSurface that crashes.

2002-10-15 14:42  mortene

	* include/Inventor/misc/SoBase.h, src/misc/SoBase.cpp,
	src/misc/SoInput.cpp:
	
	Better handling of erroneous ROUTE specifications in VRML97 files,
	with for instance improved error messages.

2002-10-15 14:41  mortene

	* src/: fields/SoField.cpp, lists/SoAuditorList.cpp:
	
	Improved API doc and code comments.

2002-10-15 13:04  mortene

	* src/: draggers/SoDragger.cpp, misc/SoInteraction.cpp,
	nodes/SoSelection.cpp:
	
	Minor doc fixes.

2002-10-15 11:41  kristian

	* BUGS.txt:
	
	Remove fixed bug 023 from list.

2002-10-15 10:54  mortene

	* BUGS.txt:
	
	SoGetBoundingBoxAction fails on SoPath.

2002-10-14 16:45  rolvs

	* BUGS.txt:
	
	Update on #20.

2002-10-14 16:05  mortene

	* README.WIN32:
	
	Information about common configure/build problems.

2002-10-14 16:03  mortene

	* configure.ac:
	
	Check for a Win32-specific header for the Win32 Tool Help library.

2002-10-14 16:03  mortene

	* src/misc/SoDB.cpp:
	
	Adds debugging code to list all loaded Win32 DLL modules under
	MSWindows.

2002-10-14 15:42  mortene

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:
	
	For clarity, hide the private data in an internal class.

2002-10-14 15:26  larsa

	* src/sensors/SoTimerSensor.cpp:
	
	emphasize that the timer drift effect isn't a bug

2002-10-14 13:49  mortene

	* src/sensors/SoTimerQueueSensor.cpp:
	
	Improves Doxygen class doc.

2002-10-14 13:48  mortene

	* src/nodekits/SoInteractionKit.cpp:
	
	FIXME notice about missing doc.

2002-10-14 11:28  kristian

	* src/vrml97/: Anchor.cpp, Appearance.cpp, AudioClip.cpp,
	Background.cpp, Billboard.cpp, Box.cpp, Collision.cpp, Color.cpp,
	Cone.cpp, Coordinate.cpp, Cylinder.cpp, CylinderSensor.cpp,
	DirectionalLight.cpp, ElevationGrid.cpp, Extrusion.cpp, Fog.cpp,
	FontStyle.cpp, Geometry.cpp, Group.cpp, ImageTexture.cpp,
	IndexedFaceSet.cpp, IndexedLine.cpp, IndexedLineSet.cpp,
	IndexedShape.cpp, Inline.cpp, LOD.cpp, Light.cpp, Material.cpp,
	MovieTexture.cpp, NavigationInfo.cpp, Normal.cpp, Parent.cpp,
	PixelTexture.cpp, PlaneSensor.cpp, PointLight.cpp, PointSet.cpp,
	ProximitySensor.cpp, Shape.cpp, Sound.cpp, Sphere.cpp,
	SphereSensor.cpp, SpotLight.cpp, Switch.cpp, Text.cpp, Texture.cpp,
	TextureCoordinate.cpp, TextureTransform.cpp, TouchSensor.cpp,
	Transform.cpp, VertexLine.cpp, VertexPoint.cpp, VertexShape.cpp,
	Viewpoint.cpp, VisibilitySensor.cpp, WorldInfo.cpp:
	
	Replaced macro SO_NODE_INTERNAL_CONSTRUCTOR with
	SO_VRMLNODE_INTERNAL_CONSTRUCTOR.

2002-10-14 11:22  kristian

	* include/Inventor/VRMLnodes/SoVRMLMacros.h:
	
	Added new macro SO_VRMLNODE_INTERNAL_CONSTRUCTOR for automatically
	setting the node type to SoNode::VRML2.

2002-10-11 15:06  thammer

	* include/Inventor/threads/SbMutex.h:
	
	Added SbMutexAutoLock class for automated unlocking of a mutex.

2002-10-11 09:57  mortene

	* BUGS.txt:
	
	Obscure bug with SoTrackballDragger.

2002-10-11 09:47  pederb

	* src/draggers/SoDragger.cpp:
	
	Reset surrogate part state when dragging stops.

2002-10-11 09:34  pederb

	* src/draggers/: SoHandleBoxDragger.cpp, SoTabPlaneDragger.cpp,
	SoTrackballDragger.cpp, SoTransformerDragger.cpp:
	
	Support surrogate path picking for these draggers.

2002-10-11 09:26  mortene

	* src/fields/SoFieldContainer.cpp:
	
	Bugfix: kept dangling reference to variable that went out of scope.
	Thanks to Guy Barrand for the fix.

2002-10-11 08:08  mortene

	* src/errors/SoDebugError.cpp:
	
	Work around a Doxygen bug.

2002-10-10 20:44  mortene

	* BUGS.txt:
	
	Misc updates to existing bug-descriptions.

2002-10-10 15:09  mortene

	* docs/bugreport-nvidia-glx.txt:
	
	File away bug-report about NVidia GLX for reference.

2002-10-10 15:09  mortene

	* docs/todo.txt:
	
	SoSub*.h macros should be audited and improved upon.

2002-10-10 15:01  pederb

	* src/nodes/SoAntiSquish.cpp:
	
	AntiSquish bugfix. Don't update cache for getBoundingBoxAction()
	since the path might not be the full path that we want.

2002-10-10 13:34  mortene

	* BUGS.txt:
	
	New bug.

2002-10-10 13:33  mortene

	* models/dead_simple/material.iv:
	
	Keep around for quick testing.

2002-10-10 13:33  mortene

	* include/Inventor/C/errors/debugerror.h,
	include/Inventor/errors/SoDebugError.h,
	src/errors/SoDebugError.cpp, src/errors/debugerror.c:
	
	Route debugerror output through the same callback.

2002-10-10 11:26  pederb

	* src/manips/SoClipPlaneManip.cpp:
	
	Bugfix. Initialize the surroundScale node so that the dragger is
	scaled to fit the geometry.

2002-10-08 13:42  pederb

	* src/nodes/SoShape.cpp:
	
	Documentation for beginShape()/endShape().

2002-10-07 23:38  mortene

	* BUGS.txt:
	
	Additional info on item #034 (bad rendering performance for
	data/draggerDefaults/transformerDragger.iv).

2002-10-07 18:03  mortene

	* BUGS.txt:
	
	Make an item for the problem found and reported on coin-discuss by
	Martin Vogt.

2002-10-07 17:24  mortene

	* README.WIN32:
	
	Debugging help, how to get symbols and source code info in the
	MSVC++ debugger. By Barbara.

2002-10-07 15:57  pederb

	* src/vrml97/IndexedLineSet.cpp:
	
	Handle last coordIndex != -1.

2002-10-07 15:55  pederb

	* src/vrml97/IndexedFaceSet.cpp:
	
	Handle last coordIndex != -1 properly.

2002-10-07 15:51  pederb

	* src/nodes/SoIndexedTriangleStripSet.cpp:
	
	Handle last coordIndex != -1.

2002-10-07 15:48  pederb

	* src/nodes/SoIndexedLineSet.cpp:
	
	Remove last coordIndex != -1 workaround.

2002-10-07 15:44  pederb

	* src/: caches/SoNormalCache.cpp, nodes/SoIndexedFaceSet.cpp:
	
	Handle last coordIndex != -1

2002-10-07 15:42  pederb

	* src/caches/SoConvexDataCache.cpp:
	
	Hande last coordIndex != -1

2002-10-07 15:19  pederb

	* src/misc/: SoGLFaceSetTemplate.icc, SoGLTristripTemplate.icc,
	SoGLindexedLineSetTemplate.icc:
	
	Handle coordIndex array without -1 at the end.

2002-10-07 14:46  pederb

	* src/vrml97/: Appearance.cpp, Geometry.cpp, Parent.cpp, Shape.cpp,
	Switch.cpp:
	
	Thread safe child list update.

2002-10-07 14:17  pederb

	* include/Inventor/VRMLnodes/SoVRMLAppearance.h,
	include/Inventor/VRMLnodes/SoVRMLGeometry.h,
	include/Inventor/VRMLnodes/SoVRMLLOD.h,
	include/Inventor/VRMLnodes/SoVRMLSwitch.h,
	src/vrml97/Appearance.cpp, src/vrml97/Geometry.cpp,
	src/vrml97/LOD.cpp, src/vrml97/Switch.cpp:
	
	New pimpls.

2002-10-07 14:07  pederb

	* src/nodes/SoShape.cpp:
	
	Doc update.

2002-10-07 12:54  pederb

	* src/vrml97/Extrusion.cpp:
	
	non-threadsafe compile fix.

2002-10-07 12:52  pederb

	* src/vrml97/Extrusion.cpp:
	
	Thread safe fix.

2002-10-06 22:25  mortene

	* src/misc/SoOffscreenGLXData.icc:
	
	Adds code comment that explains why we're explicitly asking for an
	indirect context.

2002-10-04 11:00  larsa

	* bin/coin-config:
	
	parse classname-arg as complete classname, not classname prefix

2002-10-04 10:54  larsa

	* bin/coin-config:
	
	new options --setup, --setup-front and --header <classname>,
	removed invalid option --includedir

2002-10-04 10:04  pederb

	* src/fields/SoField.cpp:
	
	Fix potential thread safe bug.

2002-10-03 16:05  pederb

	* src/fields/SoField.cpp:
	
	Thread safe bugfix.

2002-10-03 09:53  pederb

	* THANKS:
	
	Adds Vinh To.

2002-10-02 17:43  pederb

	* src/glue/gl.c:
	
	Allow gl > 1.0 bugfix.

2002-10-02 14:35  pederb

	* src/misc/SoChildList.cpp:
	
	Fixes a memory corruption bug. More investigation is needed to
	fully understand this fix.

2002-10-02 12:43  pederb

	* src/misc/SoPath.cpp:
	
	Fix potential hidden children bug in SoPath::replaceIndex().
	Simplifies code.

2002-10-02 10:30  mortene

	* src/fields/: SFNodeEnginePath.tpl, SoSFEngine.cpp, SoSFNode.cpp,
	SoSFPath.cpp:
	
	Bugfix: make sure auditing and referencing is correct when copying
	fields storing SoBase-derived objects. Thanks to Rune Torkildsen
	for the bug-report and a suggested fix.

2002-10-02 10:16  mortene

	* src/Makefile.am:
	
	Insert dependency so libraries are re-built with MSVC before
	installed.

2002-10-02 10:14  mortene

	* src/glue/gl_glx.c:
	
	Bugfix for Win32: GLX extension string pointer will be NULL.

2002-10-01 15:21  mortene

	* src/draggers/SoDragger.cpp:
	
	Extends class API doc.

2002-10-01 15:20  mortene

	* src/fields/: MFNodeEnginePath.tpl, SoMFEngine.cpp, SoMFNode.cpp,
	SoMFPath.cpp:
	
	Bugfix in fixCopy(): make sure auditing and references is handled
	correctly. Thanks to Rune Torkildsen for the problem report.

2002-10-01 15:11  mortene

	* include/Inventor/fields/SoSubField.h, src/fields/SoMField.cpp:
	
	Optimize allocValues() to not alloc or dealloc memory or copy bits
	when we don't change the internal array size.

2002-10-01 15:06  pederb

	* src/misc/SoPath.cpp:
	
	Don't run assertAlive() tests on SoTempPath nodes.

2002-10-01 15:06  pederb

	* include/Inventor/lists/SoBaseList.h, src/lists/SoBaseList.cpp:
	
	New method SoBaseList::isReferencing().

2002-10-01 14:52  mortene

	* src/fields/SoFieldData.cpp:
	
	Also transfer new field type attribute when copying fields.

2002-10-01 14:05  pederb

	* src/misc/SoBase.cpp:
	
	Also print instance pointer in assertAlive().

2002-09-30 16:10  larsa

	* docs/todo.txt:
	
	new item

2002-09-30 15:05  larsa

	* README.WIN32:
	
	update on VC7 differences

2002-09-30 14:55  mortene

	* src/misc/SoBase.cpp:
	
	Compilation fix. Thanks to Bert Bril.

2002-09-30 11:34  mortene

	* src/misc/: SoDB.cpp, SoType.cpp:
	
	More explicit casting to silence gcc3 warnings. Thanks to Tamer
	Fahmy.

2002-09-30 11:33  mortene

	* src/: base/SbCylinder.cpp, vrml97/Cone.cpp:
	
	Compilation fixes for gcc3. Thanks to Tamer Fahmy.

2002-09-30 10:59  mortene

	* BUGS.txt:
	
	Store away a problem report.

2002-09-30 09:51  mortene

	* src/glue/gl.c:
	
	Provide an environment variable COIN_FORCE_GL1_0_ONLY to disallow
	the use of OpenGL1.1+ and extensions under any circumstanes. Also
	documents all environment variables that influences the GL-wrapper.

2002-09-30 09:19  mortene

	* src/: draggers/SoJackDragger.cpp, engines/SoCalculator.cpp,
	manips/SoClipPlaneManip.cpp:
	
	Doxygen API doc fixes.

2002-09-30 09:18  mortene

	* src/base/SbDict.cpp:
	
	Try to work around a Doxygen bug.

2002-09-28 13:05  mortene

	* src/misc/SoPath.cpp:
	
	Check for dangling node pointers on truncate(), to catch internal
	library code (or external client code) errors.

2002-09-28 13:03  mortene

	* include/Inventor/misc/SoBase.h, src/misc/SoBase.cpp:
	
	Make the is-this-object-alive check accessible from external code.
	Also does more rigid checking from within SoBase itself.

2002-09-27 16:38  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Compile fix.

2002-09-27 16:34  pederb

	* src/glue/gl_glx.c:
	
	Win32 compile fix

2002-09-27 16:05  mortene

	* src/glue/: gl.c, gl_glx.c:
	
	Compilation fixes for SGI Mipspro CC.

2002-09-27 15:00  larsa

	* BUGS.txt:
	
	SoIndexedLine incompatibility with SGI Inventor

2002-09-27 12:42  mortene

	* include/Inventor/C/glue/gl.h, src/glue/gl.c:
	
	Add new method to inquire about direct/indirect rendering for GLX.

2002-09-27 12:41  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Make the flag which indicates direct or indirect rendering
	auto-correct itself.

2002-09-27 12:22  mortene

	* include/Inventor/elements/SoGLCacheContextElement.h,
	src/elements/SoGLCacheContextElement.cpp:
	
	Make SoGLCacheContextElement::getIsRemoteRendering() return the
	correct value.

2002-09-27 12:01  mortene

	* src/glue/gl.c, src/glue/gl_glx.c, src/glue/gl_glx.h,
	include/Inventor/C/glue/glp.h:
	
	Some restructuring of the interface between the GL and the GLX
	query modules. Add code to grab debug info from both server and
	client, which should be useful if rendering is indirect. Can now
	query for GLX extensions.

2002-09-27 11:36  pederb

	* docs/misc-resources.txt:
	
	Added The Seismic Unix project.

2002-09-27 11:09  mortene

	* BUGS.txt:
	
	Some notes on the missing-transparency-in-SoOffscreenRenderer
	problem.

2002-09-27 10:54  larsa

	* BUGS.txt:
	
	offscreen renderer transparency problem report

2002-09-27 10:09  pederb

	* src/nodes/: SoFaceSet.cpp, SoImage.cpp, SoPackedColor.cpp,
	SoTexture2.cpp, SoTexture3.cpp, SoVertexProperty.cpp:
	
	Use inherited::notify(), not SoNode::notify().

2002-09-27 10:08  pederb

	* src/nodes/SoIndexedFaceSet.cpp:
	
	Bugfix. Need to call inherited::notify(), not SoNode::notify(). Bug
	reported by Jacob Støren.

2002-09-27 08:53  mortene

	* src/actions/SoToVRMLAction.cpp:
	
	Removes Doxygen bug-workaround for bug that was fixed with 1.2.18.

2002-09-27 08:43  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Test for Doxygen bug.

2002-09-26 16:29  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Tag image is used so that the image data isn't freed.

2002-09-26 14:49  pederb

	* include/Inventor/threads/SbStorage.h, src/threads/storage.c:
	
	Bugfix. Wrapper shouldn't use typedefs from the C header file.

2002-09-26 14:14  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Makes this class thread safe.

2002-09-26 14:13  pederb

	* include/Inventor/threads/SbStorage.h:
	
	Support for cc_storage_apply_to_all().

2002-09-26 14:12  pederb

	* include/Inventor/C/threads/storage.h, src/threads/storage.c:
	
	New function cc_storage_apply_to_all().

2002-09-26 11:53  mortene

	* src/glue/gl.c:
	
	Default disable all OpenGL 1.1+ and extensions if rendering is
	indirect.

2002-09-26 10:29  mortene

	* src/elements/SoElement.cpp:
	
	Doxygen API doc fix.

2002-09-26 10:28  mortene

	* src/base/SbString.cpp:
	
	Doxygen API doc fix. (SbString::print() was silently axed during
	the conversion to cc_string, it seems.)

2002-09-26 10:27  mortene

	* HACKING:
	
	Better FIXME tag example.

2002-09-24 17:57  mortene

	* THANKS:
	
	Heiko Hoffmann, for an SoWin fix.

2002-09-24 16:46  pederb

	* src/caches/SoGLCacheList.cpp:
	
	GL caching bugfix.

2002-09-24 15:19  mortene

	* include/Inventor/system/gl.h.in:
	
	Adds more defines that could be missing from the local system's
	gl.h.

2002-09-24 15:05  mortene

	* src/misc/: GLUWrapper.c, GLUWrapper.h:
	
	Removes unused gluBuild*Mipmaps() methods, as they are no longer
	used within Coin.

2002-09-24 15:05  mortene

	* src/misc/SoGLImage.cpp:
	
	Avoid using gluBuild2DMipmaps() and gluBuild3DMipmaps(), as they
	implicitly use OpenGL 1.1+ methods, which may cause trouble with
	remote rendering.

2002-09-24 11:17  pederb

	* src/bundles/SoNormalBundle.cpp:
	
	Remove default argument in implementation.

2002-09-24 11:13  pederb

	* include/Inventor/bundles/SoNormalBundle.h,
	src/bundles/Makefile.am, src/bundles/SoNormalBundle.cpp:
	
	Added SoNormalBundle.

2002-09-24 10:09  mortene

	* BUGS.txt:
	
	Found a bug with the iv2scenegraph utility.

2002-09-23 18:58  mortene

	* BUGS.txt:
	
	New bug found.

2002-09-23 10:26  larsa

	* docs/: api-wish-list.txt, todo.txt:
	
	move two of my items from todo to wishlist, added another wishlist
	item

2002-09-23 10:25  larsa

	* BUGS.txt:
	
	string field I/O problem

2002-09-21 07:14  mortene

	* src/engines/: SoConcatenate.cpp, SoSelectOne.cpp:
	
	Fixes for Doxygen API doc.

2002-09-20 17:20  pederb

	* src/: elements/SoGLLazyElement.cpp, glue/gl_glx.c, glue/gl_wgl.c:
	
	IRIX CC fixes.

2002-09-20 16:21  pederb

	* src/threads/Makefile.am:
	
	Disable building wrapper application. Bootstrap.

2002-09-20 15:49  larsa

	* src/nodes/: SoPendulum.cpp, SoShuttle.cpp:
	
	Let's quit fooling around...

2002-09-20 15:41  pederb

	* src/nodes/SoPendulum.cpp:
	
	Damn fools! You forgot the 2*M_PI :)

2002-09-20 15:34  mortene

	* src/nodes/: SoPendulum.cpp, SoShuttle.cpp:
	
	No need to waste cycles with fmod(x, 1)..

2002-09-20 15:08  larsa

	* src/nodes/: SoPendulum.cpp, SoShuttle.cpp:
	
	minor optimization of engine expression

2002-09-20 15:00  pederb

	* src/glue/gl.c:
	
	IRIX CC compile fix.

2002-09-20 14:55  mortene

	* include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoSelectOne.h,
	src/engines/SoConcatenate.cpp, src/engines/SoGate.cpp,
	src/engines/SoSelectOne.cpp:
	
	Corrects signature of private method initialize().

2002-09-20 14:54  pederb

	* src/caches/SoGLCacheList.cpp:
	
	Remove redundant line.

2002-09-20 14:52  pederb

	* src/caches/SoGLCacheList.cpp:
	
	Bugfix. Throw away caches that are invalidated while open.

2002-09-20 14:51  mortene

	* docs/coin.doxygen.in:
	
	Collect some common doc for engines with dynamic inputs and
	outputs.

2002-09-20 14:50  mortene

	* src/engines/: SoConcatenate.cpp, SoEngine.cpp, SoGate.cpp,
	SoSelectOne.cpp:
	
	Bugfixes for engines which dynamically allocates inputs and
	outputs. (Would previously crash when engine was not correctly
	specified in iv-files.)

2002-09-20 14:42  pederb

	* src/: nodes/SoSeparator.cpp, vrml97/Group.cpp:
	
	Use one SoGLCacheList per thread.

2002-09-20 13:01  mortene

	* src/vrml97/IndexedShape.cpp:
	
	Doesn't really need the assertion.

2002-09-20 12:59  mortene

	* src/vrml97/IndexedShape.cpp:
	
	Be robust on indices out-of-bounds for VRML IndexedShape-derived
	nodes.

2002-09-20 12:56  mortene

	* src/: engines/SoEngine.cpp, fields/SoFieldContainer.cpp,
	nodes/SoGroup.cpp:
	
	Fix so there will be better readerror output on invalid or missing
	field names.

2002-09-20 11:10  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	For (delayed) transparent objects, invalidate cache even when no
	cache is open to avoid that a cache is ever created.

2002-09-20 11:08  pederb

	* src/elements/SoCacheElement.cpp:
	
	Some minor loop fixes.

2002-09-20 10:56  pederb

	* src/vrml97/PointSet.cpp:
	
	Bugfix. Heed the material binding override value when finding the
	material binding.

2002-09-20 10:44  pederb

	* include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	src/vrml97/IndexedLineSet.cpp:
	
	Bugfix. Heed the material binding override value.

2002-09-20 10:31  pederb

	* include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	src/vrml97/IndexedFaceSet.cpp:
	
	Bugfix. Heed the material and normal override values when finding
	material and normal binding.

2002-09-20 08:44  mortene

	* src/: fields/SoField.cpp, fields/SoMFUShort.cpp, misc/SoBase.cpp,
	nodekits/SoBaseKit.cpp, nodes/SoPointSet.cpp:
	
	Doxygen API doc fixes.

2002-09-19 17:02  pederb

	* src/nodes/SoMaterial.cpp:
	
	Bugfix for recently introduced bug.

2002-09-19 15:47  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Invalidate open caches when doing delayed/sorted transparency
	rendering.

2002-09-19 15:46  pederb

	* src/elements/SoGLLazyElement.cpp:
	
	Safer debugging.

2002-09-19 15:37  pederb

	* src/elements/SoCacheElement.cpp:
	
	Bugfix. Cache pointer is still needed.

2002-09-19 15:20  pederb

	* include/Inventor/elements/SoGLLazyElement.h,
	src/caches/SoGLCacheList.cpp, src/elements/SoGLLazyElement.cpp:
	
	GL caching bugfixes.

2002-09-19 14:37  mortene

	* src/elements/SoGLPolygonOffsetElement.cpp:
	
	Cleaned up the interaction with OpenGL by using the functionality
	of the cc_glglue wrapper.

2002-09-19 14:33  mortene

	* include/Inventor/C/glue/gl.h, src/glue/gl.c:
	
	Adds a function to control z-buffer offset enable/disable.

2002-09-19 14:31  mortene

	* src/elements/SoGLCacheContextElement.cpp:
	
	Removes some redundant code now covered by the cc_glglue wrapper.

2002-09-19 12:08  mortene

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/elements/SoGLTextureImageElement.cpp, src/glue/gl.c,
	src/glue/gl_glx.c, src/glue/gl_glx.h, src/misc/SoGLImage.cpp,
	src/misc/SoOffscreenGLXData.icc, src/nodes/SoCamera.cpp,
	src/nodes/SoExtSelection.cpp, src/elements/SoGLDisplayList.cpp:
	
	Many improvements to the OpenGL glue/wrapper code, including major
	clean-ups and general restructuring.

2002-09-19 12:07  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Explicitly set up the remote-rendering flag for SoGLRenderAction,
	for clarity.

2002-09-19 12:00  pederb

	* src/vrml97/: IndexedFaceSet.cpp, IndexedLineSet.cpp,
	PointSet.cpp:
	
	autocaching support.

2002-09-19 11:41  larsa

	* patches/sbfifo.diff:
	
	header update

2002-09-19 11:39  larsa

	* patches/: sosfvec2s.diff, sosfvec3s.diff:
	
	applied some time ago

2002-09-19 11:37  pederb

	* src/vrml97/Group.cpp:
	
	Auto caching support.

2002-09-19 11:33  pederb

	* src/nodes/SoSeparator.cpp:
	
	Remove FIXME.

2002-09-19 11:29  pederb

	* src/nodes/SoSeparator.cpp:
	
	Autocaching support.

2002-09-19 11:29  pederb

	* include/Inventor/caches/SoGLRenderCache.h,
	src/caches/SoGLCacheList.cpp, src/caches/SoGLRenderCache.cpp:
	
	First try at autocaching support. Must be enabled using
	COIN_AUTO_CACHING environment variable.

2002-09-19 11:23  pederb

	* src/misc/SoGL.cpp:
	
	Support environment variables to set autocaching parameters.

2002-09-19 09:40  mortene

	* include/Inventor/: SbClip.h, events/SoEvent.h, fields/SoField.h,
	fields/SoSFBitMask.h, misc/SoBase.h, nodes/SoEventCallback.h,
	nodes/SoGroup.h, nodes/SoTextureCoordinatePlane.h:
	
	Removes workaround for Doxygen bug which has been fixed in version
	1.2.18.

2002-09-19 09:30  pederb

	* src/nodes/SoIndexedFaceSet.cpp:
	
	Bugfix. sogl_autocache_update() should be in GLRender(), not in
	generatePrimitives() :)

2002-09-19 09:24  mortene

	* src/sensors/SoSensorManager.cpp:
	
	Doxygen API doc.

2002-09-18 22:27  mortene

	* data/draggerDefaults/iv2h.sh, include/SoWinEnterScope.h,
	include/SoWinLeaveScope.h, include/Inventor/Sb.h,
	include/Inventor/SbBSPTree.h, include/Inventor/SbBasic.h.in,
	include/Inventor/SbBox.h, include/Inventor/SbBox2d.h,
	include/Inventor/SbBox2f.h, include/Inventor/SbBox2s.h,
	include/Inventor/SbBox3f.h, include/Inventor/SbBox3s.h,
	include/Inventor/SbClip.h, include/Inventor/SbColor.h,
	include/Inventor/SbColor4f.h, include/Inventor/SbCylinder.h,
	include/Inventor/SbDPLine.h, include/Inventor/SbDPLinear.h,
	include/Inventor/SbDPMatrix.h, include/Inventor/SbDPPlane.h,
	include/Inventor/SbDPRotation.h, include/Inventor/SbDPViewVolume.h,
	include/Inventor/SbDict.h, include/Inventor/SbHeap.h,
	include/Inventor/SbImage.h, include/Inventor/SbLine.h,
	include/Inventor/SbLinear.h, include/Inventor/SbMatrix.h,
	include/Inventor/SbName.h, include/Inventor/SbOctTree.h,
	include/Inventor/SbPList.h, include/Inventor/SbPlane.h,
	include/Inventor/SbRotation.h, include/Inventor/SbSphere.h,
	include/Inventor/SbString.h, include/Inventor/SbTesselator.h,
	include/Inventor/SbTime.h, include/Inventor/SbVec2d.h,
	include/Inventor/SbVec2f.h, include/Inventor/SbVec2s.h,
	include/Inventor/SbVec3d.h, include/Inventor/SbVec3f.h,
	include/Inventor/SbVec3s.h, include/Inventor/SbVec4d.h,
	include/Inventor/SbVec4f.h, include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoInput.h,
	include/Inventor/SoInteraction.h, include/Inventor/SoLists.h,
	include/Inventor/SoNodeKitPath.h,
	include/Inventor/SoOffscreenRenderer.h,
	include/Inventor/SoOutput.h, include/Inventor/SoPath.h,
	include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/C/basic.h.in, include/Inventor/C/base/basep.h,
	include/Inventor/C/base/hash.h, include/Inventor/C/base/hashp.h,
	include/Inventor/C/base/heap.h, include/Inventor/C/base/heapp.h,
	include/Inventor/C/base/list.h, include/Inventor/C/base/memalloc.h,
	include/Inventor/C/base/name.h, include/Inventor/C/base/rbptree.h,
	include/Inventor/C/base/string.h, include/Inventor/C/base/time.h,
	include/Inventor/C/errors/debugerror.h,
	include/Inventor/C/errors/error.h, include/Inventor/C/glue/dl.h,
	include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	include/Inventor/C/threads/barrier.h,
	include/Inventor/C/threads/barrierp.h,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/condvar.h,
	include/Inventor/C/threads/condvarp.h,
	include/Inventor/C/threads/fifo.h,
	include/Inventor/C/threads/fifop.h,
	include/Inventor/C/threads/mutex.h,
	include/Inventor/C/threads/mutexp.h,
	include/Inventor/C/threads/rwmutex.h,
	include/Inventor/C/threads/rwmutexp.h,
	include/Inventor/C/threads/sched.h,
	include/Inventor/C/threads/schedp.h,
	include/Inventor/C/threads/storage.h,
	include/Inventor/C/threads/storagep.h,
	include/Inventor/C/threads/sync.h,
	include/Inventor/C/threads/syncp.h,
	include/Inventor/C/threads/thread.h,
	include/Inventor/C/threads/threadp.h,
	include/Inventor/C/threads/threadsutilp.h,
	include/Inventor/C/threads/worker.h,
	include/Inventor/C/threads/workerp.h,
	include/Inventor/C/threads/wpool.h,
	include/Inventor/C/threads/wpoolp.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoSubActionP.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoGLCacheList.h,
	include/Inventor/caches/SoGLRenderCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/details/SoTextDetail.h,
	include/Inventor/draggers/SoCenterballDragger.h,
	include/Inventor/draggers/SoDirectionalLightDragger.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/draggers/SoDragger.h,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	include/Inventor/draggers/SoScale2Dragger.h,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/draggers/SoSpotLightDragger.h,
	include/Inventor/draggers/SoTabBoxDragger.h,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoCullElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLTexture3EnabledElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTextureScalePolicyElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeRotationFromTo.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoComputeBoundingBox.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolate.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoNodeEngine.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoSubEngineP.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	include/Inventor/engines/SoSubNodeEngineP.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/engines/SoTransformVec3f.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/events/SoEvents.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SFNodeAndEngine.tpl,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/fields/SoFieldData.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoGlobalField.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3d.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFImage3.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec2s.h,
	include/Inventor/fields/SoSFVec3d.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec3s.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/fields/SoSubFieldP.h,
	include/Inventor/lists/SbIntList.h,
	include/Inventor/lists/SbList.h, include/Inventor/lists/SbPList.h,
	include/Inventor/lists/SbStringList.h,
	include/Inventor/lists/SbVec3fList.h,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/lists/SoCallbackList.h,
	include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEnabledElementsList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoFieldList.h,
	include/Inventor/lists/SoNodeList.h,
	include/Inventor/lists/SoPathList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h,
	include/Inventor/lock/SoLockMgr.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/manips/SoClipPlaneManip.h,
	include/Inventor/manips/SoDirectionalLightManip.h,
	include/Inventor/manips/SoHandleBoxManip.h,
	include/Inventor/manips/SoJackManip.h,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/manips/SoSpotLightManip.h,
	include/Inventor/manips/SoTabBoxManip.h,
	include/Inventor/manips/SoTrackballManip.h,
	include/Inventor/manips/SoTransformBoxManip.h,
	include/Inventor/manips/SoTransformManip.h,
	include/Inventor/manips/SoTransformerManip.h,
	include/Inventor/misc/SoAuditorList.h,
	include/Inventor/misc/SoBase.h, include/Inventor/misc/SoBasic.h,
	include/Inventor/misc/SoByteStream.h,
	include/Inventor/misc/SoCallbackList.h,
	include/Inventor/misc/SoChildList.h, include/Inventor/misc/SoGL.h,
	include/Inventor/misc/SoGLBigImage.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoGenerate.h,
	include/Inventor/misc/SoGlyph.h,
	include/Inventor/misc/SoLightPath.h,
	include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/misc/SoNotRec.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/misc/SoPick.h, include/Inventor/misc/SoProto.h,
	include/Inventor/misc/SoProtoInstance.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/misc/SoTempPath.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/misc/SoTranSender.h,
	include/Inventor/misc/SoTranscribe.h,
	include/Inventor/nodekits/SoAppearanceKit.h,
	include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/nodekits/SoInteractionKit.h,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/nodekits/SoNodeKitListPart.h,
	include/Inventor/nodekits/SoNodekitCatalog.h,
	include/Inventor/nodekits/SoSceneKit.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSubNodeP.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTexture3.h,
	include/Inventor/nodes/SoTexture3Transform.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinate3.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTextureScalePolicy.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTransparencyType.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoUnknownNode.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbProjector.h,
	include/Inventor/projectors/SbProjectors.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/sensors/SoNodeSensor.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/sensors/SoTimerSensor.h,
	include/Inventor/system/gl.h.in,
	include/Inventor/system/inttypes.h.in,
	include/Inventor/threads/SbBarrier.h,
	include/Inventor/threads/SbCondVar.h,
	include/Inventor/threads/SbFifo.h,
	include/Inventor/threads/SbMutex.h,
	include/Inventor/threads/SbRWMutex.h,
	include/Inventor/threads/SbStorage.h,
	include/Inventor/threads/SbThread.h,
	include/Inventor/threads/SbTypedStorage.h, src/tidbits.c,
	src/tidbits.h, src/actions/SoAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/actions/all.cpp, src/base/SbBSPTree.cpp, src/base/SbBox2d.cpp,
	src/base/SbBox2f.cpp, src/base/SbBox2s.cpp, src/base/SbBox3f.cpp,
	src/base/SbBox3s.cpp, src/base/SbClip.cpp, src/base/SbColor.cpp,
	src/base/SbColor4f.cpp, src/base/SbCylinder.cpp,
	src/base/SbDPLine.cpp, src/base/SbDPMatrix.cpp,
	src/base/SbDPPlane.cpp, src/base/SbDPRotation.cpp,
	src/base/SbDPViewVolume.cpp, src/base/SbDict.cpp,
	src/base/SbHeap.cpp, src/base/SbImage.cpp, src/base/SbLine.cpp,
	src/base/SbMatrix.cpp, src/base/SbName.cpp, src/base/SbOctTree.cpp,
	src/base/SbPlane.cpp, src/base/SbRotation.cpp,
	src/base/SbSphere.cpp, src/base/SbString.cpp,
	src/base/SbTesselator.cpp, src/base/SbTime.cpp,
	src/base/SbVec2d.cpp, src/base/SbVec2f.cpp, src/base/SbVec2s.cpp,
	src/base/SbVec3d.cpp, src/base/SbVec3f.cpp, src/base/SbVec3s.cpp,
	src/base/SbVec4d.cpp, src/base/SbVec4f.cpp,
	src/base/SbViewVolume.cpp, src/base/SbViewportRegion.cpp,
	src/base/SbXfBox3f.cpp, src/base/all-c.c, src/base/all-cpp.cpp,
	src/base/base.c, src/base/hash.c, src/base/heap.c, src/base/list.c,
	src/base/memalloc.c, src/base/name.c, src/base/rbptree.c,
	src/base/string.c, src/base/time.c, src/bundles/SoBundle.cpp,
	src/bundles/SoMaterialBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp, src/bundles/all.cpp,
	src/caches/SoBoundingBoxCache.cpp, src/caches/SoCache.cpp,
	src/caches/SoConvexDataCache.cpp, src/caches/SoGLCacheList.cpp,
	src/caches/SoGLRenderCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp, src/caches/all.cpp,
	src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	src/details/SoCylinderDetail.cpp, src/details/SoDetail.cpp,
	src/details/SoFaceDetail.cpp, src/details/SoLineDetail.cpp,
	src/details/SoNodeKitDetail.cpp, src/details/SoPointDetail.cpp,
	src/details/SoTextDetail.cpp, src/details/all.cpp,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp, src/draggers/all.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoCullElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoGLCacheContextElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLColorIndexElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDisplayList.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLazyElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLTexture3EnabledElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoInt32Element.cpp, src/elements/SoLazyElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureOverrideElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp, src/elements/all.cpp,
	src/engines/SoBoolOperation.cpp, src/engines/SoCalculator.cpp,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp,
	src/engines/SoComputeBoundingBox.cpp,
	src/engines/SoConcatenate.cpp, src/engines/SoConvertAll.cpp,
	src/engines/SoCounter.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	src/engines/SoInterpolate.cpp, src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoNodeEngine.cpp,
	src/engines/SoOnOff.cpp, src/engines/SoOneShot.cpp,
	src/engines/SoOutputData.cpp, src/engines/SoSelectOne.cpp,
	src/engines/SoTimeCounter.cpp, src/engines/SoTransformVec3f.cpp,
	src/engines/SoTriggerAny.cpp, src/engines/all-c.c,
	src/engines/all-cpp.cpp, src/engines/evaluator.c,
	src/engines/evaluator.h, src/engines/evaluator.l,
	src/engines/lex.so_eval.c, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp, src/errors/all-c.c,
	src/errors/all-cpp.cpp, src/errors/debugerror.c,
	src/errors/error.c, src/events/SoButtonEvent.cpp,
	src/events/SoEvent.cpp, src/events/SoKeyboardEvent.cpp,
	src/events/SoLocation2Event.cpp, src/events/SoMotion3Event.cpp,
	src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp, src/events/all.cpp,
	src/fields/SoField.cpp, src/fields/SoFieldContainer.cpp,
	src/fields/SoFieldData.cpp, src/fields/SoGlobalField.cpp,
	src/fields/SoMFBitMask.cpp, src/fields/SoMFBool.cpp,
	src/fields/SoMFColor.cpp, src/fields/SoMFEngine.cpp,
	src/fields/SoMFEnum.cpp, src/fields/SoMFFloat.cpp,
	src/fields/SoMFInt32.cpp, src/fields/SoMFMatrix.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMFPlane.cpp,
	src/fields/SoMFRotation.cpp, src/fields/SoMFShort.cpp,
	src/fields/SoMFString.cpp, src/fields/SoMFTime.cpp,
	src/fields/SoMFUInt32.cpp, src/fields/SoMFUShort.cpp,
	src/fields/SoMFVec2f.cpp, src/fields/SoMFVec3d.cpp,
	src/fields/SoMFVec3f.cpp, src/fields/SoMFVec4f.cpp,
	src/fields/SoMField.cpp, src/fields/SoSFBitMask.cpp,
	src/fields/SoSFBool.cpp, src/fields/SoSFColor.cpp,
	src/fields/SoSFEngine.cpp, src/fields/SoSFEnum.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFImage.cpp,
	src/fields/SoSFImage3.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFTime.cpp, src/fields/SoSFTrigger.cpp,
	src/fields/SoSFUInt32.cpp, src/fields/SoSFUShort.cpp,
	src/fields/SoSFVec2f.cpp, src/fields/SoSFVec2s.cpp,
	src/fields/SoSFVec3d.cpp, src/fields/SoSFVec3f.cpp,
	src/fields/SoSFVec3s.cpp, src/fields/SoSFVec4f.cpp,
	src/fields/SoSField.cpp, src/fields/all.cpp, src/glue/all-c.c,
	src/glue/dl.c, src/glue/gl.c, src/glue/gl_glx.c, src/glue/gl_glx.h,
	src/glue/gl_wgl.c, src/glue/gl_wgl.h, src/lists/SbIntList.cpp,
	src/lists/SbList.cpp, src/lists/SbPList.cpp,
	src/lists/SbStringList.cpp, src/lists/SbVec3fList.cpp,
	src/lists/SoActionMethodList.cpp, src/lists/SoAuditorList.cpp,
	src/lists/SoBaseList.cpp, src/lists/SoCallbackList.cpp,
	src/lists/SoDetailList.cpp, src/lists/SoEnabledElementsList.cpp,
	src/lists/SoEngineList.cpp, src/lists/SoEngineOutputList.cpp,
	src/lists/SoFieldList.cpp, src/lists/SoNodeList.cpp,
	src/lists/SoPathList.cpp, src/lists/SoPickedPointList.cpp,
	src/lists/SoTypeList.cpp, src/lists/all.cpp,
	src/manips/SoCenterballManip.cpp, src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTabBoxManip.cpp, src/manips/SoTrackballManip.cpp,
	src/manips/SoTransformBoxManip.cpp,
	src/manips/SoTransformManip.cpp, src/manips/SoTransformerManip.cpp,
	src/manips/all.cpp, src/manips/commoncode.cpp,
	src/misc/GLUWrapper.c, src/misc/GLUWrapper.h, src/misc/SoBase.cpp,
	src/misc/SoByteStream.cpp, src/misc/SoChildList.cpp,
	src/misc/SoDB.cpp, src/misc/SoFullPath.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLBigImage.cpp, src/misc/SoGLFaceSetTemplate.icc,
	src/misc/SoGLImage.cpp, src/misc/SoGLLineSetTemplate.icc,
	src/misc/SoGLTristripTemplate.icc,
	src/misc/SoGLindexedLineSetTemplate.icc,
	src/misc/SoGLnonindexedFaceSetTemplate.icc,
	src/misc/SoGLnonindexedTristripSetTemplate.icc,
	src/misc/SoGLqmeshTemplate.icc, src/misc/SoGenerate.cpp,
	src/misc/SoGlyph.cpp, src/misc/SoInput.cpp,
	src/misc/SoInteraction.cpp, src/misc/SoLightPath.cpp,
	src/misc/SoLockManager.cpp, src/misc/SoNormalGenerator.cpp,
	src/misc/SoNotRec.cpp, src/misc/SoNotification.cpp,
	src/misc/SoOffscreenAGLData.icc, src/misc/SoOffscreenGLXData.icc,
	src/misc/SoOffscreenRenderer.cpp, src/misc/SoOffscreenWGLData.icc,
	src/misc/SoOutput.cpp, src/misc/SoPath.cpp, src/misc/SoPick.cpp,
	src/misc/SoPickedPoint.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/misc/SoProto.cpp, src/misc/SoProtoInstance.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoState.cpp,
	src/misc/SoTempPath.cpp, src/misc/SoTranReceiver.cpp,
	src/misc/SoTranSender.cpp, src/misc/SoType.cpp, src/misc/all-c.c,
	src/misc/all-cpp.cpp, src/misc/default2dfont.cpp,
	src/misc/default3dfont.cpp, src/misc/simage_wrapper.c,
	src/misc/simage_wrapper.h, src/nodekits/SoAppearanceKit.cpp,
	src/nodekits/SoBaseKit.cpp, src/nodekits/SoCameraKit.cpp,
	src/nodekits/SoInteractionKit.cpp, src/nodekits/SoLightKit.cpp,
	src/nodekits/SoNodeKit.cpp, src/nodekits/SoNodeKitListPart.cpp,
	src/nodekits/SoNodeKitPath.cpp, src/nodekits/SoNodekitCatalog.cpp,
	src/nodekits/SoSceneKit.cpp, src/nodekits/SoSeparatorKit.cpp,
	src/nodekits/SoShapeKit.cpp, src/nodekits/SoWrapperKit.cpp,
	src/nodekits/all.cpp, src/nodes/SoAnnotation.cpp,
	src/nodes/SoAntiSquish.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoAsciiText.cpp, src/nodes/SoBaseColor.cpp,
	src/nodes/SoBlinker.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCone.cpp, src/nodes/SoCoordinate3.cpp,
	src/nodes/SoCoordinate4.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoCylinder.cpp, src/nodes/SoDirectionalLight.cpp,
	src/nodes/SoDrawStyle.cpp, src/nodes/SoEnvironment.cpp,
	src/nodes/SoEventCallback.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFaceSet.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoFont.cpp, src/nodes/SoFontStyle.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoImage.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoLevelOfDetail.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNonIndexedShape.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoNormalBinding.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoNurbsSurface.cpp,
	src/nodes/SoOrthographicCamera.cpp, src/nodes/SoPackedColor.cpp,
	src/nodes/SoPathSwitch.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoSphere.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTexture3.cpp, src/nodes/SoTexture3Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinate3.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	src/nodes/SoTextureScalePolicy.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTranslation.cpp, src/nodes/SoTransparencyType.cpp,
	src/nodes/SoTriangleStripSet.cpp, src/nodes/SoUnits.cpp,
	src/nodes/SoUnknownNode.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoVertexShape.cpp, src/nodes/SoWWWAnchor.cpp,
	src/nodes/SoWWWInline.cpp, src/nodes/all.cpp,
	src/nodes/soshape_bigtexture.cpp, src/nodes/soshape_bigtexture.h,
	src/nodes/soshape_primdata.cpp, src/nodes/soshape_primdata.h,
	src/nodes/soshape_trianglesort.cpp,
	src/nodes/soshape_trianglesort.h,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp, src/projectors/all.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoOneShotSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp,
	src/sensors/all.cpp, src/threads/all-c.c, src/threads/barrier.c,
	src/threads/common.c, src/threads/condvar.c,
	src/threads/condvar_pthread.ic, src/threads/condvar_win32.ic,
	src/threads/fifo.c, src/threads/mutex.c,
	src/threads/mutex_pthread.ic, src/threads/mutex_win32cs.ic,
	src/threads/mutex_win32mutex.ic, src/threads/rwmutex.c,
	src/threads/sched.c, src/threads/storage.c, src/threads/sync.c,
	src/threads/thread.c, src/threads/thread_pthread.ic,
	src/threads/thread_win32.ic, src/threads/worker.c,
	src/threads/wpool.c, src/threads/wrappers.cpp,
	src/upgraders/SoPackedColorV20.cpp,
	src/upgraders/SoPackedColorV20.h, src/upgraders/SoUpgrader.cpp,
	src/upgraders/SoUpgrader.h, src/upgraders/all.cpp,
	templates/Copyright.tpl:
	
	Updates copyright header.

2002-09-18 21:33  mortene

	* patches/sbstring-c-wrapper.diff:
	
	Has been applied.

2002-09-18 21:12  mortene

	* src/misc/: SoGLFaceSetTemplate.icc, SoGLLineSetTemplate.icc,
	SoGLTristripTemplate.icc, SoGLindexedLineSetTemplate.icc,
	SoGLnonindexedFaceSetTemplate.icc,
	SoGLnonindexedTristripSetTemplate.icc, SoGLqmeshTemplate.icc:
	
	Misc (safe) cleanups in the rendering template files.

2002-09-18 19:53  mortene

	* src/vrml97/Background.cpp:
	
	Tiny doc fix.

2002-09-18 15:58  pederb

	* src/elements/SoGLCacheContextElement.cpp:
	
	Implements shouldAutoCache().

2002-09-18 15:03  pederb

	* src/nodes/: SoIndexedNurbsCurve.cpp, SoIndexedNurbsSurface.cpp,
	SoNurbsCurve.cpp, SoNurbsSurface.cpp:
	
	Enable auto caching for nurbs shapes.

2002-09-18 15:00  pederb

	* src/nodes/: SoFaceSet.cpp, SoIndexedFaceSet.cpp,
	SoIndexedLineSet.cpp, SoIndexedTriangleStripSet.cpp, SoLineSet.cpp,
	SoPointSet.cpp, SoQuadMesh.cpp, SoTriangleStripSet.cpp:
	
	Shape autocache handling.

2002-09-18 14:27  pederb

	* include/Inventor/misc/SoGL.h, src/misc/SoGL.cpp:
	
	SoGL autocache handling redesign.

2002-09-18 13:35  pederb

	* include/Inventor/misc/SoGL.h, src/misc/SoGL.cpp:
	
	Shape autocache support.

2002-09-18 13:33  pederb

	* src/misc/SoGLImage.cpp:
	
	Thread safe fixes.

2002-09-18 11:51  pederb

	* src/vrml97/: ImageTexture.cpp, PixelTexture.cpp:
	
	Thread safe fixes.

2002-09-18 11:23  pederb

	* src/nodes/SoTexture2.cpp:
	
	Undefs.

2002-09-18 11:15  pederb

	* src/nodes/SoTexture2.cpp:
	
	Thread safe glimage handling.

2002-09-18 10:42  mortene

	* src/: draggers/SoJackDragger.cpp, manips/SoCenterballManip.cpp,
	manips/SoClipPlaneManip.cpp, manips/SoDirectionalLightManip.cpp,
	manips/SoHandleBoxManip.cpp, manips/SoJackManip.cpp,
	manips/SoPointLightManip.cpp, manips/SoSpotLightManip.cpp,
	manips/SoTabBoxManip.cpp, manips/SoTrackballManip.cpp,
	manips/SoTransformBoxManip.cpp, manips/SoTransformerManip.cpp:
	
	Doxygen API doc.

2002-09-18 09:10  mortene

	* src/nodes/SoShape.cpp:
	
	Doxygen API doc.

2002-09-17 15:25  pederb

	* src/vrml97/Shape.cpp:
	
	Only cull test if cache is not open.

2002-09-17 15:23  pederb

	* src/nodes/SoShape.cpp:
	
	Fix in disabled code.

2002-09-17 15:06  pederb

	* src/vrml97/Group.cpp:
	
	Bugfix. Don't do view frustum culling while recording a GL render
	cache.

2002-09-17 15:03  pederb

	* src/nodes/SoSeparator.cpp:
	
	Bugfix. Don't do view frustum culling while recording a GL render
	cache.

2002-09-17 14:22  pederb

	* src/elements/SoGLLazyElement.cpp:
	
	Cache fixes for send-methods.

2002-09-17 14:11  pederb

	* include/Inventor/elements/SoGLLazyElement.h,
	src/elements/SoGLLazyElement.cpp:
	
	Support SoGLLazyElement::reset().

2002-09-17 14:11  mortene

	* src/misc/SoDB.cpp:
	
	Try to catch missing SoDB::init().

2002-09-17 14:06  larsa

	* FAQ:
	
	minor tweaks

2002-09-17 13:58  mortene

	* src/elements/SoGLLazyElement.cpp:
	
	Bugfix: bad SoDebugError::postWarning() invocation.

2002-09-17 13:34  mortene

	* src/: actions/SoGLRenderAction.cpp, actions/SoSearchAction.cpp,
	elements/SoGLDisplayList.cpp, errors/SoDebugError.cpp,
	fields/SoField.cpp, glue/gl_wgl.c, nodes/SoEnvironment.cpp,
	nodes/SoMaterial.cpp, nodes/SoShape.cpp, nodes/SoWWWAnchor.cpp:
	
	Documentation updates.

2002-09-17 13:32  pederb

	* src/vrml97/Shape.cpp:
	
	bbox rendering bugfix

2002-09-17 13:29  mortene

	* docs/todo.txt:
	
	Minor updates and typo fixes.

2002-09-17 13:29  mortene

	* NEWS:
	
	Better description of the low-level thread support.

2002-09-17 12:09  mortene

	* include/Inventor/VRMLnodes/: SoVRML.h, SoVRMLAnchor.h,
	SoVRMLAppearance.h, SoVRMLAudioClip.h, SoVRMLBackground.h,
	SoVRMLBillboard.h, SoVRMLBox.h, SoVRMLCollision.h, SoVRMLColor.h,
	SoVRMLColorInterpolator.h, SoVRMLCone.h, SoVRMLCoordinate.h,
	SoVRMLCoordinateInterpolator.h, SoVRMLCylinder.h,
	SoVRMLCylinderSensor.h, SoVRMLDirectionalLight.h,
	SoVRMLDragSensor.h, SoVRMLElevationGrid.h, SoVRMLExtrusion.h,
	SoVRMLFog.h, SoVRMLFontStyle.h, SoVRMLGeometry.h, SoVRMLGroup.h,
	SoVRMLImageTexture.h, SoVRMLIndexedFaceSet.h, SoVRMLIndexedLine.h,
	SoVRMLIndexedLineSet.h, SoVRMLIndexedShape.h, SoVRMLInline.h,
	SoVRMLInterpolator.h, SoVRMLLOD.h, SoVRMLLight.h, SoVRMLMacros.h,
	SoVRMLMaterial.h, SoVRMLMovieTexture.h, SoVRMLNavigationInfo.h,
	SoVRMLNodes.h, SoVRMLNormal.h, SoVRMLNormalInterpolator.h,
	SoVRMLOrientationInterpolator.h, SoVRMLOutputData.h,
	SoVRMLParent.h, SoVRMLPixelTexture.h, SoVRMLPlaneSensor.h,
	SoVRMLPointLight.h, SoVRMLPointSet.h, SoVRMLPositionInterpolator.h,
	SoVRMLProximitySensor.h, SoVRMLScalarInterpolator.h,
	SoVRMLScript.h, SoVRMLSensor.h, SoVRMLShape.h, SoVRMLSound.h,
	SoVRMLSphere.h, SoVRMLSphereSensor.h, SoVRMLSpotLight.h,
	SoVRMLSubInterpolator.h, SoVRMLSubInterpolatorP.h, SoVRMLSwitch.h,
	SoVRMLText.h, SoVRMLTexture.h, SoVRMLTextureCoordinate.h,
	SoVRMLTextureTransform.h, SoVRMLTimeSensor.h, SoVRMLTouchSensor.h,
	SoVRMLTransform.h, SoVRMLVertexLine.h, SoVRMLVertexPoint.h,
	SoVRMLVertexShape.h, SoVRMLViewpoint.h, SoVRMLVisibilitySensor.h,
	SoVRMLWorldInfo.h:
	
	New copyright header (old one referred to the LGPL).

2002-09-17 12:02  mortene

	* src/vrml97/: Anchor.cpp, Appearance.cpp, AudioClip.cpp,
	Background.cpp, Billboard.cpp, Box.cpp, Collision.cpp, Color.cpp,
	ColorInterpolator.cpp, Cone.cpp, Coordinate.cpp,
	CoordinateInterpolator.cpp, Cylinder.cpp, CylinderSensor.cpp,
	DirectionalLight.cpp, DragSensor.cpp, ElevationGrid.cpp,
	Extrusion.cpp, Fog.cpp, FontStyle.cpp, Geometry.cpp, Group.cpp,
	ImageTexture.cpp, IndexedFaceSet.cpp, IndexedLine.cpp,
	IndexedLineSet.cpp, IndexedShape.cpp, Init.cpp, Inline.cpp,
	Interpolator.cpp, LOD.cpp, Light.cpp, Material.cpp,
	MovieTexture.cpp, NavigationInfo.cpp, Normal.cpp,
	NormalInterpolator.cpp, OrientationInterpolator.cpp,
	OutputData.cpp, Parent.cpp, PixelTexture.cpp, PlaneSensor.cpp,
	PointLight.cpp, PointSet.cpp, PositionInterpolator.cpp,
	ProximitySensor.cpp, ScalarInterpolator.cpp, Script.cpp,
	Sensor.cpp, Shape.cpp, Sound.cpp, Sphere.cpp, SphereSensor.cpp,
	SpotLight.cpp, SubInterpolator.cpp, Switch.cpp, Text.cpp,
	Texture.cpp, TextureCoordinate.cpp, TextureTransform.cpp,
	TimeSensor.cpp, TouchSensor.cpp, Transform.cpp, VertexLine.cpp,
	VertexPoint.cpp, VertexShape.cpp, Viewpoint.cpp,
	VisibilitySensor.cpp, WorldInfo.cpp, all.cpp:
	
	New copyright header (old one referred to the LGPL).

2002-09-17 11:36  pederb

	* src/elements/SoGLLazyElement.cpp:
	
	GL cache bugfixes.

2002-09-17 11:04  mortene

	* src/manips/commoncode.cpp:
	
	FIXME notice.

2002-09-17 11:03  mortene

	* docs/coin.doxygen.in, src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/manips/SoTrackballManip.cpp:
	
	Adds screenshots of all draggers.

2002-09-17 09:53  mortene

	* src/: nodekits/SoAppearanceKit.cpp, nodekits/SoBaseKit.cpp,
	nodekits/SoCameraKit.cpp, nodekits/SoInteractionKit.cpp,
	nodekits/SoLightKit.cpp, nodekits/SoSceneKit.cpp,
	nodekits/SoSeparatorKit.cpp, nodekits/SoShapeKit.cpp,
	nodekits/SoWrapperKit.cpp, draggers/SoCenterballDragger.cpp,
	draggers/SoDirectionalLightDragger.cpp,
	draggers/SoDragPointDragger.cpp, draggers/SoDragger.cpp,
	draggers/SoHandleBoxDragger.cpp, draggers/SoJackDragger.cpp,
	draggers/SoPointLightDragger.cpp,
	draggers/SoRotateCylindricalDragger.cpp,
	draggers/SoRotateDiscDragger.cpp,
	draggers/SoRotateSphericalDragger.cpp,
	draggers/SoScale1Dragger.cpp, draggers/SoScale2Dragger.cpp,
	draggers/SoScale2UniformDragger.cpp,
	draggers/SoScaleUniformDragger.cpp,
	draggers/SoSpotLightDragger.cpp, draggers/SoTabBoxDragger.cpp,
	draggers/SoTabPlaneDragger.cpp, draggers/SoTrackballDragger.cpp,
	draggers/SoTransformBoxDragger.cpp,
	draggers/SoTransformerDragger.cpp,
	draggers/SoTranslate1Dragger.cpp, draggers/SoTranslate2Dragger.cpp:
	
	Improves API documentation. (Adds catalog dumps, among other
	things.)

2002-09-17 09:50  mortene

	* docs/coin.doxygen.in:
	
	Adds some more aliases to collect duplicated doc text.

2002-09-17 09:40  pederb

	* src/nodes/: SoImage.cpp, SoLevelOfDetail.cpp, SoText2.cpp:
	
	Turn off auto caching for some nodes.

2002-09-16 18:11  pederb

	* src/fields/SoField.cpp:
	
	A bit safer mutex locking/unlocking (to handle atexit() calls).

2002-09-16 18:09  pederb

	* src/misc/SoDB.cpp:
	
	Don't delete notificationcounter storage in SoDB::clean.

2002-09-16 17:44  pederb

	* include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/misc/SoGLImage.h, src/draggers/SoDragger.cpp,
	src/elements/SoGLLazyElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoLazyElement.cpp,
	src/elements/SoTextureImageElement.cpp, src/misc/SoGLImage.cpp,
	src/nodes/SoCallback.cpp, src/nodes/SoShape.cpp:
	
	Support for GL images in So[GL]LazyElement. This is needed for GL
	caching to work properly.

2002-09-16 16:07  larsa

	* BUGS.txt:
	
	moved/updated from SoQt/BUGS

2002-09-16 12:30  larsa

	* src/base/SbTime.cpp:
	
	scanner run-away fix, more premature eof-robustness

2002-09-15 21:40  mortene

	* src/misc/SoGLFaceSetTemplate.icc:
	
	Better error reporting on faulty face specification.

2002-09-15 21:39  mortene

	* BUGS.txt:
	
	Investigated some more, and found the cause of bug #026.

2002-09-15 21:15  mortene

	* BUGS.txt:
	
	Found another bbox calculation problem (or at least a new way to
	reproduce what might be the same bug as already mentioned in one of
	the other bug items).

2002-09-15 13:30  mortene

	* README.WIN32:
	
	Specific mention of the common 'ld is missing' configure problem.

2002-09-15 12:31  mortene

	* src/: base/name.c, errors/error.c, threads/sync.c:
	
	Get rid of C++ comments in C sourcecode.

2002-09-15 12:28  mortene

	* src/: threads/barrier.c, threads/condvar.c,
	threads/condvar_pthread.ic, threads/condvar_win32.ic,
	threads/fifo.c, threads/mutex.c, threads/mutex_pthread.ic,
	threads/mutex_win32mutex.ic, threads/rwmutex.c, threads/sched.c,
	threads/thread.c, threads/thread_pthread.ic,
	threads/thread_win32.ic, threads/worker.c, threads/wpool.c,
	vrml97/ImageTexture.cpp:
	
	Get rid of all references to cc_fprintf (replaced by
	cc_debugerror).

2002-09-15 12:09  mortene

	* src/base/: hash.c, rbptree.c:
	
	Replace printf() invocations with cc_debugerror.

2002-09-15 11:54  mortene

	* include/Inventor/C/base/Makefile.am,
	include/Inventor/C/base/dict.h, src/base/dict.c:
	
	Removes redundant hash/dictionary ADT (use cc_hash).

2002-09-15 11:50  mortene

	* src/errors/error.c:
	
	Mutex lock around callback invocation (just in case the callback
	code is not re-entrant -- better safe than sorry).

2002-09-15 11:48  mortene

	* include/Inventor/C/errors/debugerror.h:
	
	Clean up file (remove C++ comments etc).

2002-09-15 11:42  mortene

	* src/errors/debugerror.c:
	
	Add copyright header. Rename variables to avoid problems on
	--enable-compact builds.

2002-09-15 11:40  mortene

	* src/base/all-c.c:
	
	Sync with correct set of C files to compile.

2002-09-15 11:40  mortene

	* include/Inventor/C/base/Makefile.am,
	include/Inventor/C/base/debug.h, src/base/debug.c,
	src/base/Makefile.am:
	
	Remove obsoleted C ADT cc_fprintf (use cc_debugerror instead).

2002-09-15 11:21  mortene

	* include/Inventor/C/base/time.h, src/base/time.c:
	
	Remove unused function cc_time_interval(). Re-activate debug output
	with cc_debugerror.

2002-09-14 17:01  mortene

	* src/nodes/SoMaterial.cpp:
	
	Compilation fix: for-scoping.

2002-09-14 16:59  pederb

	* src/elements/SoLazyElement.cpp:
	
	Default material bugfix.

2002-09-13 14:12  pederb

	* include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoLazyElement.h,
	src/caches/SoGLCacheList.cpp, src/elements/SoGLLazyElement.cpp,
	src/elements/SoLazyElement.cpp, src/nodes/SoMaterial.cpp,
	src/vrml97/Material.cpp:
	
	Misc. changes needed for GL render caching.

2002-09-12 22:00  mortene

	* include/Inventor/errors/SoError.h, src/errors/SoError.cpp:
	
	Wrap around the C ADT cc_error, to share the client's callback
	hook.

2002-09-12 21:56  mortene

	* include/Inventor/SbString.h, src/base/SbString.cpp:
	
	The big switcheroo for SbString: it's now implemented by wrapping
	the C ADT cc_string.

2002-09-12 21:48  mortene

	* src/base/string.c:
	
	Use cc_debugerror interface to replace commented out SoDebugError
	invocations.

2002-09-12 17:51  larsa

	* src/sensors/SoTimerSensor.cpp:
	
	fix bug related to timersensors with basetime set

2002-09-12 15:57  mortene

	* src/nodes/SoTexture2.cpp:
	
	Bugfix: touch()'ing the image field should make the export write
	the embedded texture data. Also, adds example code to class doc to
	show how to write a 'texture embedding filter'.

2002-09-12 14:35  mortene

	* src/vrml97/: Anchor.cpp, Appearance.cpp, AudioClip.cpp,
	Background.cpp, Billboard.cpp, Collision.cpp, Color.cpp,
	ColorInterpolator.cpp, CoordinateInterpolator.cpp,
	CylinderSensor.cpp, DirectionalLight.cpp, Extrusion.cpp, Fog.cpp,
	Group.cpp, ImageTexture.cpp, IndexedFaceSet.cpp,
	IndexedLineSet.cpp, Inline.cpp, LOD.cpp, Material.cpp,
	MovieTexture.cpp, NavigationInfo.cpp, NormalInterpolator.cpp,
	OrientationInterpolator.cpp, PixelTexture.cpp, PlaneSensor.cpp,
	PointLight.cpp, PointSet.cpp, PositionInterpolator.cpp,
	ScalarInterpolator.cpp, Script.cpp, Shape.cpp, Sound.cpp,
	SphereSensor.cpp, SpotLight.cpp, Switch.cpp, TimeSensor.cpp,
	TouchSensor.cpp, Transform.cpp, Viewpoint.cpp:
	
	Rewrite http-ref context a bit, to get around a Doxygen buglet.

2002-09-12 14:04  pederb

	* include/Inventor/caches/SoGLCacheList.h,
	src/caches/SoGLCacheList.cpp, src/nodes/SoSeparator.cpp,
	src/vrml97/Group.cpp:
	
	Avoid glPushAttrib()/glPopAttrib() when creating GL render cache.

2002-09-12 13:05  pederb

	* include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLTexture3EnabledElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/misc/SoState.h, src/actions/SoGLRenderAction.cpp,
	src/bundles/SoMaterialBundle.cpp, src/elements/Makefile.am,
	src/elements/SoElement.cpp, src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLColorIndexElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLazyElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLTexture3EnabledElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoLazyElement.cpp,
	src/elements/SoShapeHintsElement.cpp, src/misc/SoState.cpp,
	src/nodes/SoAsciiText.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp,
	src/nodes/SoMatrixTransform.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoPointSet.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoScale.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoSphere.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTransform.cpp, src/nodes/SoTriangleStripSet.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoWWWInline.cpp,
	src/vrml97/Box.cpp, src/vrml97/ElevationGrid.cpp,
	src/vrml97/Group.cpp, src/vrml97/Inline.cpp, src/vrml97/Shape.cpp,
	src/vrml97/Sphere.cpp:
	
	Misc. changes to better support GL render caching.

2002-09-12 12:17  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	General nodekits documentation, written by larsivi.

2002-09-12 10:40  larsa

	* src/: Make-Common.tpl, actions/Makefile.am, base/Makefile.am,
	bundles/Makefile.am, caches/Makefile.am, details/Makefile.am,
	draggers/Makefile.am, elements/Makefile.am, engines/Makefile.am,
	errors/Makefile.am, events/Makefile.am, fields/Makefile.am,
	glue/Makefile.am, lists/Makefile.am, manips/Makefile.am,
	misc/Makefile.am, nodekits/Makefile.am, nodes/Makefile.am,
	projectors/Makefile.am, sensors/Makefile.am, threads/Makefile.am,
	upgraders/Makefile.am, vrml97/Makefile.am:
	
	support removing obsoleted header files during make install

2002-09-12 10:36  pederb

	* src/elements/SoGLDisplayList.cpp:
	
	Added missing #include <string.h>. Problem reported by Benjamin
	Ross.

2002-09-11 15:53  mortene

	* src/glue/gl.c:
	
	Separate feature flag initialization into it's own function.

2002-09-11 15:20  mortene

	* src/: elements/SoGLDisplayList.cpp, misc/SoGLImage.cpp:
	
	Access OpenGL extensions and post-1.1 methods through wrapper
	functions.

2002-09-11 15:19  mortene

	* src/glue/gl_wgl.c:
	
	Adds debug output to the symbol fetch process.

2002-09-11 15:18  mortene

	* src/elements/SoGLTextureImageElement.cpp:
	
	Only warn once on missing 3D-texture support.

2002-09-11 14:19  pederb

	* src/elements/SoLightModelElement.cpp:
	
	Win32 compile fix.

2002-09-11 14:12  larsa

	* NEWS:
	
	minor updates

2002-09-11 14:11  pederb

	* src/elements/SoGLColorIndexElement.cpp:
	
	Revive SoGLColorIndexElement.cpp

2002-09-11 13:57  pederb

	* include/Inventor/VRMLnodes/SoVRMLColor.h,
	include/Inventor/VRMLnodes/SoVRMLMaterial.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMaterial.h,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoToVRML2Action.cpp, src/bundles/SoMaterialBundle.cpp,
	src/draggers/SoDragger.cpp, src/elements/Makefile.am,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoDiffuseColorElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLColorIndexElement.cpp,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLLazyElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoLazyElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoTransparencyElement.cpp, src/nodes/SoBaseColor.cpp,
	src/nodes/SoCallback.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoCube.cpp, src/nodes/SoCylinder.cpp,
	src/nodes/SoDrawStyle.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLocateHighlight.cpp, src/nodes/SoMarkerSet.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoQuadMesh.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoSphere.cpp, src/nodes/SoText2.cpp,
	src/nodes/SoTransparencyType.cpp, src/nodes/SoTriangleStripSet.cpp,
	src/nodes/SoVertexProperty.cpp, src/nodes/SoVertexShape.cpp,
	src/nodes/SoWWWInline.cpp, src/vrml97/Appearance.cpp,
	src/vrml97/Box.cpp, src/vrml97/Color.cpp, src/vrml97/Cone.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/ElevationGrid.cpp,
	src/vrml97/IndexedFaceSet.cpp, src/vrml97/IndexedLineSet.cpp,
	src/vrml97/Inline.cpp, src/vrml97/Material.cpp,
	src/vrml97/PointSet.cpp, src/vrml97/Shape.cpp,
	src/vrml97/Sphere.cpp, src/vrml97/VertexShape.cpp:
	
	Proper SoLazyElement and SoGLLazyElement implementation.
	Rendering/traversing large scene graphs should be much faster now.

2002-09-11 12:53  pederb

	* src/glue/dl.c:
	
	IRIX CC compile fix.

2002-09-11 12:52  mortene

	* src/glue/dl.c:
	
	Compilation fix for MSVC++.

2002-09-11 12:37  larsa

	* NEWS:
	
	updates

2002-09-11 12:29  mortene

	* src/actions/SoAction.cpp, src/elements/SoElement.cpp,
	src/fields/SoField.cpp, src/misc/SoState.cpp,
	src/nodekits/SoBaseKit.cpp, src/nodes/SoNode.cpp,
	docs/coin.doxygen.in:
	
	Collect all references to and descriptions of the contents of The
	Inventor Toolmaker in a common Doxygen macro keyword.

2002-09-11 10:53  mortene

	* BUGS.txt:
	
	New bug: hang on import for invalid scenegraph.

2002-09-11 10:50  mortene

	* src/elements/SoGLDisplayList.cpp:
	
	Detect and warn about known buggy OpenGL driver.

2002-09-11 10:48  mortene

	* src/: elements/SoGLCacheContextElement.cpp,
	elements/SoGLTexture3EnabledElement.cpp,
	elements/SoGLTextureImageElement.cpp, misc/SoOffscreenGLXData.icc:
	
	Compilation fixes to sync up with the changes in the interface for
	the OpenGL wrapper abstraction.

2002-09-11 10:47  mortene

	* src/: actions/SoRayPickAction.cpp, details/SoDetail.cpp,
	elements/SoLocalBBoxMatrixElement.cpp, misc/SoDB.cpp,
	misc/SoType.cpp, nodekits/SoBaseKit.cpp, nodes/SoText2.cpp,
	nodes/SoTexture3.cpp, projectors/SbProjector.cpp,
	projectors/SbSphereSheetProjector.cpp:
	
	Improvements to API doc, FIXMEs and code comments.

2002-09-11 10:43  mortene

	* docs/misc-resources.txt:
	
	Additional volume rendering resources.

2002-09-11 10:43  mortene

	* NEWS:
	
	List some additional major features scheduled for Coin-2.

2002-09-11 10:42  mortene

	* docs/coin.doxygen.in:
	
	Better doc on methods with flawed resource ownership design for
	MSWindows DLLs.

2002-09-11 10:39  mortene

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl.c:
	
	Major cleanups in the OpenGL wrapper.

2002-09-11 10:26  larsa

	* docs/todo.txt:
	
	added URL

2002-09-11 10:24  larsa

	* src/fields/SoFieldData.cpp:
	
	unnecessary copying of fields destroys node states (SoTexture2 copy
	bugfix)

2002-09-11 09:48  larsa

	* src/fields/SoFieldContainer.cpp:
	
	plug two seldom visited memory leaks

2002-09-10 16:34  mortene

	* include/Inventor/C/glue/Makefile.am, src/glue/Makefile.am,
	src/glue/all-c.c:
	
	Update build for new files.

2002-09-10 16:33  mortene

	* include/Inventor/C/glue/dl.h, src/glue/dl.c:
	
	Abstract interface for dynamic run-time linking under misc
	platforms. Only supports libdl implementation as of now.

2002-09-10 16:31  mortene

	* src/glue/: gl_glx.c, gl_glx.h, gl_wgl.c, gl_wgl.h:
	
	Splits GLX and WGL specifics out from gl.c into separate files.

2002-09-10 16:03  mortene

	* BUGS.txt:
	
	Bbox calc error found by larsa.

2002-09-10 13:41  larsa

	* bin/coin-config:
	
	ideas for future developments

2002-09-10 12:32  mortene

	* src/misc/SoGLImage.cpp:
	
	Handle freak problem seen with NVidia driver under stress.

2002-09-10 11:52  mortene

	* src/misc/SoGLImage.cpp:
	
	Provide a guaranteed fallback for resizing 3D textures.

2002-09-10 11:48  mortene

	* include/Inventor/misc/SoGL.h, src/misc/SoGL.cpp:
	
	Provide a method to fetch GL wrapper from SoState-reference.
	Replaces Inventor/C/glue/glp.h's GLGLUE_FROM_STATE().

2002-09-10 09:36  mortene

	* src/misc/SoGLImage.cpp:
	
	Corrects debug output. SGI MIPSPro 7.30 compatibility fix.

2002-09-10 09:35  mortene

	* src/sensors/SoDataSensor.cpp:
	
	SGI MIPSPro 7.30 compatibility fix.

2002-09-09 11:56  larsa

	* src/threads/Makefile.am:
	
	disable compiling wrappers.cpp on win32

2002-09-06 13:20  pederb

	* include/Inventor/misc/SoState.h, src/misc/SoState.cpp:
	
	Inline some frequently used methods.

2002-09-05 18:23  mortene

	* src/fields/SoMField.cpp:
	
	Bugfix: import of multi-value node fields could hang on invalid
	files.

2002-09-05 17:21  pederb

	* include/Inventor/elements/SoElement.h,
	src/elements/SoElement.cpp:
	
	Inline SoElement::capture() and SoElement::getConstElement().

2002-09-05 16:25  pederb

	* include/Inventor/fields/SoField.h, src/fields/SoField.cpp:
	
	Optimize by inlining the SoField::evaluate() method.

2002-09-04 22:13  mortene

	* HACKING:
	
	Elaborate on the --enable-hacking trick. Mention that the *.la
	files must be removed by hand.

2002-09-04 22:12  mortene

	* BUGS.txt:
	
	Problem with SoToVRML2Action found by kintel.

2002-09-04 11:51  larsivi

	* src/nodes/SoTextureCoordinateEnvironment.cpp:
	
	Minor Doxygen doc fix, used wrong slash

2002-09-04 10:58  pederb

	* src/: fields/SoFieldContainer.cpp, nodes/SoNode.cpp:
	
	Fix to be able to copy nodes that have a field with a pointer to
	the node itself.

2002-09-04 10:38  larsivi

	* src/misc/SoOutput.cpp:
	
	Minor Doxygen API doc fixes.

2002-09-04 10:17  larsivi

	* src/nodes/SoTextureCoordinateBinding.cpp:
	
	Updated Doxygen API doc.

2002-09-04 09:36  larsivi

	* src/nodes/SoTextureCoordinateEnvironment.cpp:
	
	Updated Doxygen API doc.

2002-09-03 21:18  mortene

	* docs/misc-resources.txt:
	
	List half a dozen www-sites with PD truetype fonts.

2002-09-03 17:52  pederb

	* src/base/SbViewportRegion.cpp:
	
	Fix typo.

2002-09-03 17:49  pederb

	* src/base/SbViewportRegion.cpp:
	
	Fix round-off errors in getViewportOriginPixels() and
	getViewportSizePixels(). By Rune Torkildsen.

2002-09-02 10:51  larsa

	* src/fields/SoField.cpp:
	
	missing field header initializations

2002-09-02 10:51  larsa

	* include/Inventor/fields/SoFields.h:
	
	missing field header inclusions

2002-09-02 10:44  mortene

	* docs/api-wish-list.txt:
	
	SbViewVolume::frustum() is actually already implemented by pederb.

2002-09-02 09:15  mortene

	* docs/api-wish-list.txt:
	
	SbViewVolume::frustum().

2002-08-30 15:46  mortene

	* docs/coin.doxygen.in, include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/system/gl.h.in, src/actions/SoAction.cpp,
	src/actions/SoSearchAction.cpp, src/base/SbDPViewVolume.cpp,
	src/draggers/SoDragger.cpp, src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLPointSizeElement.cpp, src/fields/SoMFEnum.cpp,
	src/fields/SoSFEnum.cpp, src/misc/SoInput.cpp,
	src/misc/SoPickedPoint.cpp, src/misc/SoType.cpp,
	src/nodes/SoDrawStyle.cpp, src/nodes/SoLOD.cpp,
	src/nodes/SoMarkerSet.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp:
	
	Misc updates to API doc, code comments and various FIXMEs.

2002-08-30 15:33  mortene

	* src/threads/: condvar.c, condvar_pthread.ic, condvar_win32.ic,
	mutex.c, mutex_pthread.ic:
	
	Compilation fixes for --enable-compact build mode.

2002-08-30 15:32  mortene

	* src/nodes/SoText2.cpp:
	
	Kill compiler warnings.

2002-08-30 15:26  mortene

	* src/: actions/SoToVRMLAction.cpp,
	misc/SoGLnonindexedTristripSetTemplate.icc:
	
	Compilation fix for --enable-compact build mode.

2002-08-30 15:24  mortene

	* docs/misc-resources.txt:
	
	Corrects URL to ACM's publications.

2002-08-30 15:16  pederb

	* src/nodes/SoIndexedLineSet.cpp:
	
	Remove test/debug code that should never have been committed.

2002-08-30 14:20  mortene

	* BUGS.txt:
	
	Comment how SGI Inventor performs on bug #22 (imperfect bbox
	combination).

2002-08-30 13:56  mortene

	* configure.ac:
	
	Thread-handling abstraction classes will now default to be enabled.
	Inserted sanity check so --enable-threadsafe can not be enabled
	unless the thread-handling abstractions are also available.

2002-08-30 12:53  pederb

	* src/threads/: thread.c, thread.c:
	
	Don't use atexit() to free the static thread TlsAlloc index.

2002-08-30 12:28  pederb

	* src/base/SbDPViewVolume.cpp:
	
	Disable parameter sanity tests in ortho().

2002-08-30 12:03  larsivi

	* src/nodes/SoTextureCoordinateDefault.cpp:
	
	Updated Doxygen API doc.

2002-08-30 11:48  larsivi

	* src/vrml97/AudioClip.cpp:
	
	Minor Doxygen API doc fix.

2002-08-30 11:45  larsivi

	* src/fields/SoMField.cpp:
	
	Updated Doxygen API doc

2002-08-30 11:42  larsivi

	* include/Inventor/VRMLnodes/SoVRMLInline.h, src/vrml97/Inline.cpp:
	
	Moved protected members to private

2002-08-30 11:25  larsivi

	* src/nodes/SoTextureCoordinateFunction.cpp:
	
	Updated Doxygen API doc.

2002-08-30 11:07  mortene

	* BUGS.txt:
	
	Even simpler scenegraph for bug #22.

2002-08-30 11:04  larsivi

	* src/vrml97/AudioClip.cpp:
	
	Updated Doxygen API doc.

2002-08-30 10:19  larsa

	* docs/todo.txt:
	
	an inventor model bundle-file idea

2002-08-29 15:08  larsa

	* docs/todo.txt:
	
	note on gzip compression support

2002-08-28 17:29  larsa

	* src/threads/Makefile.am:
	
	syntax-test the C++ wrappers during build process

2002-08-28 17:28  larsa

	* src/threads/wrappers.cpp:
	
	include SbFifo.h, produce executable if compiled/linked

2002-08-28 17:26  larsa

	* include/Inventor/threads/SbFifo.h:
	
	C++ wrapper for the cc_fifo ADT

2002-08-28 16:32  larsa

	* include/Inventor/C/threads/fifo.h:
	
	typo

2002-08-28 14:49  larsa

	* src/fields/SoFieldContainer.cpp:
	
	implementation of getFields()/getAllFields()

2002-08-28 14:48  larsa

	* include/Inventor/fields/SoField.h:
	
	even enums deserve names...

2002-08-28 14:27  mortene

	* src/glue/gl.c:
	
	Disable assert() check to work around what looks like a Mesa bug.

2002-08-28 14:22  mortene

	* include/Inventor/VRMLnodes/SoVRMLAnchor.h, src/vrml97/Anchor.cpp:
	
	Implements missing fetch functionality. By larsivi.

2002-08-28 14:19  mortene

	* src/nodes/SoWWWAnchor.cpp:
	
	Misc minor code cleanups.

2002-08-28 14:12  mortene

	* include/Inventor/nodes/SoWWWAnchor.h, src/nodes/SoWWWAnchor.cpp:
	
	Move static members into the hidden implementation class.

2002-08-28 14:05  mortene

	* include/Inventor/nodes/SoWWWAnchor.h, src/nodes/SoWWWAnchor.cpp:
	
	SoWWWAnchor implementation, by larsivi.

2002-08-27 14:38  mortene

	* src/misc/SoBase.cpp:
	
	Detect reference counting overflow situations.

2002-08-27 09:27  mortene

	* BUGS.txt:
	
	Make scenegraph that reproduces problem #022 much smaller.

2002-08-26 21:55  mortene

	* BUGS.txt:
	
	New bbox calculation bug.

2002-08-26 16:02  mortene

	* src/projectors/SbSphereSheetProjector.cpp:
	
	Compilation fix.

2002-08-26 12:50  mortene

	* BUGS.txt:
	
	Bugs #014 and #015 was fixed by handegar.

2002-08-26 10:01  mortene

	* src/projectors/SbSphereSheetProjector.cpp:
	
	Rewrite projection code so we actually map to a hyperbolic sheet
	draped on the sphere.

2002-08-25 14:01  pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Test if shape bbox is empty before using it.

2002-08-25 13:47  pederb

	* src/nodes/SoPointSet.cpp:
	
	Quick return if numPoints == 0.

2002-08-25 11:34  pederb

	* src/elements/SoGLCacheContextElement.cpp:
	
	Rewrite loop to work around a possible MSVC bug.

2002-08-23 17:09  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Auto-redraw bugfix.

2002-08-23 14:09  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Subimage border bugfix. Also simplified and optimized code.

2002-08-23 12:39  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Use only one thread to load images.

2002-08-22 18:28  larsa

	* THANKS:
	
	added Michael Wimmer for help on cleaning up some MSVC++ issues

2002-08-22 17:11  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Increase image max age.

2002-08-22 15:29  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Bigimage border bugfix.

2002-08-22 15:24  pederb

	* src/elements/SoGLTextureImageElement.cpp:
	
	Alpha test bugfix.

2002-08-22 12:20  mortene

	* src/projectors/SbSphereSheetProjector.cpp:
	
	Adds a test program to the FIXME about the missing hyperbolic
	sheet.

2002-08-22 10:19  mortene

	* BUGS.txt:
	
	Bug with SoGetBoundingBoxAction discovered by kintel.

2002-08-22 10:15  mortene

	* src/base/SbXfBox3f.cpp:
	
	Removes potential for a bug if the first extendBy()-call for an
	empty xfbox is with an sbvec3f argument.

2002-08-22 09:34  mortene

	* BUGS.txt:
	
	New discovery: internal problems when changing parts of an
	SoTransformBoxDragger (and other draggers?) from it's defaults.

2002-08-21 14:37  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Oops...

2002-08-21 13:34  mortene

	* src/draggers/SoDragger.cpp:
	
	Usage example on how to disable parts of a dragger.

2002-08-21 12:08  mortene

	* models/dead_simple/: indexedfaceset.iv, text2.iv:
	
	Very basic usage of these nodes.

2002-08-21 11:53  kintel

	* src/nodes/SoSelection.cpp:
	
	bugfix: deselectAll() failed to invoke the deselection callback

2002-08-21 11:53  mortene

	* src/nodes/SoText2.cpp:
	
	Handle non-integer values for the spacing field correctly. Bug
	reported by Rob Radtke.

2002-08-21 09:12  mortene

	* src/nodes/SoSelection.cpp:
	
	Bugfix on SINGLE selection: don't send a deselect + select
	notification pair on selecting an already selected node/path.

2002-08-20 11:23  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Bugfix.

2002-08-19 14:25  mortene

	* include/Inventor/lists/: SbIntList.h, SbStringList.h,
	SbVec3fList.h, SoDetailList.h, SoEngineOutputList.h, SoFieldList.h,
	SoPickedPointList.h:
	
	Publicly export the API of list classes for MSWin DLLs.

2002-08-19 13:45  mortene

	* THANKS:
	
	Adds Eric Rose for bugreports with SoQt.

2002-08-19 12:28  mortene

	* HACKING:
	
	Hints on how to emphasize special words in the Doxygen doc.

2002-08-19 10:25  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Codestyle fix, use PRIVATE() macro instead of addressing the pimpl
	pointer directly.

2002-08-19 10:18  mortene

	* HACKING:
	
	New codestyle rule.

2002-08-16 18:29  larsa

	* src/Makefile.am:
	
	win32-specific rule improvements

2002-08-15 17:56  larsa

	* Makefile.am:
	
	avoid regenerating gl.h on each config.status update

2002-08-15 16:45  pederb

	* src/Makefile.am:
	
	glglue build fix.

2002-08-15 16:14  pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl.c:
	
	GL multitexture support.

2002-08-15 16:13  pederb

	* include/Inventor/system/gl.h.in:
	
	GL multitexture defines.

2002-08-15 16:12  pederb

	* configure.ac:
	
	bootstrap for glue linkhack.

2002-08-15 14:38  larsa

	* configure.ac:
	
	*g*

2002-08-15 14:29  pederb

	* configure.ac, include/Inventor/C/Makefile.am,
	include/Inventor/C/glue/Makefile.am, include/Inventor/C/glue/gl.h,
	include/Inventor/C/glue/glp.h, src/Makefile.am,
	src/elements/SoGLCacheContextElement.cpp,
	src/elements/SoGLDisplayList.cpp,
	src/elements/SoGLTexture3EnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp, src/glue/Makefile.am,
	src/glue/all-c.c, src/glue/gl.c, src/misc/GLWrapper.cpp,
	src/misc/GLWrapper.h, src/misc/Makefile.am, src/misc/SoGLImage.cpp,
	src/misc/SoOffscreenGLXData.icc, src/misc/SoOffscreenRenderer.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoExtSelection.cpp:
	
	Replaced GLWrapper with public (and private) glue interface.

2002-08-15 14:27  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Code cleanup.

2002-08-15 14:24  pederb

	* src/misc/SoOffscreenWGLData.icc:
	
	Adds missing wglDeleteContext.

2002-08-15 14:16  larsa

	* src/Makefile.am:
	
	clean up auxilary win32-lib files...

2002-08-15 10:54  pederb

	* src/draggers/SoCenterballDragger.cpp:
	
	Avoid setting several parts to the same node pointer.

2002-08-15 10:00  larsa

	* configure.ac:
	
	inverse some test to avoid depending on value "no"

2002-08-14 17:32  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Reset bugfix.

2002-08-14 16:35  larsa

	* configure.ac:
	
	superglu fishiness

2002-08-14 16:17  larsa

	* Makefile.am, configure.ac, cfg/depcomp:
	
	variables for Inventor/system/gl.h

2002-08-14 16:16  larsa

	* include/Inventor/system/Makefile.am:
	
	build and install gl.h

2002-08-14 16:16  larsa

	* include/Inventor/system/: gl.h, gl.h.in:
	
	installable version of Inventor/system/gl.h

2002-08-14 16:01  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Relase compile fix.

2002-08-14 14:28  kristian

	* BUGS.txt:
	
	Remove fixed bug #016 from list.

2002-08-14 14:27  kristian

	* src/draggers/SoSpotLightDragger.cpp:
	
	Change constant to type float.

2002-08-14 14:26  kristian

	* src/draggers/SoSpotLightDragger.cpp:
	
	The cone apex z-coordinate is off by one (the reason for this is
	not clear). Fixed by simply adding one to its value. This fixes bug
	#016.

2002-08-14 12:31  larsa

	* coin.cfg.in, bin/coin-config:
	
	obj-extension fix

2002-08-13 19:52  larsa

	* src/misc/SoDB.cpp:
	
	update winsock comment

2002-08-13 12:40  mortene

	* docs/doxygen-patches/hide-friend-compounds.diff:
	
	Yet Another Doxygen Patch By Kristian (YADPBK).

2002-08-13 12:14  mortene

	* docs/doxygen-patches/kill-undoc-private-compund-warnings.diff:
	
	Yet another fix by Kristian for a Doxygen bug.

2002-08-13 11:48  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Added fix to prevent selection errors when offscreen renders to
	multiple subscreens.

2002-08-13 11:39  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Cache lower resolution images. Doubles the memory usage, but is
	much faster.

2002-08-13 11:00  mortene

	* BUGS.txt:
	
	Lists two problems with SoTransformerDragger.

2002-08-13 10:34  mortene

	* docs/doxygen-patches/less-clutter.diff:
	
	Patch to make Doxygen doc for Coin much cleaner, containing no
	clutter from overridden methods, destructors and default
	constructors.

2002-08-13 10:25  mortene

	* docs/doxygen-patches/kill-friend-class-warnings.diff:
	
	Patch for Doxygen 1.2.17 problem, by Kristian.

2002-08-13 10:11  kristian

	* src/actions/SoToVRML2Action.cpp:
	
	Fix doc.

2002-08-13 09:47  kristian

	* src/actions/SoToVRML2Action.cpp:
	
	Document members.  Implement support for not reusing property nodes
	if flag is set.

2002-08-13 09:44  mortene

	* BUGS.txt:
	
	An SoTabPlaneDragger bug.

2002-08-13 09:39  mortene

	* BUGS.txt:
	
	An SoSpotLightDragger bug.

2002-08-12 14:48  handegar

	* src/misc/: SoOffscreenGLXData.icc, SoOffscreenRenderer.cpp:
	
	Some code style fixes.

2002-08-12 13:20  handegar

	* src/misc/: SoOffscreenGLXData.icc, SoOffscreenRenderer.cpp:
	
	Fixed bug in 'writeToFile' when rendering to subscreens.

2002-08-12 12:35  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Delay reset as long as possible.

2002-08-12 12:15  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Fixed bug when writing to Postscript in subscreen mode.

2002-08-12 12:11  pederb

	* src/misc/SoGLBigImage.cpp:
	
	Update comment.

2002-08-12 12:08  pederb

	* src/vrml97/SphereSensor.cpp:
	
	Removed unused variable.

2002-08-12 12:07  pederb

	* src/vrml97/: IndexedLineSet.cpp, Transform.cpp:
	
	Removed unused variables.

2002-08-12 12:06  pederb

	* src/misc/SoInput.cpp:
	
	Removed unused constant.

2002-08-12 12:06  pederb

	* src/misc/GLWrapper.cpp:
	
	Removed unused static variable.

2002-08-12 12:04  pederb

	* src/: actions/SoToVRMLAction.cpp, misc/SoBase.cpp,
	elements/SoGLLightModelElement.cpp, misc/SoGLBigImage.cpp:
	
	IRIX CC warning fix.

2002-08-12 12:03  pederb

	* include/Inventor/VRMLnodes/SoVRMLText.h, src/vrml97/Text.cpp:
	
	Corrected function signature.

2002-08-12 11:52  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Removed some redundant code.

2002-08-12 10:45  pederb

	* src/misc/SoOffscreenRenderer.cpp:
	
	Remove unused variable.

2002-08-12 09:39  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Fixed a MSVC compiling error.

2002-08-12 09:39  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Fixed some MSVC incompatibilities. +++

2002-08-09 16:54  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Fixed bug #014 and #015 in BUGS.txt. Optimized offscreen scanning
	in VISIBLE_SHAPES mode.

2002-08-09 16:34  pederb

	* src/nodes/soshape_bigtexture.h:
	
	Auto-redraw if more bigimage subtextures need to be changed.

2002-08-09 16:15  pederb

	* include/Inventor/misc/SoGLBigImage.h, src/misc/SoGLBigImage.cpp,
	src/nodes/SoShape.cpp, src/nodes/soshape_bigtexture.cpp:
	
	Auto-redraw if more bigimage subtextures need to be changed.

2002-08-09 15:56  mortene

	* BUGS.txt:
	
	Updated item #015 after investigation by handegar.

2002-08-09 15:33  handegar

	* src/misc/: SoOffscreenGLXData.icc, SoOffscreenRenderer.cpp:
	
	Added support for offscreen-rendering exceeding maximum screensize
	using several subscreens. Added a FIXME in GLX-file
	(getMaximumDimensions()).

2002-08-09 15:29  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Added 'delete pimpl' in destructor.

2002-08-09 11:02  pederb

	* src/nodekits/SoBaseKit.cpp:
	
	Disallow inserting a node pointer more than once under the same
	parent part.

2002-08-09 10:59  pederb

	* src/lists/SoBaseList.cpp:
	
	Code comment.

2002-08-09 10:04  mortene

	* docs/coin.doxygen.in:
	
	Make COININTERNAL tag work better when combined with additional doc
	text in the block.

2002-08-09 09:54  mortene

	* docs/todo.txt:
	
	An item on why simage should really be built into Coin by default.

2002-08-09 09:53  mortene

	* README.WIN32:
	
	Explains how to do more stringent checking for a functional cl.exe
	environment.

2002-08-09 09:51  mortene

	* src/: actions/SoBoxHighlightRenderAction.cpp,
	actions/SoGetPrimitiveCountAction.cpp, base/SbRotation.cpp,
	base/SbVec3d.cpp, base/SbVec3f.cpp,
	draggers/SoTrackballDragger.cpp, elements/SoCoordinateElement.cpp,
	elements/SoDiffuseColorElement.cpp, elements/SoElement.cpp,
	elements/SoGLClipPlaneElement.cpp, elements/SoGLLightIdElement.cpp,
	manips/SoTrackballManip.cpp, misc/SoDB.cpp, nodes/SoLineSet.cpp,
	nodes/SoTexture3.cpp, nodes/SoTextureCoordinate3.cpp:
	
	Improved doc.

2002-08-08 15:51  mortene

	* include/Inventor/misc/SoNotRec.h,
	include/Inventor/misc/SoNotification.h, src/misc/Makefile.am,
	src/misc/SoNotRec.cpp, src/misc/SoNotification.cpp,
	src/misc/all-cpp.cpp:
	
	Split SoNotRec class declaration and implementation into it's own
	files, for the sake of clarity and consistency.

2002-08-08 14:14  mortene

	* include/Inventor/actions/SoToVRML2Action.h,
	src/actions/SoToVRML2Action.cpp:
	
	Adds stubs for missing API methods versus TGS Inventor's
	implementation of this class.

2002-08-08 14:13  mortene

	* src/actions/SoToVRMLAction.cpp:
	
	Adds Doxygen class doc.

2002-08-08 12:40  pederb

	* src/base/hash.c:
	
	Bugfix. Don't allocate more memory than necessary to store the
	buckets.

2002-08-08 12:30  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Corrects order of popping attributes. Tiny doc fixes.

2002-08-08 12:17  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Added doxygen docs for LassoMode.

2002-08-08 11:26  kristian

	* src/nodes/SoMultipleCopy.cpp:
	
	Remove comment about a now-fixed bug.

2002-08-08 11:24  kristian

	* BUGS.txt:
	
	Remove fixed bug #008 from list.

2002-08-08 11:20  kristian

	* src/nodes/SoMultipleCopy.cpp:
	
	Calculate bounding box correctly.  Optimization, only traverse the
	subgraph once.

2002-08-08 10:44  mortene

	* docs/misc-resources.txt:
	
	Link to an OpenGL extension loader library.

2002-08-08 10:39  mortene

	* docs/misc-resources.txt:
	
	OpenGL and ActiveX. Shadow volumes.

2002-08-08 10:30  mortene

	* src/: draggers/SoDragger.cpp, nodes/SoAntiSquish.cpp,
	nodes/SoSurroundScale.cpp:
	
	Improves Doxygen documentation.

2002-08-07 15:06  pederb

	* include/Inventor/SbDict.h, src/base/SbDict.cpp:
	
	Change signature of hashing function.

2002-08-07 15:05  pederb

	* include/Inventor/C/base/hash.h:
	
	Change signature of apply function.

2002-08-07 14:58  kristian

	* BUGS.txt:
	
	Remove fixed bug #009 from list.

2002-08-07 14:56  kristian

	* src/draggers/SoCenterballDragger.cpp:
	
	Set recalcAlways in AntiSquish to FALSE. This fixes bug #009.

2002-08-07 14:08  pederb

	* include/Inventor/SbDict.h, src/base/SbDict.cpp:
	
	Reimplemented using cc_hash.

2002-08-07 11:12  mortene

	* src/nodes/SoExtSelection.cpp:
	
	FIXME notice about a major optimization possibility.

2002-08-07 11:00  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Restore glColor() in correct order after glPopAttrib(). Adds FIXME
	notices about optimization possibilities etc. Convert TAB
	characters to spaces. Indentation fixes.

2002-08-07 09:39  kristian

	* src/actions/SoToVRML2Action.cpp:
	
	Use SbList instead of variable-sized array to fix compile on MSVC.

2002-08-06 23:06  mortene

	* BUGS.txt:
	
	Discovered a new bug -- SoExtSelection selection on SoMultipleCopy.

2002-08-06 22:59  mortene

	* BUGS.txt:
	
	Discovered a new bug -- SoExtSelection ALL_SHAPES selection on
	SoArray.

2002-08-06 22:23  mortene

	* BUGS.txt:
	
	Removes irrelevant part of bug reproduction case for item #008.

2002-08-06 22:18  mortene

	* BUGS.txt:
	
	A couple of additional hints for items #008 and #009.

2002-08-06 16:46  kristian

	* BUGS.txt:
	
	Remove fixed bug 011 from list.

2002-08-06 16:42  kristian

	* include/Inventor/draggers/SoTranslate2Dragger.h,
	src/draggers/SoTranslate2Dragger.cpp:
	
	- Move members lastmotion and extramotion to SoTranslate2DraggerP.

2002-08-06 16:34  kristian

	* include/Inventor/draggers/SoTranslate2Dragger.h,
	src/draggers/SoTranslate2Dragger.cpp:
	
	Add private SoTranslate2DraggerP class.

2002-08-06 16:25  kristian

	* src/draggers/SoTranslate2Dragger.cpp:
	
	Fix SHIFT release bug.

2002-08-06 16:25  kristian

	* include/Inventor/draggers/SoTranslate2Dragger.h:
	
	Add required SbVec3f members for fixing SHIFT release bug.

2002-08-06 14:42  mortene

	* src/lists/SoBaseList.cpp:
	
	Handle NULL-pointers. Thanks to Arne Sletteng for the patch.

2002-08-06 12:54  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Improves Doxygen doc for class.

2002-08-06 11:22  pederb

	* src/vrml97/IndexedShape.cpp:
	
	Thread safe bugfix.

2002-08-05 17:11  pederb

	* include/Inventor/C/base/Makefile.am:
	
	Install memalloc.h

2002-08-05 16:34  kristian

	* src/actions/SoToVRML2Action.cpp:
	
	Add docs.  Support POINTS and LINES drawstyles (convert shapes to
	ps/ils).  Support packed colors.  Support PER_PART material binding
	for LineSet and IndexedLineSet (convert to per vertex).  Misc
	bugfixes.

2002-08-05 16:24  mortene

	* include/Inventor/SoOffscreenRenderer.h:
	
	Remove old private data cruft.

2002-08-05 16:09  handegar

	* include/Inventor/SoOffscreenRenderer.h:
	
	Added pimpl to class.

2002-08-05 15:53  pederb

	* src/nodes/SoExtSelection.cpp:
	
	Avoid OpenGL calls to the wrong context.

2002-08-05 14:56  handegar

	* src/misc/SoOffscreenRenderer.cpp:
	
	Pimpl'ized SoOffscreenRenderer class.

2002-08-05 12:12  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Fixed camera bug. ++

2002-08-05 11:49  pederb

	* include/Inventor/C/threads/mutexp.h, src/threads/mutex.c:
	
	Win32 compile fixes.

2002-08-05 11:34  pederb

	* include/Inventor/C/threads/mutexp.h, src/threads/mutex.c,
	src/threads/mutex_win32cs.ic, src/threads/mutex_win32mutex.ic:
	
	Do a run-tim check for TryEnterCriticalSection.

2002-08-05 10:36  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Compile fixed.

2002-08-05 10:26  mortene

	* include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h:
	
	FIXME about ugly dependency on internal enum values.

2002-08-05 10:16  pederb

	* src/nodes/SoIndexedShape.cpp:
	
	Thread safe bugfix.

2002-08-05 09:56  pederb

	* include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h:
	
	Material binding bugfix. Bug reported by Kristian.

2002-08-02 17:44  mortene

	* src/misc/SoOffscreenGLXData.icc:
	
	Drop XCloseDisplay() call (and use a single XOpenDisplay() and
	store the result in a static variable) to work around NVidia driver
	problems.

2002-08-02 17:43  mortene

	* src/misc/GLWrapper.cpp:
	
	Drop XCloseDisplay() call, to work around NVidia driver problems.

2002-08-02 17:12  mortene

	* src/misc/GLWrapper.cpp:
	
	Only extract GLX version info from the system once.

2002-08-02 17:01  mortene

	* src/misc/SoOffscreenGLXData.icc:
	
	Add resident debugging output to make it easy to track problems
	with GLX context handling. Fix a bug with the code that restores
	the previous context after the offscreenrenderer has done it's
	thing.

2002-08-02 16:24  kristian

	* src/nodes/SoLineSet.cpp:
	
	Added missing PER_PART to doc.

2002-08-02 16:19  pederb

	* src/nodes/SoIndexedLineSet.cpp:
	
	Fix in generatePrimitives() to handle coordIndex field that is not
	terminated with a -1.

2002-08-02 16:18  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Added correct Mesa version number (3.4.2) in Mesabug comment.

2002-08-02 16:13  mortene

	* src/misc/GLWrapper.cpp:
	
	Implements stub function for reading out the GLX version.

2002-08-02 16:12  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Made a workaround for Mesa bug affecting Lasso-color and
	scenegraph.

2002-08-02 14:59  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Be robust: check for RGBA-type context and at least two colors
	being available for VISIBLE_SHAPE selection.

2002-08-02 14:46  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Remove some debug code left in by mistake.

2002-08-02 14:20  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Fixed some Rectangle-lasso bugs.

2002-08-02 12:44  mortene

	* src/draggers/SoDragger.cpp:
	
	Better class doc.

2002-08-02 12:07  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Fixed 'doubleclick' bug. Added env-variable support for debugging
	(offscreen dump).

2002-08-02 12:06  mortene

	* src/elements/: SoCoordinateElement.cpp,
	SoDiffuseColorElement.cpp:
	
	Be robust when passing out array pointers and check consistency
	with internal data format.

2002-08-02 12:03  mortene

	* src/misc/: SoOffscreenAGLData.icc, SoOffscreenGLXData.icc,
	SoOffscreenRenderer.cpp, SoOffscreenWGLData.icc:
	
	Avoid destructing and re-allocating an OpenGL context on a new but
	equal viewport region being set up.

2002-08-02 11:01  mortene

	* docs/coin.doxygen.in:
	
	Don't let the COIN_DLL_API define show through in the Doxygen doc.
	Emphasize the COININTERNAL text. Elaborate on and emphasize the
	Web3D copyright notice.

2002-08-02 11:01  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Fixed bugs appearing when toggelig between selection modes and
	policys.

2002-08-01 17:26  pederb

	* src/elements/SoGLCacheContextElement.cpp:
	
	Thread safe fix.

2002-08-01 16:43  mortene

	* src/nodes/SoSwitch.cpp:
	
	Corrects error reporting when whichChild is out of range.

2002-08-01 16:31  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Fixes a crash bug: memory allocations could be free'd multiple
	times, or we could get random memory corruption for freeing memory
	on an uninitialized, random pointer.

2002-08-01 16:28  kristian

	* src/actions/SoToVRML2Action.cpp:
	
	Convert Coin nodes to SoVRMLIndexedFaceSet via triangle cb.  Misc
	bugfixes.

2002-08-01 16:24  kristian

	* src/actions/SoToVRMLAction.cpp:
	
	Add support for converting SoVRMLPointSet.

2002-08-01 16:21  pederb

	* src/nodes/SoIndexedTriangleStripSet.cpp:
	
	Fixed ugly PER_FACE_INDEXED normal binding bug in
	generatePrimitives(). Bug reported by Kristofer Tingdal.

2002-08-01 16:03  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Mention the extselection example program in the class
	documentation.

2002-08-01 15:34  mortene

	* src/nodes/SoExtSelection.cpp:
	
	Hide references to pimpl by using the PRIVATE() macro.

2002-08-01 15:26  pederb

	* src/vrml97/Makefile.am:
	
	Remove unused file.

2002-08-01 15:12  handegar

	* include/Inventor/nodes/SoExtSelection.h:
	
	Added new features according to TGS spec.

2002-08-01 15:05  handegar

	* src/nodes/SoExtSelection.cpp:
	
	Added support for VISIBLE_SHAPES selection using offscreen
	rendering.

2002-07-31 16:53  mortene

	* include/Inventor/actions/SoLineHighlightRenderAction.h,
	src/actions/SoLineHighlightRenderAction.cpp:
	
	Changed signature of setLinePattern() and getLinePattern() to use
	specific bitwidth type. Converted private data to Cheshire Cat.

2002-07-31 13:50  mortene

	* src/actions/SoToVRML2Action.cpp:
	
	Better separation of code with and without HAVE_VRML97 define. Now
	compiles again for Coin-2 without VRML97 support.

2002-07-31 12:08  pederb

	* include/Inventor/actions/SoToVRML2Action.h:
	
	SoToVRML2Action header file. By kristian.

2002-07-31 11:07  mortene

	* src/actions/SoBoxHighlightRenderAction.cpp:
	
	Compile fix.

2002-07-31 09:34  kintel

	* docs/misc-resources.txt:
	
	Added link to SOLID

2002-07-30 20:44  mortene

	* src/: actions/SoAction.cpp, actions/SoCallbackAction.cpp,
	actions/SoGetBoundingBoxAction.cpp, actions/SoRayPickAction.cpp,
	actions/SoSearchAction.cpp, actions/SoWriteAction.cpp,
	base/SbBox2d.cpp, base/SbBox2f.cpp, base/SbBox2s.cpp,
	base/SbBox3s.cpp, base/SbDPViewVolume.cpp, base/SbDict.cpp,
	base/SbTime.cpp, base/SbViewVolume.cpp, details/SoConeDetail.cpp,
	details/SoCubeDetail.cpp, details/SoCylinderDetail.cpp,
	draggers/SoCenterballDragger.cpp,
	draggers/SoDirectionalLightDragger.cpp,
	draggers/SoDragPointDragger.cpp, draggers/SoDragger.cpp,
	draggers/SoHandleBoxDragger.cpp, draggers/SoJackDragger.cpp,
	draggers/SoPointLightDragger.cpp,
	draggers/SoRotateCylindricalDragger.cpp,
	draggers/SoRotateDiscDragger.cpp,
	draggers/SoRotateSphericalDragger.cpp,
	draggers/SoScale1Dragger.cpp, draggers/SoScale2Dragger.cpp,
	draggers/SoScale2UniformDragger.cpp,
	draggers/SoScaleUniformDragger.cpp,
	draggers/SoSpotLightDragger.cpp, draggers/SoTabBoxDragger.cpp,
	draggers/SoTabPlaneDragger.cpp, draggers/SoTrackballDragger.cpp,
	draggers/SoTransformBoxDragger.cpp,
	draggers/SoTransformerDragger.cpp,
	draggers/SoTranslate1Dragger.cpp, draggers/SoTranslate2Dragger.cpp,
	elements/SoGLDisplayList.cpp, elements/SoGLPointSizeElement.cpp,
	elements/SoReplacedElement.cpp, engines/SoEngine.cpp,
	engines/SoNodeEngine.cpp, events/SoEvent.cpp,
	fields/SoFieldContainer.cpp, manips/SoClipPlaneManip.cpp,
	manips/SoDirectionalLightManip.cpp, manips/SoPointLightManip.cpp,
	manips/SoSpotLightManip.cpp, manips/SoTransformManip.cpp,
	misc/SoBase.cpp, misc/SoDB.cpp, misc/SoInput.cpp,
	misc/SoOutput.cpp, nodekits/SoBaseKit.cpp,
	nodekits/SoInteractionKit.cpp, nodekits/SoNodeKitListPart.cpp,
	nodes/SoNode.cpp, nodes/SoSelection.cpp, nodes/SoShape.cpp,
	nodes/SoSurroundScale.cpp, nodes/SoTriangleStripSet.cpp,
	projectors/SbSphereSheetProjector.cpp, sensors/SoSensor.cpp,
	vrml97/ImageTexture.cpp:
	
	Replace \internal Doxygen keyword with \COININTERNAL alias to work
	around a Doxygen problem.

2002-07-30 20:43  mortene

	* docs/coin.doxygen.in:
	
	Adds an alias COININTERNAL to replace the buggy \internal keyword
	of Doxygen.

2002-07-30 17:02  mortene

	* src/vrml97/AudioClip.cpp, src/vrml97/Background.cpp,
	src/vrml97/Billboard.cpp, src/vrml97/Box.cpp,
	src/vrml97/Coordinate.cpp, src/vrml97/DirectionalLight.cpp,
	src/vrml97/VertexLine.cpp, include/Inventor/SbClip.h,
	include/Inventor/SbTime.h, include/Inventor/SbVec2f.h,
	include/Inventor/SbVec2s.h, include/Inventor/SbVec3f.h,
	include/Inventor/SbVec3s.h, include/Inventor/SbVec4f.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/fields/SoField.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoSearchAction.cpp, src/base/SbTime.cpp,
	src/base/SbVec2f.cpp, src/base/SbVec2s.cpp, src/base/SbVec3f.cpp,
	src/base/SbVec3s.cpp, src/base/SbVec4f.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoPickStyle.cpp:
	
	Doxygen fixes.

2002-07-30 17:02  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Small doxygen fix.

2002-07-30 17:01  mortene

	* src/misc/SoOffscreenGLXData.icc:
	
	FIXME about the (likely) Mesa bug on glXMakeCurrent().

2002-07-30 16:58  mortene

	* docs/misc-resources.txt:
	
	Vol-rendering link.

2002-07-30 16:57  mortene

	* docs/coin.doxygen.in:
	
	Adds new action classes SoToVRMLAction and SoToVRML2Action.

2002-07-30 16:56  mortene

	* docs/coin.doxygen.in:
	
	Removes obsoleted VRML classes.

2002-07-30 16:37  mortene

	* src/actions/: SoToVRML2Action.cpp, SoToVRMLAction.cpp:
	
	Doxygen fixes.

2002-07-30 16:25  mortene

	* src/actions/Makefile.am:
	
	Include SoToVRML2Action in build.

2002-07-30 16:22  mortene

	* src/: actions/all.cpp, base/all-cpp.cpp:
	
	Fixes for enable-compact build mode.

2002-07-30 16:19  pederb

	* AUTHORS:
	
	Adds Kristian. Removes developer "ranking".

2002-07-30 16:16  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	VRML1 to VRML2 now supported. By kristian.

2002-07-30 15:10  mortene

	* include/Inventor/VRMLnodes/: SoVRMLInterpOutputData.h,
	SoVRMLInterpOutput.h:
	
	A TGS class not implemented for Coin.

2002-07-30 14:56  mortene

	* include/Inventor/SbBox3s.h:
	
	Was missing COIN_DLL_API keyword to expose to public DLL interface.

2002-07-30 10:48  mortene

	* include/Inventor/lists/SbList.h:
	
	pragma hack to disable SbList-in-DLL warnings.

2002-07-29 17:23  mortene

	* BUGS.txt:
	
	New item, low-priority.

2002-07-29 16:18  mortene

	* src/misc/SoOffscreenGLXData.icc:
	
	Corrects order of resource deallocation for GLX buffers.
	(Destructing the X pixmap before the GLX pixmap caused some NVidia
	X servers to crash.)

2002-07-29 14:57  mortene

	* src/actions/SoToVRMLAction.cpp:
	
	Wrap inclusion of VRML97 header files with HAVE_VRML97 (final link
	with MSVC reported missing symbols otherwise).

2002-07-29 11:20  mortene

	* src/misc/GLWrapper.cpp:
	
	kintel's update to pederb's FIXME notice from our internal
	coin-mailinglist.

2002-07-23 09:41  pederb

	* src/threads/thread.c:
	
	win32 compile fix

2002-07-23 09:38  pederb

	* src/threads/thread.c:
	
	Implemented cc_thread_id() for win32.

2002-07-23 09:10  pederb

	* include/Inventor/C/threads/threadp.h, src/misc/SoDB.cpp,
	src/threads/thread.c:
	
	Use a single function to initialize the threads module.

2002-07-22 16:43  pederb

	* src/vrml97/IndexedShape.cpp:
	
	Thread safe bugfix.

2002-07-19 18:02  pederb

	* include/Inventor/C/threads/mutexp.h,
	src/threads/condvar_win32.ic, src/threads/mutex_win32cs.ic:
	
	Win32 compile fixes.

2002-07-19 16:30  pederb

	* include/Inventor/C/threads/condvarp.h,
	src/threads/condvar_win32.ic:
	
	New, and hopefully correct condvar implementation for win32.

2002-07-19 12:17  pederb

	* include/Inventor/C/threads/workerp.h, src/threads/worker.c:
	
	Simplified idle handling.

2002-07-19 10:55  pederb

	* src/vrml97/: Group.cpp, Shape.cpp:
	
	Thread safe fixes.

2002-07-18 16:18  pederb

	* src/nodes/SoSeparator.cpp:
	
	Thread safe bugfix.

2002-07-18 15:11  kintel

	* src/actions/SoBoxHighlightRenderAction.cpp:
	
	Win32 compile

2002-07-18 13:13  pederb

	* src/nodes/SoSelection.cpp:
	
	Improved doc.

2002-07-18 11:55  pederb

	* include/Inventor/nodes/SoUnknownNode.h,
	src/nodes/SoUnknownNode.cpp:
	
	Implemented copy functionality.

2002-07-18 11:49  pederb

	* src/fields/SoFieldData.cpp:
	
	Bugfix. Copy all field flags in overlay().

2002-07-18 10:48  pederb

	* include/Inventor/nodes/SoUnknownNode.h,
	src/nodes/SoUnknownNode.cpp:
	
	pimpl.

2002-07-18 10:14  pederb

	* include/Inventor/SbDPViewVolume.h,
	include/Inventor/SbViewVolume.h, src/base/SbDPViewVolume.cpp,
	src/base/SbViewVolume.cpp:
	
	New method SbViewVolume::frustum().

2002-07-17 17:16  pederb

	* src/threads/sched.c:
	
	Fix compiler warnings.

2002-07-17 17:09  pederb

	* include/Inventor/C/threads/schedp.h, src/threads/sched.c:
	
	Support priority.

2002-07-17 17:07  pederb

	* include/Inventor/C/base/heap.h, src/base/heap.c:
	
	Remove closure from heap compare function.

2002-07-17 16:47  pederb

	* include/Inventor/C/base/heap.h:
	
	COIN_DLL_API

2002-07-17 16:47  pederb

	* include/Inventor/C/base/hashp.h, src/base/hash.c:
	
	Use a memory allocator to allocate memory for hash table entries.

2002-07-17 16:30  pederb

	* src/actions/SoBoxHighlightRenderAction.cpp:
	
	Bugfix. Selected group nodes should now be rendered correctly.

2002-07-17 14:54  pederb

	* include/Inventor/actions/SoBoxHighlightRenderAction.h,
	src/actions/SoBoxHighlightRenderAction.cpp:
	
	pimpl.

2002-07-17 14:52  pederb

	* include/Inventor/C/base/Makefile.am, src/base/Makefile.am:
	
	bootstrap to build heap.

2002-07-17 14:51  pederb

	* include/Inventor/C/base/heap.h, include/Inventor/C/base/heapp.h,
	src/base/heap.c:
	
	Binary heap implementation. By Kristian.

2002-07-17 12:08  pederb

	* src/actions/Makefile.am:
	
	Build SoToVRMLAction.

2002-07-17 12:07  pederb

	* src/actions/SoToVRMLAction.cpp:
	
	Implementation. Currently only VRML2 to VRML1 is supported.

2002-07-16 16:55  pederb

	* include/Inventor/SbBox.h:
	
	Include SbBox3s.h

2002-07-16 16:55  pederb

	* src/: Makefile.am, base/Makefile.am:
	
	Bootstrap to build SbBox3s.

2002-07-16 16:52  pederb

	* include/Inventor/SbBox3s.h, src/base/SbBox3s.cpp:
	
	SbBox3s class. By torbjorv.

2002-07-16 11:58  pederb

	* src/: misc/SoProto.cpp, vrml97/Script.cpp:
	
	Initialize action method index so that SoCallbackAction pre/post
	callbacks will work.

2002-07-16 11:22  pederb

	* src/misc/SoDB.cpp:
	
	Initialize thread local notification counter to 0.

2002-07-16 10:23  pederb

	* src/base/SbDPViewVolume.cpp:
	
	Improve SbDPViewVolume precision by always storing the view volume
	in a local coordinate system.

2002-07-16 09:51  pederb

	* THANKS:
	
	Added François Painchaud.

2002-07-15 13:30  larsa

	* THANKS:
	
	Arthur Clemens

2002-07-15 13:29  larsa

	* src/details/SoDetail.cpp:
	
	fixed documentation include-path, thanks to Arthur Clemens

2002-07-12 13:30  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Make point/line smoothing work even when transparency type !=
	SCREEN_DOOR.

2002-07-12 10:01  pederb

	* src/misc/GLWrapper.cpp:
	
	Win32 fix for detecting OpenGL functions that are not extensions.

2002-07-12 09:40  pederb

	* src/nodes/SoIndexedShape.cpp:
	
	Removed unnecessary statement.

2002-07-12 09:25  pederb

	* src/nodes/SoIndexedShape.cpp:
	
	Normal cache locking/unlocking bug fix. Buf reported by larsa.

2002-07-11 16:05  pederb

	* src/caches/SoGLCacheList.cpp:
	
	Compile fix.

2002-07-11 14:48  pederb

	* src/elements/SoGLDisplayList.cpp:
	
	Check that something is actually wrong before posting an error
	message.

2002-07-11 12:51  pederb

	* include/Inventor/nodes/SoIndexedFaceSet.h,
	src/nodes/SoIndexedFaceSet.cpp:
	
	Avoid a recursive readLock on the normal cache.

2002-07-11 12:31  pederb

	* include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	src/vrml97/IndexedFaceSet.cpp:
	
	Thread safe convex data cache.

2002-07-11 12:03  pederb

	* include/Inventor/nodes/SoFaceSet.h, src/nodes/SoFaceSet.cpp:
	
	Thread safe convex cache.

2002-07-11 11:49  pederb

	* src/caches/SoConvexDataCache.cpp:
	
	Bugfix to handle PER_FACE bindings.

2002-07-11 11:29  pederb

	* include/Inventor/nodes/SoIndexedFaceSet.h,
	src/nodes/SoIndexedFaceSet.cpp:
	
	Pimpl and thread safe convex cache.

2002-07-11 11:10  pederb

	* src/vrml97/ElevationGrid.cpp:
	
	Thread safe normal cache.

2002-07-11 10:59  pederb

	* include/Inventor/VRMLnodes/SoVRMLVertexShape.h,
	src/vrml97/IndexedFaceSet.cpp, src/vrml97/IndexedShape.cpp,
	src/vrml97/VertexShape.cpp:
	
	Thread safe normal cache handling.

2002-07-11 10:10  pederb

	* include/Inventor/nodes/SoVertexShape.h, src/nodes/SoFaceSet.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoTriangleStripSet.cpp, src/nodes/SoVertexShape.cpp:
	
	Thread safe normal cache handling. Also removed some obsoleted
	code.

2002-07-10 17:03  pederb

	* include/Inventor/nodes/SoVertexShape.h,
	src/nodes/SoVertexShape.cpp:
	
	Pimpl.

2002-07-10 17:02  pederb

	* include/Inventor/C/threads/threadsutilp.h:
	
	Global lock/unlock macros.

2002-07-10 16:36  pederb

	* src/vrml97/: Group.cpp, Shape.cpp:
	
	Thread safe.

2002-07-10 16:29  pederb

	* src/nodes/SoShape.cpp:
	
	Bugfix.

2002-07-10 16:09  pederb

	* src/nodes/SoShape.cpp:
	
	Now even more threadsafe.

2002-07-10 15:02  pederb

	* src/nodes/SoSeparator.cpp:
	
	Typofix.

2002-07-10 14:55  pederb

	* src/nodes/SoSeparator.cpp:
	
	Thread safe.

2002-07-10 14:25  pederb

	* src/caches/SoGLCacheList.cpp:
	
	Thread safe.

2002-07-10 13:34  pederb

	* include/Inventor/VRMLnodes/SoVRMLPixelTexture.h,
	src/vrml97/PixelTexture.cpp:
	
	Pimpl.

2002-07-10 12:13  pederb

	* include/Inventor/nodes/SoTexture2.h, src/nodes/SoTexture2.cpp:
	
	Pimpl

2002-07-10 12:10  pederb

	* src/nodes/SoShape.cpp:
	
	Thread safe bugfix. Also included some code to make it easier to
	debug generatePrimitives() for shapes.

2002-07-09 17:26  pederb

	* src/misc/SoDB.cpp:
	
	Thread safe start/end notify.

2002-07-09 16:31  pederb

	* src/nodes/SoWWWInline.cpp:
	
	Set readAsSoFile to TRUE by default.

2002-07-09 16:16  pederb

	* include/Inventor/nodes/SoWWWInline.h, src/nodes/SoWWWInline.cpp:
	
	Replace SbDict pimpl with proper pimpl.

2002-07-09 15:53  pederb

	* src/nodes/SoTextureCoordinateEnvironment.cpp:
	
	Thread safe.

2002-07-09 15:47  pederb

	* src/nodes/SoNurbsProfile.cpp:
	
	Thread safe.

2002-07-09 15:23  pederb

	* src/nodes/SoLinearProfile.cpp:
	
	Thread safe.

2002-07-09 15:06  pederb

	* src/nodes/SoLevelOfDetail.cpp:
	
	Thread safe.

2002-07-09 13:46  pederb

	* src/nodes/: SoFaceSet.cpp, SoTriangleStripSet.cpp:
	
	Init render function pointers in initClass().

2002-07-09 13:36  pederb

	* src/nodes/SoQuadMesh.cpp:
	
	Init rendering function pointers in initClass().

2002-07-09 12:56  pederb

	* include/Inventor/nodes/SoShape.h:
	
	Needed for thread safe fix.

2002-07-09 12:47  pederb

	* src/nodes/: SoShape.cpp, soshape_bigtexture.cpp,
	soshape_bigtexture.h, soshape_primdata.cpp, soshape_primdata.h,
	soshape_trianglesort.cpp, soshape_trianglesort.h:
	
	Thread safe shape handling.

2002-07-09 12:45  pederb

	* src/nodes/SoLineSet.cpp:
	
	Initialize render function pointers in initClass() to avoid race
	conditions.

2002-07-08 14:27  pederb

	* src/misc/SoProto.cpp:
	
	Release compile fix.

2002-07-08 14:17  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Only touch node in loader-thread in the thread safe version of
	Coin.

2002-07-05 17:37  mortene

	* docs/todo.txt:
	
	Remove item about bboxes in shapes for optimized operations. Number
	of remaining items for easy reference.

2002-07-05 17:35  mortene

	* docs/projects.txt:
	
	Kill obsoleted tasks.

2002-07-05 17:32  mortene

	* docs/header:
	
	Unnecessary to store copyright header in a separate file.

2002-07-05 17:15  mortene

	* README.WIN32:
	
	A few comments on building as static versus dynamic libraries.

2002-07-05 17:10  mortene

	* src/nodes/SoTexture2.cpp:
	
	Tiny typo-fix in API doc.

2002-07-05 17:08  mortene

	* include/Inventor/actions/: SoToVRML2Action.h, SoToVRMLAction.h:
	
	Comments on API completeness.

2002-07-05 16:27  pederb

	* src/: misc/SoBase.cpp, nodes/SoLineSet.cpp:
	
	Thread safe.

2002-07-05 16:10  pederb

	* src/misc/SoGlyph.cpp:
	
	Thread safe.

2002-07-05 16:09  pederb

	* include/Inventor/C/threads/threadsutilp.h:
	
	Make CC_MUTEX_CONSTRUCT macro safer.

2002-07-05 16:01  mortene

	* FAQ:
	
	Too much cut'n'paste in the last commit, roll back original libCoin
	specifics in legalese.

2002-07-05 15:49  mortene

	* FAQ:
	
	LGPL -> GPL.

2002-07-05 15:42  pederb

	* src/misc/SoGLImage.cpp:
	
	Thread safer.

2002-07-05 15:41  pederb

	* src/misc/SoDB.cpp:
	
	Init global mutex.

2002-07-05 15:41  pederb

	* src/fields/SoField.cpp:
	
	Init mutex variable to NULL before constructing.

2002-07-05 15:32  pederb

	* include/Inventor/C/threads/threadsutilp.h:
	
	Use global mutex lock/unlock when constructing a mutex.

2002-07-05 15:31  pederb

	* include/Inventor/C/threads/mutexp.h, src/threads/mutex.c:
	
	Introduce a global mutex to avoid race conditions when constructing
	mutexes.

2002-07-05 13:59  larsa

	* configure.ac:
	
	rename COIN_THREADSAFE sh-var to sim_ac_coin_threadsafe and use
	true/false instead of 0/1

2002-07-05 13:44  pederb

	* src/misc/SoGLImage.cpp:
	
	Thread safe.

2002-07-05 13:30  larsa

	* configure.ac:
	
	shell variable assignments can't use whitespace around
	assignment-operator

2002-07-05 12:17  pederb

	* include/Inventor/C/threads/storage.h,
	include/Inventor/C/threads/storagep.h, src/threads/storage.c:
	
	Reimplemented cc_storage to make it platform independent.

2002-07-05 12:15  pederb

	* src/misc/SoGL.cpp:
	
	Thread safe fixes.

2002-07-05 12:06  pederb

	* include/Inventor/C/threads/threadsutilp.h,
	src/elements/SoCacheElement.cpp:
	
	Check for COIN_THREADSAFE, not HAVE_THREADS.

2002-07-05 12:05  pederb

	* configure.ac:
	
	Cofigure option to build a thread safe library.

2002-07-05 11:12  pederb

	* include/Inventor/C/threads/thread.h, src/threads/thread.c:
	
	Add support for returning an unique thread id.

2002-07-05 11:06  mortene

	* docs/todo.txt:
	
	Leave an item on the implementation of SoToVRMLAction and
	SoReorganizeAction (of which we already have some working code).

2002-07-05 11:02  mortene

	* src/actions/SoToVRMLAction.cpp:
	
	Implement all methods except the ones doing actual work. :-)

2002-07-05 11:01  mortene

	* include/Inventor/actions/SoToVRMLAction.h:
	
	Write up the correct API.

2002-07-05 10:24  pederb

	* src/fields/SoField.cpp:
	
	Thread safe SoField::evaluate().

2002-07-04 17:32  mortene

	* docs/todo.txt:
	
	Typos.

2002-07-04 17:19  pederb

	* src/threads/sync.c:
	
	Don't require that SoDB::init() has been called before using the
	synchronizer.

2002-07-04 16:56  pederb

	* src/base/SbName.cpp:
	
	Destruct mutex in atexit() call.

2002-07-04 16:55  pederb

	* src/base/SbName.cpp:
	
	Thread safe fix.

2002-07-04 16:11  pederb

	* src/fields/SoMField.cpp:
	
	Thread safe SoMField::get1(SbString&)

2002-07-04 16:05  pederb

	* src/fields/SoField.cpp:
	
	Thread safe SoField::get(SbString&).

2002-07-04 14:48  pederb

	* src/base/SbName.cpp:
	
	Thread safe fix.

2002-07-04 14:12  pederb

	* src/base/SbName.cpp:
	
	Thread safe.

2002-07-04 14:07  pederb

	* src/base/SbName.cpp:
	
	Add atexit() call to free static memory used by SbNameEntry.

2002-07-04 11:27  pederb

	* src/misc/: SoGLFaceSetTemplate.icc, SoGLLineSetTemplate.icc,
	SoGLTristripTemplate.icc, SoGLindexedLineSetTemplate.icc,
	SoGLnonindexedFaceSetTemplate.icc,
	SoGLnonindexedTristripSetTemplate.icc, SoGLqmeshTemplate.icc:
	
	Optimize rendering by inlining calls to
	SoGLCoordinateElement::send() (~15% speed increase).

2002-07-03 17:25  pederb

	* src/nodes/SoLevelOfDetail.cpp:
	
	Bounding box bugfix.

2002-07-03 16:56  pederb

	* src/nodes/SoLevelOfDetail.cpp:
	
	Remove FIXME

2002-07-03 16:55  pederb

	* include/Inventor/nodes/SoLevelOfDetail.h,
	src/nodes/SoLevelOfDetail.cpp:
	
	Improved/bugfixed bounding box calculations for this node. Problem
	reported by Kristofer Tingdahl.

2002-07-03 15:44  pederb

	* src/misc/GLUWrapper.c:
	
	Synchronize GLUWrapper(). Also changed atexit() to coin_atexit().

2002-07-03 15:35  pederb

	* src/threads/fifo.c:
	
	IRIX CC compile fixes.

2002-07-03 15:33  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Remove race condition fix since simage_wrapper() now should be
	thread safe.

2002-07-03 15:32  pederb

	* src/misc/simage_wrapper.c:
	
	Synchronize simage_wrapper().

2002-07-03 15:28  pederb

	* src/misc/SoBase.cpp:
	
	atexit() to coin_atexit().

2002-07-03 15:17  pederb

	* src/misc/GLWrapper.cpp:
	
	Synchronize GLWrapper() calls.

2002-07-03 15:16  pederb

	* include/Inventor/C/threads/threadsutilp.h:
	
	Add CC_SYNC_BEGIN and CC_SYNC_END macros.

2002-07-03 15:02  pederb

	* src/misc/SoDB.cpp:
	
	Initialize synchronizer.

2002-07-03 15:02  pederb

	* include/Inventor/C/threads/syncp.h:
	
	Compile fix.

2002-07-03 14:58  pederb

	* include/Inventor/C/threads/Makefile.am,
	include/Inventor/C/threads/sync.h,
	include/Inventor/C/threads/syncp.h, src/threads/Makefile.am,
	src/threads/sync.c:
	
	Synchronize functionality.

2002-07-03 14:49  mortene

	* src/nodes/SoTexture2.cpp:
	
	Improve API doc.

2002-07-03 14:38  pederb

	* include/Inventor/C/base/hash.h, src/base/hash.c:
	
	Add cc_hash_apply().

2002-07-03 14:13  pederb

	* src/misc/GLWrapper.cpp:
	
	Quick temporary fix.

2002-07-03 13:26  pederb

	* include/Inventor/C/base/Makefile.am:
	
	Include hashp.h in EXTRA_DIST.

2002-07-03 13:23  pederb

	* include/Inventor/C/base/Makefile.am, src/base/Makefile.am:
	
	Bootstrap to build hash table.

2002-07-03 13:18  pederb

	* src/base/hash.c:
	
	Hash table implementation. By kristian.

2002-07-03 13:17  pederb

	* include/Inventor/C/base/: hash.h, hashp.h:
	
	A hash table object. By kristian.

2002-07-03 09:32  pederb

	* src/: elements/SoCacheElement.cpp, misc/SoProtoInstance.cpp,
	nodes/SoNode.cpp, vrml97/ImageTexture.cpp, vrml97/Inline.cpp:
	
	Use coin_atexit(), not atexit().

2002-07-02 22:19  larsa

	* configure.ac:
	
	information for the lazy about enabling features

2002-07-02 19:59  mortene

	* src/: draggers/SoCenterballDragger.cpp,
	manips/SoClipPlaneManip.cpp, nodes/SoLevelOfDetail.cpp:
	
	Fixes for API documentation.

2002-07-02 17:02  pederb

	* src/elements/SoGLCacheContextElement.cpp:
	
	Code cleanup.

2002-07-02 17:00  pederb

	* include/Inventor/C/threads/threadsutilp.h:
	
	Some multi-thread macros.

2002-07-02 16:25  pederb

	* src/misc/GLWrapper.cpp:
	
	Thread safe.

2002-07-02 16:16  pederb

	* src/elements/SoGLCacheContextElement.cpp:
	
	Single thread compile fix.

2002-07-02 16:09  pederb

	* src/elements/: SoCacheElement.cpp, SoGLCacheContextElement.cpp:
	
	Thread safe.

2002-07-02 15:51  larsa

	* include/Inventor/C/threads/Makefile.am, src/threads/Makefile.am:
	
	include fifo adt

2002-07-02 15:51  pederb

	* include/Inventor/C/threads/fifop.h, src/threads/fifo.c:
	
	Use atomic lock/unlock when waiting for condvar.

2002-07-02 15:39  larsa

	* include/Inventor/C/threads/fifo.h, src/threads/fifo.c:
	
	typo fix

2002-07-02 14:04  pederb

	* include/Inventor/misc/SoTempPath.h, src/actions/SoAction.cpp,
	src/misc/SoTempPath.cpp:
	
	Optimized traversal by introducing two new methods in SoTempPath.

2002-07-02 11:15  pederb

	* include/Inventor/actions/SoAction.h, src/actions/SoAction.cpp:
	
	Pimpl.

2002-07-02 11:13  pederb

	* RELNOTES, include/Inventor/fields/SoField.h,
	src/fields/SoField.cpp:
	
	Removed obsoleted SoVRMLInterpOutput methods.

2002-07-02 11:01  mortene

	* BUGS.txt:
	
	Kill false bug-report about problems with
	SoComplexity::textureQuality. It was a bug in my application code.

2002-07-02 09:51  mortene

	* src/nodes/SoComplexity.cpp:
	
	Improve doc for SoComplexity::textureQuality.

2002-07-02 09:38  mortene

	* src/tidbits.c:
	
	Fixes gruesome boundary condition bug in our vsnprintf() wrapper.

2002-07-01 18:52  larsa

	* include/Inventor/C/threads/common.h:
	
	cc_fifo typedef

2002-07-01 18:50  larsa

	* src/threads/fifo.c, include/Inventor/C/threads/fifo.h,
	include/Inventor/C/threads/fifop.h:
	
	fifo adt

2002-07-01 17:41  larsa

	* AUTHORS, THANKS:
	
	Tor-Helge Skei

2002-07-01 17:09  mortene

	* src/fields/SoMField.cpp:
	
	Corrected doc on setNum(). Thanks to Torbjorn Vik for the heads-up.

2002-07-01 17:01  pederb

	* src/sensors/SoSensorManager.cpp:
	
	Thread safety.

2002-07-01 17:00  mortene

	* BUGS.txt:
	
	SoComplexity::textureQuality == 0 doesn't turn off textures any
	more\?

2002-07-01 16:55  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Multihread fix. We shouldn't unref() from the reader thread since a
	lot of bad things can happen if we do.

2002-07-01 14:30  pederb

	* include/Inventor/VRMLnodes/SoVRMLImageTexture.h,
	src/vrml97/ImageTexture.cpp:
	
	Use the new multithread scheduler to read texture images.

2002-07-01 11:40  pederb

	* src/threads/sched.c:
	
	sched_wait_all() bugfix. The worker threads never sent a signal
	when a job was finished, causing the main thread to wait forever.

2002-07-01 11:06  mortene

	* src/elements/SoGLTextureImageElement.cpp:
	
	A couple of FIXMEs about how we check for legal texture sizes.

2002-07-01 11:06  mortene

	* src/nodes/SoSeparator.cpp:
	
	Don't do rendercaching if getNumRenderCaches() == 0.
	
	Really randomize rendercaching flags when
	COIN_RANDOMIZE_RENDER_CACHING is used for debugging.

2002-06-30 23:17  mortene

	* src/fields/: SoMFEnum.cpp, SoSFBitMask.cpp, SoSFEnum.cpp:
	
	Should never assert when reading fields, so fix error handling.

2002-06-28 15:58  pederb

	* src/threads/sched.c:
	
	Scheduling bugfix.

2002-06-28 15:30  pederb

	* src/threads/wpool.c:
	
	Compile fix.

2002-06-28 15:26  pederb

	* include/Inventor/C/threads/Makefile.am,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/sched.h,
	include/Inventor/C/threads/schedp.h, src/threads/Makefile.am,
	src/threads/sched.c:
	
	Multithread scheduler.

2002-06-28 14:26  pederb

	* include/Inventor/C/threads/wpool.h, src/threads/wpool.c:
	
	Added cc_wpool_try_begin().

2002-06-28 14:12  pederb

	* src/nodes/SoShape.cpp:
	
	Move INVISIBLE test to the beginning of shouldGLRender().

2002-06-28 13:19  pederb

	* src/nodes/SoShape.cpp:
	
	Optimize rendering by removing some unnecessary calls.

2002-06-28 10:46  pederb

	* src/base/Makefile.am, src/base/list.c,
	include/Inventor/C/base/Makefile.am,
	include/Inventor/C/base/list.h:
	
	Build and install cc_list.

2002-06-27 18:00  pederb

	* src/threads/: worker.c, wpool.c:
	
	IRIX CC compile fix.

2002-06-27 17:58  pederb

	* src/threads/wpool.c:
	
	Some documentation.

2002-06-27 17:47  pederb

	* include/Inventor/C/threads/Makefile.am,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/worker.h,
	include/Inventor/C/threads/workerp.h,
	include/Inventor/C/threads/wpool.h,
	include/Inventor/C/threads/wpoolp.h, src/threads/Makefile.am,
	src/threads/wpool.c:
	
	A multithread worker pool object.

2002-06-27 16:29  pederb

	* include/Inventor/C/threads/Makefile.am,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/worker.h,
	include/Inventor/C/threads/workerp.h, src/threads/Makefile.am,
	src/threads/worker.c:
	
	Multithread worker.

2002-06-27 13:59  pederb

	* src/projectors/SbCylinderPlaneProjector.cpp:
	
	Fixed bug which caused the rotation to be flipped when dragged from
	the cylinder onto the plane.

2002-06-27 12:18  pederb

	* src/nodes/SoIndexedFaceSet.cpp:
	
	Fixed a bug in generatePrimitives() (introduced 2002-06-12). The
	last triangle was not generated.

2002-06-26 18:16  pederb

	* include/Inventor/VRMLnodes/SoVRMLFontStyle.h,
	include/Inventor/VRMLnodes/SoVRMLNormal.h,
	src/vrml97/FontStyle.cpp, src/vrml97/Normal.cpp:
	
	Fixed pick() function signature.

2002-06-26 18:10  pederb

	* src/vrml97/Shape.cpp:
	
	optimized bbox rendering.

2002-06-26 17:51  pederb

	* include/Inventor/C/threads/barrierp.h,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/condvar.h,
	include/Inventor/C/threads/condvarp.h,
	include/Inventor/C/threads/mutexp.h,
	include/Inventor/C/threads/rwmutexp.h,
	include/Inventor/C/threads/storagep.h,
	include/Inventor/C/threads/threadp.h,
	include/Inventor/threads/SbCondVar.h,
	include/Inventor/threads/SbMutex.h, src/threads/condvar.c,
	src/threads/condvar_pthread.ic, src/threads/condvar_win32.ic,
	src/threads/mutex.c, src/threads/mutex_pthread.ic,
	src/threads/mutex_win32cs.ic, src/threads/mutex_win32mutex.ic,
	src/threads/rwmutex.c, src/threads/storage.c, src/threads/thread.c,
	src/threads/thread_pthread.ic, src/threads/thread_win32.ic:
	
	Misc. code cleanup. Fixed rwmutex race condition bug.

2002-06-26 16:27  pederb

	* configure.ac:
	
	Don't include threads module by default.

2002-06-26 16:24  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Fix to compile without threads module.

2002-06-26 10:54  mortene

	* src/: actions/SoGetMatrixAction.cpp,
	misc/SoOffscreenRenderer.cpp, nodes/SoShapeHints.cpp:
	
	Improvements to API doc.

2002-06-26 10:53  mortene

	* HACKING:
	
	Describe the Cheshire Cat pattern and this-> and ClassName:: prefix
	rules.

2002-06-26 10:23  mortene

	* BUGS.txt:
	
	Buglet, should try to handle faulty material values.

2002-06-26 10:22  mortene

	* src/nodekits/SoAppearanceKit.cpp:
	
	Tiny code layout fix.

2002-06-26 10:20  mortene

	* src/elements/SoGLDisplayList.cpp:
	
	Better error detection and reporting when allocating GL
	displaylists.

2002-06-25 13:24  pederb

	* include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoGLCacheList.h,
	include/Inventor/caches/SoGLRenderCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	src/caches/SoBoundingBoxCache.cpp, src/caches/SoCache.cpp,
	src/caches/SoConvexDataCache.cpp, src/caches/SoGLCacheList.cpp,
	src/caches/SoGLRenderCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp:
	
	New pimpls.

2002-06-25 09:51  pederb

	* src/base/SbMatrix.cpp:
	
	Optimized all SbMatrix::setTransform() methods. This will increase
	scene graph traversal speed, especially on VRML2 models with lots
	of Transform nodes.

2002-06-24 22:42  pederb

	* src/vrml97/: Billboard.cpp, Group.cpp, LOD.cpp, Parent.cpp,
	Transform.cpp:
	
	Improved GL debugging.

2002-06-24 22:41  pederb

	* src/vrml97/SpotLight.cpp:
	
	Clamp cutOffAngle to valid range before sending to OpenGL.

2002-06-24 22:39  pederb

	* src/nodes/SoGroup.cpp:
	
	Improved GL debugging for nodes under a Group node.

2002-06-24 22:16  pederb

	* src/vrml97/Extrusion.cpp:
	
	Fix for Extrusion vertex ordering.

2002-06-24 22:07  pederb

	* src/vrml97/: Cone.cpp, Cylinder.cpp, Sphere.cpp:
	
	Enable back face culling for these vrml97 shapes.

2002-06-24 15:48  pederb

	* BUGS.txt:
	
	A couple of fixed bugs removed.

2002-06-24 15:47  pederb

	* src/draggers/SoDragger.cpp:
	
	Bugfix. Use SoFullPath, not SoTempPath to store path in cache.

2002-06-24 12:02  pederb

	* src/base/SbDPViewVolume.cpp:
	
	Commit missing file for the asymmetrical view volume fix.

2002-06-24 11:47  pederb

	* include/Inventor/SbDPViewVolume.h:
	
	Handle asymmetrical view volumes. Bug reported by James Hargrave.

2002-06-24 11:38  pederb

	* src/nodes/SoIndexedShape.cpp:
	
	Fixed recently introduced bounding box calculation bug (an empty
	Coordinate3 or Coordinate4 node caused an assert failure).

2002-06-23 23:27  mortene

	* BUGS.txt:
	
	Adds 3 known bugs related to draggers: 2 new ones, which looks like
	really nasty, recent regressions. Plus an old chestnut: the SHIFT-
	constraint bug with the SoTranslate2Dragger.

2002-06-23 22:48  mortene

	* src/nodes/SoIndexedShape.cpp:
	
	Be robust and report with an elaborate and helpful error message on
	index-out-of-bounds problems when computing indexedshape bounding
	boxes.

2002-06-23 22:46  mortene

	* src/: manips/SoClipPlaneManip.cpp, nodekits/SoBaseKit.cpp,
	draggers/SoJackDragger.cpp:
	
	Doxygen doc additions.

2002-06-19 16:31  pederb

	* src/base/SbBSPTree.cpp:
	
	Fixed floating point precision problem. Bug reported by kintel.

2002-06-19 15:17  pederb

	* src/: actions/SoGLRenderAction.cpp, elements/SoCullElement.cpp:
	
	Fix SoGLRenderCache dependency problems.

2002-06-18 16:58  mortene

	* docs/todo.txt:
	
	Add an item on the detection of multiple Coin instances in memory.

2002-06-18 16:43  pederb

	* src/nodes/SoNode.cpp:
	
	Proto instance export fixes.

2002-06-18 15:33  pederb

	* include/Inventor/misc/SoProtoInstance.h,
	src/fields/SoFieldContainer.cpp, src/misc/SoProtoInstance.cpp,
	src/nodes/SoNode.cpp:
	
	Renamed SoProtoInstance::getPROTODefinition() to
	getProtoDefinition(). Fixed a proto instance copy bug.

2002-06-18 13:37  mortene

	* docs/todo.txt:
	
	URL to info on correct transparency rendering on Nvidia boxen.

2002-06-17 17:06  pederb

	* src/: fields/SoFieldContainer.cpp, misc/SoProto.cpp,
	nodes/SoNode.cpp:
	
	Add proper support for ProtoInstance copying.

2002-06-17 15:20  mortene

	* HACKING:
	
	Update build instructions. Update description of rendercache
	debugging help. Be kinder to those who leaves code comments in
	production code. Explain in detail why TABs in sourcecode is bad
	style. Add naming convention for C functions.

2002-06-17 14:46  mortene

	* docs/: api-wish-list.txt, foreign-language-bindings.txt,
	todo.txt:
	
	Various updates.

2002-06-16 12:02  pederb

	* src/vrml97/ImageTexture.cpp:
	
	Handle empty filename field.

2002-06-16 12:02  pederb

	* src/misc/SoInput.cpp:
	
	Improved VRML1/VRML2 detection.

2002-06-14 16:42  pederb

	* src/vrml97/TODO:
	
	Update

2002-06-14 16:37  pederb

	* src/vrml97/ProximitySensor.cpp:
	
	Really fixed orientation_changed eventOut.

2002-06-14 16:36  pederb

	* src/vrml97/ProximitySensor.cpp:
	
	Fixed orientation_changed eventOut.

2002-06-14 16:22  pederb

	* include/Inventor/VRMLnodes/SoVRMLProximitySensor.h,
	src/vrml97/ProximitySensor.cpp:
	
	Implementation.

2002-06-14 12:11  pederb

	* include/Inventor/VRMLnodes/SoVRMLAnchor.h,
	include/Inventor/VRMLnodes/SoVRMLBillboard.h,
	include/Inventor/VRMLnodes/SoVRMLLOD.h,
	include/Inventor/VRMLnodes/SoVRMLParent.h, src/vrml97/Anchor.cpp,
	src/vrml97/Billboard.cpp, src/vrml97/Group.cpp, src/vrml97/LOD.cpp,
	src/vrml97/Parent.cpp, src/vrml97/Switch.cpp:
	
	Write children-field last for all group nodes.

2002-06-14 12:02  pederb

	* src/fields/SoField.cpp:
	
	Detect and avoid multiple connections between the same
	fields/engine outputs.

2002-06-13 17:30  pederb

	* include/Inventor/VRMLnodes/SoVRMLCollision.h,
	src/vrml97/Anchor.cpp, src/vrml97/Billboard.cpp,
	src/vrml97/Collision.cpp, src/vrml97/Group.cpp,
	src/vrml97/Parent.cpp:
	
	Misc. fixes for children field.

2002-06-13 16:34  pederb

	* src/vrml97/: Anchor.cpp, Billboard.cpp, Group.cpp, Parent.cpp:
	
	Write children-field last.

2002-06-13 16:33  pederb

	* src/misc/SoOutput.cpp:
	
	Implemented SoOutput::setPrecision().

2002-06-13 15:44  larsa

	* templates/cc_box_header.tpl:
	
	tweaks

2002-06-13 15:31  larsa

	* templates/: SbPlane-Header.tpl, cc_plane_header.tpl,
	cc_plane_source.tpl:
	
	templatized, C-ified SbPlane ADT

2002-06-13 14:50  pederb

	* include/Inventor/VRMLnodes/SoVRMLTimeSensor.h,
	src/vrml97/TimeSensor.cpp:
	
	Disconnect realTime before writing.

2002-06-13 14:48  pederb

	* src/vrml97/Script.cpp:
	
	Fixed node export.

2002-06-13 14:10  pederb

	* include/Inventor/SoOutput.h, src/actions/SoWriteAction.cpp,
	src/fields/SoField.cpp, src/misc/SoOutput.cpp,
	src/misc/SoProto.cpp:
	
	Miscellaneous fixes to handle multiple field connections when
	writing a VRML2 file.

2002-06-12 17:47  pederb

	* include/Inventor/SoOutput.h, src/actions/SoWriteAction.cpp,
	src/fields/SoField.cpp, src/misc/SoOutput.cpp,
	src/misc/SoProto.cpp:
	
	First version of VRML2 ROUTE export.

2002-06-12 17:40  pederb

	* src/vrml97/Group.cpp:
	
	Never write caching fields.

2002-06-12 17:40  pederb

	* include/Inventor/VRMLnodes/SoVRMLShape.h, src/vrml97/Shape.cpp:
	
	Export fix.

2002-06-12 15:43  pederb

	* src/vrml97/Shape.cpp:
	
	Do view frustum culling when Shape has a valid bbox cache.

2002-06-12 15:43  pederb

	* src/nodes/SoShape.cpp:
	
	Do view frustum culling when shape has a valid bbox cache.

2002-06-12 15:31  larsa

	* templates/: SbLine-Header.tpl, cc_line_header.tpl,
	cc_line_source.tpl:
	
	SbLine ADT

2002-06-12 14:53  pederb

	* src/: caches/SoNormalCache.cpp, misc/SoGLFaceSetTemplate.icc:
	
	Fixed some recently introduced bugs.

2002-06-12 14:40  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Added FIXME regarding use of computeBBox().

2002-06-12 14:32  pederb

	* src/: caches/SoNormalCache.cpp, misc/SoGLFaceSetTemplate.icc,
	nodes/SoIndexedFaceSet.cpp:
	
	Miscellaneous fixes to handle polygons with fewer than three
	vertices (Barcelona.iv).

2002-06-12 14:08  larsa

	* templates/: SbBox-Header.tpl, cc_box_header.tpl,
	cc_box_source.tpl:
	
	the SbBox ADT

2002-06-12 14:07  larsa

	* templates/: SbVector-Header.tpl, cc_vector_header.tpl,
	cc_vector_source.tpl:
	
	the SbVector adt

2002-06-12 13:59  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	Reverse to old transparency bbox sorting, since the new version was
	buggy.

2002-06-12 11:52  mortene

	* bin/coin-config:
	
	Make compile and link work with sourcecode files not in the current
	directory.

2002-06-12 11:50  pederb

	* src/nodes/SoShape.cpp:
	
	Optimize ray picking by first testing ray/bbox intersection if we
	have a valid bbox cache.

2002-06-12 11:26  pederb

	* src/vrml97/Inline.cpp:
	
	Fix when not readAsSoFile.

2002-06-11 22:51  mortene

	* src/: base/SbBox3f.cpp, base/SbVec3f.cpp, base/SbViewVolume.cpp,
	draggers/SoTranslate1Dragger.cpp, misc/SoSceneManager.cpp,
	misc/SoType.cpp, misc/simage_wrapper.c, nodes/SoTexture2.cpp:
	
	Doc improvements, FIXMEs, codestyle fixes and additional debugging
	code.

2002-06-11 22:47  mortene

	* src/nodes/: SoCamera.cpp, SoPerspectiveCamera.cpp:
	
	Better handling of empty bboxes in viewAll().

2002-06-11 15:29  larsa

	* templates/: SbBox-Doxygen.tpl, SbLine-Doxygen.tpl,
	SbMatrix-Doxygen.tpl, SbPlane-Doxygen.tpl, SbRotation-Doxygen.tpl,
	SbVector-Doxygen.tpl:
	
	misc fixes

2002-06-11 15:28  larsa

	* templates/Makefile, include/Inventor/templates.make,
	include/Inventor/C/base/templates.make, src/base/templates.make:
	
	updated build rules

2002-06-11 14:17  larsa

	* docs/coin.doxygen.in:
	
	ignore cc_ prefix too

2002-06-11 14:14  pederb

	* docs/coin.doxygen.in:
	
	Removed some files that shouldn't be parsed for documentation.

2002-06-11 13:59  pederb

	* docs/coin.doxygen.in:
	
	Generate vrml97 documentation.

2002-06-11 13:57  pederb

	* src/vrml97/: FontStyle.cpp, Shape.cpp, Switch.cpp, Text.cpp,
	TextureCoordinate.cpp, TextureTransform.cpp, TimeSensor.cpp,
	TouchSensor.cpp, Transform.cpp, Viewpoint.cpp,
	VisibilitySensor.cpp, WorldInfo.cpp:
	
	Documentation.

2002-06-11 13:51  pederb

	* src/draggers/SoScale1Dragger.cpp:
	
	Fixed negative axis handling bug.

2002-06-11 13:39  larsa

	* include/Inventor/C/base/string.h, src/base/string.c:
	
	remove the cc_string_get_substring() function again

2002-06-11 13:02  mortene

	* src/: events/SoKeyboardEvent.cpp, lists/SoAuditorList.cpp,
	misc/SoDB.cpp, misc/SoOutput.cpp, misc/SoType.cpp,
	nodes/SoText2.cpp:
	
	Misc compile fixes for 64-bit IRIX SGI MIPSPro CC. Thanks to Colin
	Dunlop.

2002-06-11 12:58  larsa

	* src/base/string.c:
	
	initial doxygen blocks

2002-06-11 12:52  larsa

	* src/base/string.c:
	
	and the implementation for cc_string_get_substring()

2002-06-11 12:51  larsa

	* include/Inventor/C/base/string.h:
	
	missing prototype for cc_string_get_substring()

2002-06-11 12:36  larsa

	* templates/: SbBox-Doxygen.tpl, SbLine-Doxygen.tpl,
	SbMatrix-Doxygen.tpl, SbPlane-Doxygen.tpl, SbRotation-Doxygen.tpl,
	SbVector-Doxygen.tpl:
	
	C++ class doxygen documentation templates

2002-06-11 12:35  larsa

	* templates/: SbVec-Header.tpl, cc_vec_header.tpl,
	cc_vec_source.tpl:
	
	old filenames

2002-06-11 10:36  pederb

	* src/vrml97/Extrusion.cpp:
	
	Texture coordinates bugfix.

2002-06-11 10:22  pederb

	* src/vrml97/VertexShape.cpp:
	
	Bugfix. Triangle callbacks were never called for classes inheriting
	this node. Bug reported by kintel.

2002-06-10 17:51  pederb

	* src/actions/SoGLRenderAction.cpp:
	
	When calculating bboxes for transparency sorting, apply an action
	on the node instead of using node->computeBBox().

2002-06-10 17:29  larsa

	* scripts/templant:
	
	new CASE/ESAC directive, DEFINE/UNDEF fix, and some cosmetics

2002-06-10 17:14  larsa

	* include/Inventor/fields/: SoSFVec2s.h, SoSFVec3s.h:
	
	new field headers

2002-06-10 17:13  larsa

	* include/Inventor/fields/SoSFLong.h:
	
	warn on usage even in non-strict mode

2002-06-10 17:11  larsa

	* src/fields/: Makefile.am, SoSFVec2s.cpp, SoSFVec3s.cpp, all.cpp:
	
	additional fields SoSFVec2sa and SoSFVec3s

2002-06-10 17:09  larsa

	* src/errors/: Makefile.am, all-cpp.cpp, all.cpp:
	
	move all.cpp to all-cpp.cpp

2002-06-10 15:47  pederb

	* src/vrml97/: NavigationInfo.cpp, Normal.cpp,
	NormalInterpolator.cpp, OrientationInterpolator.cpp,
	PixelTexture.cpp, PlaneSensor.cpp, PointLight.cpp, PointSet.cpp,
	PositionInterpolator.cpp, ProximitySensor.cpp,
	ScalarInterpolator.cpp, Script.cpp, Shape.cpp, Sound.cpp,
	Sphere.cpp, SphereSensor.cpp, SpotLight.cpp, Switch.cpp:
	
	Documentation.

2002-06-10 15:22  larsa

	* src/base/: Makefile.am, all-cpp.cpp, all.cpp:
	
	move all.cpp to all-cpp.cpp

2002-06-10 14:30  pederb

	* src/vrml97/: Appearance.cpp, AudioClip.cpp, Background.cpp,
	Billboard.cpp, Box.cpp, Collision.cpp, Color.cpp,
	ColorInterpolator.cpp, Cone.cpp, Coordinate.cpp,
	CoordinateInterpolator.cpp, Cylinder.cpp, CylinderSensor.cpp,
	DirectionalLight.cpp, ElevationGrid.cpp, Extrusion.cpp, Fog.cpp,
	Group.cpp, ImageTexture.cpp, IndexedFaceSet.cpp,
	IndexedLineSet.cpp, LOD.cpp, Material.cpp, MovieTexture.cpp,
	NavigationInfo.cpp, Shape.cpp, TODO, Transform.cpp:
	
	Misc. documentation.

2002-06-10 14:19  pederb

	* src/vrml97/Inline.cpp:
	
	Handle empty bbox specification.

2002-06-10 12:20  pederb

	* src/vrml97/FontStyle.cpp:
	
	Doc.

2002-06-10 12:19  pederb

	* src/vrml97/Extrusion.cpp:
	
	Simplified code.

2002-06-10 11:42  pederb

	* src/vrml97/Shape.cpp:
	
	Implemented rayPick culling.

2002-06-10 11:34  pederb

	* include/Inventor/VRMLnodes/SoVRMLGroup.h,
	include/Inventor/VRMLnodes/SoVRMLTransform.h, src/vrml97/Group.cpp,
	src/vrml97/Transform.cpp:
	
	Caching and culling for VRML group nodes.

2002-06-10 10:42  pederb

	* src/base/rbptree.c:
	
	Fixed potential bug in cc_rbptree_clean().

2002-06-07 19:31  pederb

	* include/Inventor/nodes/SoShape.h, src/nodes/SoShape.cpp:
	
	First version of Shape bounding box caching. Original code by
	mortene, rewrite by pederb. This version will always cache the
	bounding box for nodes inheriting SoVertexShape.

2002-06-07 19:27  pederb

	* src/caches/SoCache.cpp:
	
	Cache debugging stuff.

2002-06-07 19:27  pederb

	* include/Inventor/nodes/SoSeparator.h, src/nodes/SoSeparator.cpp:
	
	Moved private data members into a pimpl-class.

2002-06-07 19:19  pederb

	* src/nodes/SoIndexedShape.cpp:
	
	Delay fetching SoCoordinateElement to avoid cache dependencies on
	this element when a VertexProperty node is used.

2002-06-07 13:02  mortene

	* src/misc/SoOutput.cpp:
	
	Minor Doxygen fix.

2002-06-07 12:34  pederb

	* src/vrml97/TouchSensor.cpp:
	
	TouchSensor::isOver bugfix.

2002-06-06 17:23  pederb

	* include/Inventor/misc/SoBase.h, src/misc/SoBase.cpp:
	
	Optimized auditor handling by using a Red-Black tree instead of a
	growable array to store auditors.

2002-06-06 17:20  pederb

	* src/base/rbptree.c:
	
	Doc update

2002-06-06 16:54  pederb

	* src/base/rbptree.c:
	
	Removed some unused variables.

2002-06-06 16:53  pederb

	* include/Inventor/C/base/rbptree.h, src/base/rbptree.c:
	
	Optimize by storing the first two items inline.

2002-06-06 12:52  larsa

	* FAQ:
	
	update on VRML97 status

2002-06-06 11:47  mortene

	* bin/coin-config:
	
	Better error message on missing default config.

2002-06-06 11:38  pederb

	* include/Inventor/C/base/Makefile.am,
	include/Inventor/C/base/rbptree.h, src/base/Makefile.am,
	src/base/rbptree.c:
	
	A Red-Black tree implementation.

2002-06-05 14:28  mortene

	* src/vrml97/Anchor.cpp:
	
	Use alias instead of full text for Web3D Consortium copyright.

2002-06-05 14:28  mortene

	* docs/coin.doxygen.in:
	
	Update format for Doxygen version 1.2.15.

2002-06-05 14:14  mortene

	* docs/todo.txt:
	
	Note about ABI-breakage.

2002-06-05 13:25  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Fix doc-typo.

2002-06-05 11:47  mortene

	* docs/todo.txt:
	
	New item: many of the non-member operator-overloading methods can
	be rewritten as class-member methods.

2002-06-05 11:27  mortene

	* html/Makefile.am:
	
	Update Doxygen html installation set-up.

2002-06-05 11:15  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Fix typo which destroyed Doxygen doc layout.

2002-06-05 10:57  mortene

	* include/Inventor/nodes/SoIndexedShape.h:
	
	Remove unused variables.

2002-06-05 10:55  mortene

	* src/: actions/SoGetBoundingBoxAction.cpp,
	actions/SoRayPickAction.cpp, lists/SoBaseList.cpp,
	misc/SoChildList.cpp, misc/SoDB.cpp, misc/SoOffscreenRenderer.cpp,
	nodekits/SoInteractionKit.cpp, nodekits/SoSeparatorKit.cpp,
	nodes/SoMaterial.cpp:
	
	Doxygen doc improvements.

2002-06-05 10:55  mortene

	* include/Inventor/nodekits/SoSeparatorKit.h:
	
	Kills a bogus FIXME.

2002-06-05 10:52  mortene

	* src/misc/SoOffscreenGLXData.icc:
	
	FIXME about missing destination alpha functionality under GLX.

2002-06-04 16:14  mortene

	* src/base/SbImage.cpp:
	
	Fix regression: don't assert on missing files.

2002-06-04 16:10  mortene

	* docs/coin.doxygen.in:
	
	Hide undocumented helper classes.

2002-06-04 16:08  mortene

	* src/misc/: GLUWrapper.c, GLWrapper.cpp, simage_wrapper.c:
	
	Simplify macro definition by using SO__QUOTE().

2002-06-04 16:02  pederb

	* src/vrml97/: Background.cpp, Billboard.cpp, Box.cpp,
	Collision.cpp, Color.cpp, ColorInterpolator.cpp, Cone.cpp,
	Coordinate.cpp, CoordinateInterpolator.cpp, Cylinder.cpp,
	CylinderSensor.cpp, DirectionalLight.cpp, ElevationGrid.cpp,
	Extrusion.cpp, Fog.cpp, FontStyle.cpp, Group.cpp, ImageTexture.cpp,
	IndexedFaceSet.cpp:
	
	More documentation from www.web3d.org.

2002-06-04 15:19  mortene

	* models/bugs/README:
	
	Bugs cases should be listed within Coin/BUGS.txt, so obsolete this
	directory.

2002-06-04 15:18  mortene

	* models/bugs/20000108-texturemapping.iv:
	
	This wasn't a bug, it was just the texture image data that was
	specified erroneously.

2002-06-04 15:14  mortene

	* BUGS.txt, models/bugs/20011205-multiplecopy-bbox.iv:
	
	Moves bug report into BUGS.txt.

2002-06-04 14:17  pederb

	* src/vrml97/TODO:
	
	New item

2002-06-04 11:55  pederb

	* include/Inventor/VRMLnodes/SoVRMLAppearance.h:
	
	Moved some members from protected to the private.

2002-06-04 11:48  pederb

	* configure.ac, src/misc/SoDB.cpp, src/vrml97/TODO:
	
	VRML97 build/init fixes.

2002-06-03 18:15  mortene

	* README.IRIX:
	
	Shellology.

2002-06-03 17:15  pederb

	* src/vrml97/: Anchor.cpp, Appearance.cpp, AudioClip.cpp,
	Background.cpp:
	
	Documentation.

2002-06-03 14:59  mortene

	* src/misc/SoBase.cpp:
	
	Obsoletes the un-documented, in-sensible flushInput() invocation
	from readBase().

2002-06-03 14:58  mortene

	* src/: actions/SoAction.cpp, misc/SoInput.cpp, nodes/SoNode.cpp:
	
	Improve Doxygen doc.

2002-06-03 14:16  mortene

	* configure.ac:
	
	Update to match semantic changes in SIM_AC_CHECK_OPENGL().

2002-06-03 12:29  mortene

	* src/misc/GLUWrapper.c:
	
	Convert the C++-style comment.

2002-06-03 12:09  mortene

	* src/tidbits.h:
	
	Moves #includes outside extern C scope.

2002-06-03 11:28  pederb

	* configure.ac:
	
	Pthread configuration fix by larsa. Bootstrap, which also fixed the
	vrml97 install directory.

2002-06-03 11:12  mortene

	* src/misc/: SoOffscreenRenderer.cpp, SoOffscreenWGLData.icc:
	
	Bugfixes: code should build even though no window-binding is
	available, getMaximumResolution() was fubar.

2002-06-03 11:06  pederb

	* src/nodes/: SoTextureCoordinate2.cpp, SoTextureCoordinate3.cpp:
	
	Doc fixes.

2002-06-03 11:03  mortene

	* configure.ac:
	
	Warn if neither GLX, nor WGL nor AGL seems to be available.

2002-06-03 10:55  pederb

	* src/nodes/: SoImage.cpp, SoMarkerSet.cpp, SoPolygonOffset.cpp,
	SoTexture3.cpp, SoTextureCoordinate3.cpp:
	
	File format compatibility fixes.

2002-06-03 10:54  mortene

	* src/base/SbImage.cpp:
	
	Compile fix for release builds. Problem reported by Sven-K
	Evenseth.

2002-06-03 10:36  pederb

	* include/Inventor/nodes/SoSubNodeP.h:
	
	Add some new file format enums to handle Coin2 and Inventor 2.6.

2002-06-03 10:35  pederb

	* include/Inventor/nodes/SoNode.h:
	
	Add enum for the Inventor V2.6 file format.

2002-05-31 15:46  larsa

	* src/Makefile.am:
	
	uninstall VRML97 header dir

2002-05-31 15:45  larsa

	* src/: Make-Common.tpl, vrml97/Makefile.am:
	
	install VRML97 headers correctly

2002-05-31 15:30  larsa

	* bootstrap, configure.ac.patch:
	
	remove vrml97-patch hack

2002-05-31 14:40  pederb

	* configure.ac, configure.ac.patch,
	include/Inventor/VRMLnodes/SoVRML.h,
	include/Inventor/VRMLnodes/SoVRMLAnchor.h,
	include/Inventor/VRMLnodes/SoVRMLAppearance.h,
	include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	include/Inventor/VRMLnodes/SoVRMLBackground.h,
	include/Inventor/VRMLnodes/SoVRMLBillboard.h,
	include/Inventor/VRMLnodes/SoVRMLBox.h,
	include/Inventor/VRMLnodes/SoVRMLCollision.h,
	include/Inventor/VRMLnodes/SoVRMLColor.h,
	include/Inventor/VRMLnodes/SoVRMLColorInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLCone.h,
	include/Inventor/VRMLnodes/SoVRMLCoordinate.h,
	include/Inventor/VRMLnodes/SoVRMLCoordinateInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLCylinder.h,
	include/Inventor/VRMLnodes/SoVRMLCylinderSensor.h,
	include/Inventor/VRMLnodes/SoVRMLDirectionalLight.h,
	include/Inventor/VRMLnodes/SoVRMLDragSensor.h,
	include/Inventor/VRMLnodes/SoVRMLElevationGrid.h,
	include/Inventor/VRMLnodes/SoVRMLExtrusion.h,
	include/Inventor/VRMLnodes/SoVRMLFog.h,
	include/Inventor/VRMLnodes/SoVRMLFontStyle.h,
	include/Inventor/VRMLnodes/SoVRMLGeometry.h,
	include/Inventor/VRMLnodes/SoVRMLGroup.h,
	include/Inventor/VRMLnodes/SoVRMLImageTexture.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLine.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedShape.h,
	include/Inventor/VRMLnodes/SoVRMLInline.h,
	include/Inventor/VRMLnodes/SoVRMLInterpOutput.h,
	include/Inventor/VRMLnodes/SoVRMLInterpOutputData.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLLOD.h,
	include/Inventor/VRMLnodes/SoVRMLLight.h,
	include/Inventor/VRMLnodes/SoVRMLMacros.h,
	include/Inventor/VRMLnodes/SoVRMLMaterial.h,
	include/Inventor/VRMLnodes/SoVRMLMovieTexture.h,
	include/Inventor/VRMLnodes/SoVRMLNavigationInfo.h,
	include/Inventor/VRMLnodes/SoVRMLNodes.h,
	include/Inventor/VRMLnodes/SoVRMLNormal.h,
	include/Inventor/VRMLnodes/SoVRMLNormalInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLOrientationInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLOutputData.h,
	include/Inventor/VRMLnodes/SoVRMLParent.h,
	include/Inventor/VRMLnodes/SoVRMLPixelTexture.h,
	include/Inventor/VRMLnodes/SoVRMLPlaneSensor.h,
	include/Inventor/VRMLnodes/SoVRMLPointLight.h,
	include/Inventor/VRMLnodes/SoVRMLPointSet.h,
	include/Inventor/VRMLnodes/SoVRMLPositionInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLProximitySensor.h,
	include/Inventor/VRMLnodes/SoVRMLScalarInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLScript.h,
	include/Inventor/VRMLnodes/SoVRMLSensor.h,
	include/Inventor/VRMLnodes/SoVRMLShape.h,
	include/Inventor/VRMLnodes/SoVRMLSound.h,
	include/Inventor/VRMLnodes/SoVRMLSphere.h,
	include/Inventor/VRMLnodes/SoVRMLSphereSensor.h,
	include/Inventor/VRMLnodes/SoVRMLSpotLight.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolator.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolatorP.h,
	include/Inventor/VRMLnodes/SoVRMLSwitch.h,
	include/Inventor/VRMLnodes/SoVRMLText.h,
	include/Inventor/VRMLnodes/SoVRMLTexture.h,
	include/Inventor/VRMLnodes/SoVRMLTextureCoordinate.h,
	include/Inventor/VRMLnodes/SoVRMLTextureTransform.h,
	include/Inventor/VRMLnodes/SoVRMLTimeSensor.h,
	include/Inventor/VRMLnodes/SoVRMLTouchSensor.h,
	include/Inventor/VRMLnodes/SoVRMLTransform.h,
	include/Inventor/VRMLnodes/SoVRMLVertexLine.h,
	include/Inventor/VRMLnodes/SoVRMLVertexPoint.h,
	include/Inventor/VRMLnodes/SoVRMLVertexShape.h,
	include/Inventor/VRMLnodes/SoVRMLViewpoint.h,
	include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	include/Inventor/VRMLnodes/SoVRMLWorldInfo.h, src/Makefile.am,
	src/vrml97/Anchor.cpp, src/vrml97/Appearance.cpp,
	src/vrml97/AudioClip.cpp, src/vrml97/Background.cpp,
	src/vrml97/Billboard.cpp, src/vrml97/Box.cpp,
	src/vrml97/Collision.cpp, src/vrml97/Color.cpp,
	src/vrml97/ColorInterpolator.cpp, src/vrml97/Cone.cpp,
	src/vrml97/Coordinate.cpp, src/vrml97/CoordinateInterpolator.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/CylinderSensor.cpp,
	src/vrml97/DirectionalLight.cpp, src/vrml97/DragSensor.cpp,
	src/vrml97/ElevationGrid.cpp, src/vrml97/Extrusion.cpp,
	src/vrml97/Fog.cpp, src/vrml97/FontStyle.cpp,
	src/vrml97/Geometry.cpp, src/vrml97/Group.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/IndexedLine.cpp, src/vrml97/IndexedLineSet.cpp,
	src/vrml97/IndexedShape.cpp, src/vrml97/Init.cpp,
	src/vrml97/Inline.cpp, src/vrml97/Interpolator.cpp,
	src/vrml97/LOD.cpp, src/vrml97/Light.cpp, src/vrml97/Makefile.am,
	src/vrml97/Material.cpp, src/vrml97/MovieTexture.cpp,
	src/vrml97/NavigationInfo.cpp, src/vrml97/Normal.cpp,
	src/vrml97/NormalInterpolator.cpp,
	src/vrml97/OrientationInterpolator.cpp, src/vrml97/OutputData.cpp,
	src/vrml97/Parent.cpp, src/vrml97/PixelTexture.cpp,
	src/vrml97/PlaneSensor.cpp, src/vrml97/PointLight.cpp,
	src/vrml97/PointSet.cpp, src/vrml97/PositionInterpolator.cpp,
	src/vrml97/ProximitySensor.cpp, src/vrml97/ScalarInterpolator.cpp,
	src/vrml97/Script.cpp, src/vrml97/Sensor.cpp, src/vrml97/Shape.cpp,
	src/vrml97/Sound.cpp, src/vrml97/Sphere.cpp,
	src/vrml97/SphereSensor.cpp, src/vrml97/SpotLight.cpp,
	src/vrml97/SubInterpolator.cpp, src/vrml97/Switch.cpp,
	src/vrml97/TODO, src/vrml97/Text.cpp, src/vrml97/Texture.cpp,
	src/vrml97/TextureCoordinate.cpp, src/vrml97/TextureTransform.cpp,
	src/vrml97/TimeSensor.cpp, src/vrml97/TouchSensor.cpp,
	src/vrml97/Transform.cpp, src/vrml97/VertexLine.cpp,
	src/vrml97/VertexPoint.cpp, src/vrml97/VertexShape.cpp,
	src/vrml97/Viewpoint.cpp, src/vrml97/VisibilitySensor.cpp,
	src/vrml97/WorldInfo.cpp, src/vrml97/all.cpp:
	
	VRML97 support.

2002-05-31 10:07  pederb

	* src/misc/SoOutput.cpp:
	
	Maintain a DEF-names stack to support PROTO name scopes.

2002-05-31 10:06  pederb

	* src/misc/SoBase.cpp:
	
	Unmangle node names for VRML2.

2002-05-30 18:11  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Catch gl-errors on rendering traversal entry.

2002-05-30 18:02  mortene

	* src/misc/SoGL.cpp:
	
	Fix recently introduced crash on missing envvar.

2002-05-30 17:18  mortene

	* include/Inventor/misc/SoGL.h, src/misc/SoGL.cpp:
	
	Compile fixes for SGI MIPSPro CC.

2002-05-30 17:12  mortene

	* include/Inventor/misc/SoGL.h, src/misc/SoGL.cpp,
	src/misc/SoState.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoSeparator.cpp:
	
	Simplify OpenGL error debugging, with environment var
	COIN_GLERROR_DEBUGGING.

2002-05-30 16:10  mortene

	* src/: base/SbImage.cpp, nodes/SoImage.cpp:
	
	Slightly better error reporting when we fail to load an image.

2002-05-30 16:08  mortene

	* src/misc/simage_wrapper.c:
	
	FIXME about get_last_error.

2002-05-30 15:59  mortene

	* include/Inventor/nodes/SoNode.h:
	
	Minor compile fix.

2002-05-30 15:48  mortene

	* include/Inventor/C/base/dict.h, include/Inventor/C/base/list.h,
	include/Inventor/C/base/memalloc.h, include/Inventor/C/base/name.h,
	include/Inventor/C/base/string.h, include/Inventor/C/base/time.h,
	src/tidbits.h, include/Inventor/C/errors/debugerror.h,
	include/Inventor/C/threads/barrier.h,
	include/Inventor/C/threads/common.h,
	include/Inventor/C/threads/condvar.h,
	include/Inventor/C/threads/mutex.h,
	include/Inventor/C/threads/rwmutex.h,
	include/Inventor/C/threads/storage.h,
	include/Inventor/C/threads/thread.h, src/engines/evaluator.c,
	src/engines/evaluator.l, src/engines/evaluator.y,
	src/engines/evaluator_tab.c, src/engines/lex.so_eval.c:
	
	Compile fixes: include basic.h instead of SbBasic.h within C code.

2002-05-30 15:43  mortene

	* Makefile.am, configure.ac, docs/coin.doxygen.in,
	include/Inventor/SbBasic.h.in, include/Inventor/C/Makefile.am,
	include/Inventor/C/basic.h.in:
	
	Factor the C compatible stuff from SbBasic.h into a new basic.h
	header.

2002-05-30 14:34  pederb

	* include/Inventor/misc/SoProto.h, src/misc/SoProto.cpp:
	
	EXTERNPROTO export code.

2002-05-30 12:28  pederb

	* src/misc/SoProtoInstance.cpp:
	
	Initialize the isdefault flag for PROTO instance fields.

2002-05-30 12:27  pederb

	* src/misc/SoProto.cpp:
	
	Avoid extra newline character in the PROTO definition.

2002-05-30 12:03  pederb

	* include/Inventor/misc/SoProto.h,
	include/Inventor/misc/SoProtoInstance.h, src/misc/SoProto.cpp,
	src/misc/SoProtoInstance.cpp:
	
	Support for writing PROTO definitions and instances.

2002-05-30 12:01  pederb

	* src/nodes/SoNode.cpp:
	
	Rewrote PROTO instance support in SoNode::write().

2002-05-30 12:00  pederb

	* src/misc/SoOutput.cpp:
	
	getCurrentProto() bugfix.

2002-05-30 12:00  pederb

	* src/misc/SoBase.cpp:
	
	Small fix to support PROTO instance export.

2002-05-30 11:59  pederb

	* src/fields/SoFieldData.cpp:
	
	Support PROTO IS keyword export.

2002-05-28 21:59  mortene

	* include/Inventor/C/errors/error.h, src/errors/debugerror.c,
	src/errors/error.c:
	
	Misc improvements. Still early implementation phase.

2002-05-28 21:58  mortene

	* configure.ac, include/Inventor/C/Makefile.am,
	include/Inventor/C/errors/Makefile.am:
	
	Install include/Inventor/C/errors/error.h and debugerror.h.
	Bootstrap.

2002-05-28 13:41  pederb

	* BUGS.txt:
	
	Removed fixed bug entry.

2002-05-28 13:36  pederb

	* BUGS.txt, src/nodekits/SoBaseKit.cpp:
	
	Fixed nodekit export bug.

2002-05-28 11:49  mortene

	* BUGS.txt:
	
	Nodekit export bug with non-default fields.

2002-05-28 11:46  mortene

	* src/misc/: SoOffscreenAGLData.icc, SoOffscreenRenderer.cpp:
	
	Store and restore AGL context over render invocation. By Kyrah.

2002-05-28 11:43  mortene

	* src/misc/SoBase.cpp:
	
	Minor update to FIXME note.

2002-05-28 11:42  mortene

	* src/misc/GLWrapper.cpp:
	
	Compile fix for Mac OS X: include AGL.h if present. By Kyrah.

2002-05-28 11:42  mortene

	* src/misc/GLWrapper.h:
	
	Fix signature of glTexImage3DProc(). By kyrah.

2002-05-28 11:39  mortene

	* configure.ac, include/Inventor/system/gl.h:
	
	Check for glext.h.

2002-05-28 11:32  pederb

	* src/misc/Makefile.am:
	
	Bootstrap to install SoProto.h and SoProtoInstance.h.

2002-05-28 11:27  pederb

	* include/Inventor/misc/SoProto.h,
	include/Inventor/misc/SoProtoInstance.h, src/misc/SoProto.cpp,
	src/misc/SoProtoInstance.cpp:
	
	Documentation and some export code.

2002-05-28 11:23  pederb

	* include/Inventor/SoOutput.h, src/misc/SoOutput.cpp:
	
	Add methods needed for writing PROTO defintions.

2002-05-27 16:32  pederb

	* src/misc/SoOutput.cpp:
	
	Doc for new private method.

2002-05-27 16:10  pederb

	* src/nodes/SoNode.cpp:
	
	Support for writing PROTO instances.

2002-05-27 16:08  pederb

	* include/Inventor/misc/SoProtoInstance.h,
	src/misc/SoProtoInstance.cpp:
	
	Adds SoProtoInstance::findProtoInstance().

2002-05-27 16:07  pederb

	* include/Inventor/SoOutput.h, src/misc/SoBase.cpp,
	src/misc/SoOutput.cpp:
	
	Moved private data members in SoOutput into an internal class.
	SoBase.cpp was changed since it accessed a private data member in
	SoOutput.

2002-05-26 21:35  mortene

	* include/Inventor/C/errors/debugerror.h,
	include/Inventor/C/errors/error.h, src/errors/debugerror.c,
	src/errors/error.c:
	
	Misc improvements to get closer to functionality offered by SoError
	and SoDebugError.

2002-05-26 18:57  mortene

	* include/Inventor/C/errors/debugerror.h,
	include/Inventor/C/errors/error.h, src/errors/Makefile.am,
	src/errors/all-c.c, src/errors/debugerror.c, src/errors/error.c:
	
	Porting SoError and SoDebugError to C constructs, first alpha cut.

2002-05-24 23:22  mortene

	* patches/sbstring-c-wrapper.diff:
	
	Update patch so it applies cleanly.

2002-05-24 21:25  mortene

	* src/base/time.c:
	
	Change order of inclusion of timeb.h and time.h, to humor the
	build-process on the Darwin platform. Thanks to Kyrah.

2002-05-24 20:20  mortene

	* src/: misc/SoInput.cpp, nodekits/SoBaseKit.cpp:
	
	Use locale-independent coin_isspace() instead of ANSI C isspace().

2002-05-24 20:10  mortene

	* src/: tidbits.c, tidbits.h:
	
	Locale-independent isspace()-implementation.

2002-05-24 17:34  mortene

	* src/misc/SoOffscreenWGLData.icc:
	
	Implements getScreenPixelsPerInch() for Win32.

2002-05-24 17:16  pederb

	* src/nodes/SoNode.cpp:
	
	Bugfix for recently introduced bug.

2002-05-24 17:13  mortene

	* src/misc/SoOffscreenGLXData.icc:
	
	Compile fix.

2002-05-24 17:02  pederb

	* src/: draggers/SoCenterballDragger.cpp,
	draggers/SoDirectionalLightDragger.cpp,
	draggers/SoDragPointDragger.cpp, draggers/SoDragger.cpp,
	draggers/SoHandleBoxDragger.cpp, draggers/SoJackDragger.cpp,
	draggers/SoPointLightDragger.cpp,
	draggers/SoRotateCylindricalDragger.cpp,
	draggers/SoRotateDiscDragger.cpp,
	draggers/SoRotateSphericalDragger.cpp,
	draggers/SoScale1Dragger.cpp, draggers/SoScale2Dragger.cpp,
	draggers/SoScale2UniformDragger.cpp,
	draggers/SoScaleUniformDragger.cpp,
	draggers/SoSpotLightDragger.cpp, draggers/SoTabBoxDragger.cpp,
	draggers/SoTabPlaneDragger.cpp, draggers/SoTrackballDragger.cpp,
	draggers/SoTransformBoxDragger.cpp,
	draggers/SoTransformerDragger.cpp,
	draggers/SoTranslate1Dragger.cpp, draggers/SoTranslate2Dragger.cpp,
	manips/SoCenterballManip.cpp, manips/SoClipPlaneManip.cpp,
	manips/SoDirectionalLightManip.cpp, manips/SoHandleBoxManip.cpp,
	manips/SoJackManip.cpp, manips/SoPointLightManip.cpp,
	manips/SoSpotLightManip.cpp, manips/SoTabBoxManip.cpp,
	manips/SoTrackballManip.cpp, manips/SoTransformBoxManip.cpp,
	manips/SoTransformManip.cpp, manips/SoTransformerManip.cpp,
	nodekits/SoAppearanceKit.cpp, nodekits/SoBaseKit.cpp,
	nodekits/SoCameraKit.cpp, nodekits/SoInteractionKit.cpp,
	nodekits/SoLightKit.cpp, nodekits/SoNodeKitListPart.cpp,
	nodekits/SoSceneKit.cpp, nodekits/SoSeparatorKit.cpp,
	nodekits/SoShapeKit.cpp, nodekits/SoWrapperKit.cpp,
	nodes/SoAnnotation.cpp, nodes/SoAntiSquish.cpp, nodes/SoArray.cpp,
	nodes/SoAsciiText.cpp, nodes/SoBaseColor.cpp, nodes/SoBlinker.cpp,
	nodes/SoCallback.cpp, nodes/SoCamera.cpp, nodes/SoClipPlane.cpp,
	nodes/SoColorIndex.cpp, nodes/SoComplexity.cpp, nodes/SoCone.cpp,
	nodes/SoCoordinate3.cpp, nodes/SoCoordinate4.cpp, nodes/SoCube.cpp,
	nodes/SoCylinder.cpp, nodes/SoDirectionalLight.cpp,
	nodes/SoDrawStyle.cpp, nodes/SoEnvironment.cpp,
	nodes/SoEventCallback.cpp, nodes/SoExtSelection.cpp,
	nodes/SoFaceSet.cpp, nodes/SoFile.cpp, nodes/SoFont.cpp,
	nodes/SoFontStyle.cpp, nodes/SoGroup.cpp,
	nodes/SoIndexedFaceSet.cpp, nodes/SoIndexedLineSet.cpp,
	nodes/SoIndexedNurbsCurve.cpp, nodes/SoIndexedNurbsSurface.cpp,
	nodes/SoIndexedShape.cpp, nodes/SoIndexedTriangleStripSet.cpp,
	nodes/SoInfo.cpp, nodes/SoLOD.cpp, nodes/SoLabel.cpp,
	nodes/SoLevelOfDetail.cpp, nodes/SoLight.cpp,
	nodes/SoLightModel.cpp, nodes/SoLineSet.cpp,
	nodes/SoLinearProfile.cpp, nodes/SoLocateHighlight.cpp,
	nodes/SoMaterial.cpp, nodes/SoMaterialBinding.cpp,
	nodes/SoMatrixTransform.cpp, nodes/SoMultipleCopy.cpp,
	nodes/SoNonIndexedShape.cpp, nodes/SoNormal.cpp,
	nodes/SoNormalBinding.cpp, nodes/SoNurbsCurve.cpp,
	nodes/SoNurbsProfile.cpp, nodes/SoNurbsSurface.cpp,
	nodes/SoOrthographicCamera.cpp, nodes/SoPathSwitch.cpp,
	nodes/SoPendulum.cpp, nodes/SoPerspectiveCamera.cpp,
	nodes/SoPickStyle.cpp, nodes/SoPointLight.cpp,
	nodes/SoPointSet.cpp, nodes/SoProfile.cpp,
	nodes/SoProfileCoordinate2.cpp, nodes/SoProfileCoordinate3.cpp,
	nodes/SoQuadMesh.cpp, nodes/SoResetTransform.cpp,
	nodes/SoRotation.cpp, nodes/SoRotationXYZ.cpp, nodes/SoRotor.cpp,
	nodes/SoScale.cpp, nodes/SoSelection.cpp, nodes/SoSeparator.cpp,
	nodes/SoShape.cpp, nodes/SoShapeHints.cpp, nodes/SoShuttle.cpp,
	nodes/SoSphere.cpp, nodes/SoSpotLight.cpp,
	nodes/SoSurroundScale.cpp, nodes/SoSwitch.cpp,
	nodes/SoTexture2.cpp, nodes/SoTexture2Transform.cpp,
	nodes/SoTexture3.cpp, nodes/SoTexture3Transform.cpp,
	nodes/SoTextureCoordinate2.cpp, nodes/SoTextureCoordinate3.cpp,
	nodes/SoTextureCoordinateBinding.cpp,
	nodes/SoTextureCoordinateDefault.cpp,
	nodes/SoTextureCoordinateEnvironment.cpp,
	nodes/SoTextureCoordinateFunction.cpp,
	nodes/SoTextureCoordinatePlane.cpp, nodes/SoTextureScalePolicy.cpp,
	nodes/SoTransform.cpp, nodes/SoTransformSeparator.cpp,
	nodes/SoTransformation.cpp, nodes/SoTranslation.cpp,
	nodes/SoTransparencyType.cpp, nodes/SoTriangleStripSet.cpp,
	nodes/SoUnits.cpp, nodes/SoVertexShape.cpp, nodes/SoWWWAnchor.cpp,
	nodes/SoWWWInline.cpp, upgraders/SoPackedColorV20.cpp:
	
	Set correct node type flags for all nodes (Inventor 1, Inventor
	2.0, Inventor 2.1 and/or VRML1).

2002-05-24 16:56  mortene

	* README.WIN32:
	
	Minor additions.

2002-05-24 16:53  mortene

	* src/misc/: SoOffscreenAGLData.icc, SoOffscreenGLXData.icc,
	SoOffscreenRenderer.cpp, SoOffscreenWGLData.icc:
	
	Implements SoOffscreenRenderer::getScreenPixelsPerInch(). Only
	X11-version functioning properly yet.

2002-05-24 16:22  pederb

	* include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/nodes/SoNode.h,
	include/Inventor/nodes/SoSubNodeP.h,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/manips/SoCenterballManip.cpp, src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTabBoxManip.cpp, src/manips/SoTrackballManip.cpp,
	src/manips/SoTransformBoxManip.cpp,
	src/manips/SoTransformManip.cpp, src/manips/SoTransformerManip.cpp,
	src/nodekits/SoAppearanceKit.cpp, src/nodekits/SoBaseKit.cpp,
	src/nodekits/SoCameraKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoLightKit.cpp, src/nodekits/SoNodeKitListPart.cpp,
	src/nodekits/SoSceneKit.cpp, src/nodekits/SoSeparatorKit.cpp,
	src/nodekits/SoShapeKit.cpp, src/nodekits/SoWrapperKit.cpp,
	src/nodes/SoAnnotation.cpp, src/nodes/SoAntiSquish.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoAsciiText.cpp,
	src/nodes/SoBaseColor.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoCallback.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoClipPlane.cpp, src/nodes/SoColorIndex.cpp,
	src/nodes/SoComplexity.cpp, src/nodes/SoCone.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoCube.cpp, src/nodes/SoCylinder.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp,
	src/nodes/SoFontStyle.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoImage.cpp, src/nodes/SoIndexedFaceSet.cpp,
	src/nodes/SoIndexedLineSet.cpp, src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoLevelOfDetail.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNonIndexedShape.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoNurbsCurve.cpp, src/nodes/SoNurbsProfile.cpp,
	src/nodes/SoNurbsSurface.cpp, src/nodes/SoOrthographicCamera.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoPathSwitch.cpp,
	src/nodes/SoPendulum.cpp, src/nodes/SoPerspectiveCamera.cpp,
	src/nodes/SoPickStyle.cpp, src/nodes/SoPointLight.cpp,
	src/nodes/SoPointSet.cpp, src/nodes/SoPolygonOffset.cpp,
	src/nodes/SoProfile.cpp, src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoSphere.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTexture3.cpp, src/nodes/SoTexture3Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinate3.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	src/nodes/SoTextureScalePolicy.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTranslation.cpp, src/nodes/SoTransparencyType.cpp,
	src/nodes/SoTriangleStripSet.cpp, src/nodes/SoUnits.cpp,
	src/nodes/SoVertexProperty.cpp, src/nodes/SoVertexShape.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp,
	src/upgraders/SoPackedColorV20.cpp:
	
	Set the node type for all nodes.

2002-05-24 15:59  mortene

	* src/nodekits/SoInteractionKit.cpp:
	
	Don't try to pass an SbString as a char*.

2002-05-24 15:47  mortene

	* src/nodes/SoImage.cpp:
	
	Document default field values.

2002-05-24 15:46  mortene

	* src/nodes/SoSeparator.cpp:
	
	Be less paranoid on SoSeparator::renderCaching: interpret "ON" as
	"ON", and not as "OFF" (unless a magic envvar is set).	:-}
	
	Add a replacement magic envvar "COIN_RANDOMIZE_RENDER_CACHING",
	which we can use internally for implicit testing of rendercaching.
	Set it to "1" to force every other SoSeparator node to use
	rendercaching.

2002-05-24 15:13  pederb

	* src/nodes/SoNode.cpp:
	
	Increase the number of allowed node types to 31.

2002-05-24 15:10  larsa

	* src/: tidbits.c, tidbits.h:
	
	restructuring of endianness-handling code

